#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "fda180857cfbe794cf5b4190f62470c38dba523a";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "errormessages";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "",
  "// Contains modified lines used as suggestions for error messages.",
  "// When a line is added using one of the utility methods such as",
  "// insert()afterToken()onLine(), the line is copied from util.lines to the",
  "// internal lines array in the suggestion, and when a line that is already in",
  "// the array is modified, the internal lines array is updated.",
  "// There is no sorting of the order of the lines at any point, so",
  "// lines must be added in ascending order.",
  "class suggestion.new() {",
  "",
  "    def lineNumbers is confidential = []",
  "    def lines is confidential = []",
  "",
  "    // Methods that deal with inserting/replacing/deleting character positions",
  "    // and ranges. These methods are usually called by lexing error messages",
  "    // due to lack of access to tokens, and by insert/replace/delete methods",
  "    // that operate on tokens.",
  "",
  "    method replaceRange(start, end)with(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        if(start == 1) then {",
  "            addLine(lineNumber, s ++ line.substringFrom(end + 1)to(line.size))",
  "        } else {",
  "            addLine(lineNumber, line.substringFrom(1)to(start - 1)",
  "                ++ s ++ line.substringFrom(end + 1)to(line.size))",
  "        }",
  "    }",
  "",
  "    method replaceChar(pos)with(s)onLine(lineNumber) {",
  "        replaceRange(pos, pos)with(s)onLine(lineNumber)",
  "    }",
  "",
  "    method replaceUntil(until)with(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        def len = until.size",
  "        for (1..line.size) do {i->",
  "            if (line.substringFrom(i)to(i + len - 1) == until) then {",
  "                replaceRange(1, i + len - 1)with(s)onLine(lineNumber)",
  "                return true",
  "            }",
  "        }",
  "        return false",
  "    }",
  "",
  "    method deleteRange(start, end)onLine(lineNumber) {",
  "        var start' := start",
  "        def line = getLine(lineNumber)",
  "        if((start' > 1) && (end == line.size)) then {",
  "            // Check for removing the whole line, then remove the indent also.",
  "            var indent := true",
  "            for(1..(start'-1)) do { i ->",
  "                if(line[i] != \" \") then {",
  "                    indent := false",
  "                }",
  "            }",
  "            if(indent == true) then {",
  "                start' := 1",
  "            }",
  "        }",
  "        replaceRange(start', end)with(\"\")onLine(lineNumber)",
  "    }",
  "",
  "    method deleteChar(pos)onLine(lineNumber) {",
  "        replaceRange(pos, pos)with(\"\")onLine(lineNumber)",
  "    }",
  "",
  "    method append(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        addLine(lineNumber, line ++ s)",
  "    }",
  "",
  "    method insert(s)atPosition(pos)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        if(pos == 1) then {",
  "            addLine(lineNumber, s ++ line)",
  "        } else {",
  "            addLine(lineNumber, line.substringFrom(1)to(pos - 1) ++ s",
  "                ++ line.substringFrom(pos)to(line.size))",
  "        }",
  "    }",
  "",
  "    // Methods that deal with inserting/replacing/deleteing tokens or ranges of",
  "    // tokens. These methods call the underlying methods that operate on",
  "    // characters.",
  "",
  "    method getTokenStart(token)includeLeadingSpace(includeLeading) {",
  "        var start := token.linePos",
  "        // Include leading whitespace.",
  "        if(includeLeading == true) then {",
  "            if((token.prev != false).andAlso({token.prev.line == token.line})) then {",
  "                start := token.prev.linePos + token.prev.size",
  "            }",
  "        }",
  "        // Include indentation if this is the only token on the line.",
  "        if(token.linePos == (token.indent + 1)) then {",
  "            if((token.next == false).orElse({token.next.line != token.line})) then {",
  "                start := 1",
  "            }",
  "        }",
  "        start",
  "    }",
  "",
  "    method getTokenEnd(token)includeTrailingSpace(includeTrailing) {",
  "        var end := token.linePos + token.size - 1",
  "        // Include trailing space.",
  "        if(includeTrailing == true) then {",
  "            if((token.next != false).andAlso({token.next.line == token.line})) then {",
  "                end := token.next.linePos - 1;",
  "            } else {",
  "                end := getLine(token.line).size",
  "            }",
  "        }",
  "        end",
  "    }",
  "",
  "    method replaceToken(token)leading(replaceLeading)trailing(replaceTrailing)with(s) {",
  "        def start = getTokenStart(token)includeLeadingSpace(replaceLeading)",
  "        def end = getTokenEnd(token)includeTrailingSpace(replaceTrailing)",
  "        replaceRange(start, end)with(s)onLine(token.line)",
  "    }",
  "",
  "    method replaceToken(token)with(s) {",
  "        replaceToken(token)leading(false)trailing(false)with(s)",
  "    }",
  "",
  "    method replaceTokenRange(start, end)leading(replaceLeading)trailing(replaceTrailing)with(s) {",
  "        if(start == end) then {",
  "            replaceToken(start)leading(replaceLeading)trailing(replaceTrailing)with(s)",
  "        } else {",
  "            // Get the ident and position now in case deleteTokenRange changes it.",
  "            def insertPos = getTokenStart(start)includeLeadingSpace(replaceLeading)",
  "            def indent = getLine(start.line).substringFrom(1)to(start.indent)",
  "            deleteTokenRange(start, end)leading(replaceLeading)trailing(replaceTrailing)",
  "            // If delete token range deleted the indent, then add it back.",
  "            if(getLine(start.line) == \"\") then {",
  "                insert(indent ++ s)atPosition(insertPos)onLine(start.line)",
  "            } else {",
  "                insert(s)atPosition(insertPos)onLine(start.line)",
  "            }",
  "        }",
  "    }",
  "",
  "    method replaceTokenRange(start, end)with(s) {",
  "        replaceTokenRange(start, end)leading(false)trailing(false)with(s)",
  "    }",
  "",
  "    // Deletes a token, and optionally leading and/or trailing spaces.",
  "    method deleteToken(token)leading(deleteLeading)trailing(deleteTrailing) {",
  "        def start = getTokenStart(token)includeLeadingSpace(deleteLeading)",
  "        def end = getTokenEnd(token)includeTrailingSpace(deleteTrailing)",
  "        deleteRange(start, end)onLine(token.line)",
  "    }",
  "",
  "    method deleteToken(token) {",
  "        deleteToken(token)leading(false)trailing(false)",
  "    }",
  "",
  "    // Deletes a range of tokens, and optionally leading and/or trailing spaces.",
  "    method deleteTokenRange(start, end)leading(deleteLeading)trailing(deleteTrailing) {",
  "        if(start == end) then {",
  "            deleteToken(start)leading(deleteLeading)trailing(deleteTrailing)",
  "        } else {",
  "            var line := start.line",
  "            var startPos := getTokenStart(start)includeLeadingSpace(deleteLeading)",
  "            var endPos := getTokenEnd(start)includeTrailingSpace(deleteTrailing)",
  "            var tok := start.next",
  "            while {tok != end} do {",
  "                if(tok.line != line) then {",
  "                    deleteRange(startPos, endPos)onLine(line)",
  "                    line := tok.line",
  "                    startPos := getTokenStart(tok)includeLeadingSpace(deleteLeading)",
  "                }",
  "                endPos := getTokenEnd(tok)includeTrailingSpace(deleteTrailing)",
  "                tok := tok.next",
  "            }",
  "            if(end.line != line) then {",
  "                deleteRange(startPos, endPos)onLine(line)",
  "            }",
  "            endPos := getTokenEnd(end)includeTrailingSpace(deleteTrailing)",
  "            deleteRange(startPos, endPos)onLine(end.line)",
  "        }",
  "    }",
  "",
  "    method deleteTokenRange(start, end) {",
  "        deleteTokenRange(start, end)leading(false)trailing(false)",
  "    }",
  "",
  "    method deleteLine(lineNumber) {",
  "        addLine(lineNumber, \"\")",
  "    }",
  "",
  "    method insert(s)afterToken(token)andTrailingSpace(afterTrailing) {",
  "        def pos = getTokenEnd(token)includeTrailingSpace(afterTrailing) + 1",
  "        insert(s)atPosition(pos)onLine(token.line)",
  "    }",
  "",
  "    method insert(s)afterToken(token) {",
  "        insert(s)afterToken(token)andTrailingSpace(false)",
  "    }",
  "",
  "    method insert(s)beforeToken(token) {",
  "        insert(s)atPosition(token.linePos)onLine(token.line)",
  "    }",
  "",
  "    // Insert a new line. This stores the line with the same number as the line it comes after.",
  "    method insertNewLine(line)after(lineNumber) {",
  "        addLine(lineNumber, line)",
  "    }",
  "",
  "    // Manually add a line to the suggestion. This will overwrite any previous",
  "    // changes that may have been made to this line.",
  "    method addLine(lineNumber, line) {",
  "        var i := findLine(lineNumber)",
  "        if(i != false) then {",
  "            lines.at(i)put(line)",
  "        } else {",
  "            // Add new lines to make the list big enough.",
  "            lineNumbers.push(lineNumber)",
  "            lines.push(line)",
  "            if(lines.size > 1) then {",
  "                // Re-order the list.",
  "                i := lines.size",
  "                while {(i > 1).andAlso({lineNumber < lineNumbers[i - 1]})} do {",
  "                    lineNumbers[i] := lineNumbers[i - 1]",
  "                    lines[i] := lines[i - 1]",
  "                    i := i - 1",
  "                }",
  "                lineNumbers[i] := lineNumber",
  "                lines[i] := line",
  "            }",
  "        }",
  "    }",
  "",
  "    // Internal method used to find the index of a line in the lines array.",
  "    // Returns false if the line is not found.",
  "    method findLine(lineNumber) is confidential {",
  "        for(lineNumbers.indices) do { i ->",
  "            if(lineNumbers[i] == lineNumber) then {",
  "                return i",
  "            }",
  "        }",
  "        false",
  "    }",
  "",
  "    // Internal method used to get the contents of a line so far.",
  "    // If the line is not part of this suggestion then it gets the unmodified line.",
  "    method getLine(lineNumber) is confidential {",
  "        def i = findLine(lineNumber)",
  "        if(i == false) then {",
  "            util.lines[lineNumber]",
  "        } else {",
  "            lines[i]",
  "        }",
  "    }",
  "",
  "    method print() {",
  "        for(1..lines.size) do { i ->",
  "            if((i > 1).andAlso {(lineNumbers[i] > (lineNumbers[i-1] + 1))}) then {",
  "                var s := \"\"",
  "                for(1..lineNumbers[i-1].asString.size) do {",
  "                    s := s ++ \" \"",
  "                }",
  "                io.error.write(\"    {s}...\\n\")",
  "            }",
  "            // Handle insertion of new lines.",
  "            if(lineNumbers[i].truncate != lineNumbers[i]) then {",
  "                io.error.write(\" *{lineNumbers[i].truncate}: {lines[i]}\\n\")",
  "            } else {",
  "                io.error.write(\"  {lineNumbers[i]}: {lines[i]}\\n\")",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dameraulevenshtein(s, t) {",
  "    // Calculate the Damerau-Levenshtein distance between sequences.",
  "    //",
  "    // This distance is the number of additions, deletions, substitutions,",
  "    // and transpositions needed to transform the first sequence into the",
  "    // second. Although generally used with strings, any sequences of",
  "    // comparable objects will work.",
  "    //",
  "    // Transpositions are exchanges of *consecutive* characters; all other",
  "    // operations are self-explanatory.",
  "    //",
  "    // This implementation is O(N*M) time and O(M) space, for N and M the",
  "    // lengths of the two sequences.",
  "    //",
  "    // >>> dameraulevenshtein(\"ba\", \"abc\")",
  "    // 2",
  "    // >>> dameraulevenshtein(\"fee\", \"deed\")",
  "    // 2",
  "    //",
  "    // codesnippet:D0DE4716-B6E6-4161-9219-2903BF8F547F",
  "    // Conceptually, this is based on a len(seq1) + 1 * len(seq2) + 1 matrix.",
  "    // However, only the current and two previous rows are needed at once,",
  "    // so we only store those.",
  "    if(s == t) then { return 0 }",
  "    if(s.size == 0) then { return t.size }",
  "    if(t.size == 0) then { return s.size }",
  "",
  "    def oneago = PrimitiveArray.new(t.size + 1)",
  "    def thisrow = PrimitiveArray.new(t.size + 1)",
  "    def twoago = PrimitiveArray.new(t.size + 1)",
  "",
  "    for(0..(oneago.size - 1)) do { i ->",
  "        oneago[i] := i",
  "        thisrow[i] := 0",
  "    }",
  "",
  "    for(1..s.size) do { x ->",
  "        thisrow[0] := x",
  "        for(1..t.size) do { y ->",
  "            def delcost = oneago[y] + 1",
  "            def addcost = thisrow[y - 1] + 1",
  "            def subcost = oneago[y-1] + if (s.at(x)!=t.at(y)) then {1} else {0}",
  "            thisrow[y] := min(delcost, addcost, subcost)",
  "            if ((x > 1) && (y > 1) && (s[x] == t[y - 1])",
  "                && (s[x - 1] == t[y]) && (s[x] != t[y])) then {",
  "                thisrow[y] := min(thisrow[y], twoago[y - 2] + 1)",
  "            }",
  "        }",
  "",
  "        for (0..(oneago.size - 1)) do { j ->",
  "            twoago[j] := oneago[j]",
  "            oneago[j] := thisrow[j]",
  "        }",
  "    }",
  "",
  "    thisrow[t.size]",
  "}",
  "",
  "// Return the minimum number from the given arguments.",
  "method min(*n) {",
  "    if(n.size > 0) then {",
  "        var m := n[1]",
  "        for (n) do { i ->",
  "            if(i < m) then { m := i }",
  "        }",
  "        m",
  "    }",
  "}",
  "",
  "// Methods to actually display an error message and suggestions, then exit.",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos) {",
  "    syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestion(suggestion') {",
  "    syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions(suggestions) {",
  "    var loc := if(startpos == endpos) then {startpos.asString} else { \"{startpos}-{endpos}\" }",
  "    var arr := \"----\"",
  "    for (2..(startpos + errlinenum.asString.size)) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (startpos..endpos) do {",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.syntaxError(message, errlinenum, \":{loc}\", arr, false, suggestions)",
  "}",
  "",
  "method error(message)atRange(errlinenum, startpos, endpos)withSuggestions(suggestions) {",
  "    var loc := if(startpos == endpos) then {startpos.asString} else { \"{startpos}-{endpos}\" }",
  "    var arr := \"----\"",
  "    for (2..(startpos + errlinenum.asString.size)) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (startpos..endpos) do {",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.generalError(message, errlinenum, \":{loc}\", arr, false, suggestions)",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos) {",
  "    syntaxError(message)atPosition(errlinenum, errpos)withSuggestions([])",
  "}",
  "",
  "method error(message) atPosition(errlinenum, errpos) {",
  "    error(message) atPosition(errlinenum, errpos) withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos)withSuggestion(suggestion') {",
  "    syntaxError(message)atPosition(errlinenum, errpos)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (2..(errpos + errlinenum.asString.size)) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    arr := arr ++ \"^\"",
  "    util.syntaxError(message, errlinenum, \":({errpos})\", arr, errpos, suggestions)",
  "}",
  "",
  "method error(message) atPosition(errlinenum, errpos)",
  "        withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (2..(errpos + errlinenum.asString.size)) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    arr := arr ++ \"^\"",
  "    util.generalError(message, errlinenum, \":({errpos})\", arr, errpos, suggestions)",
  "}",
  "",
  "method error(message)atLine(errlinenum)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (1..errlinenum.asString.size) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (1..util.lines.at(errlinenum).size) do {",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.generalError(message, errlinenum, \"\", arr, false, suggestions)",
  "}",
  "",
  "method error(message)atLine(errlinenum) {",
  "    error(message)atLine(errlinenum)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum) {",
  "    syntaxError(message)atLine(errlinenum)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum)withSuggestion(suggestion') {",
  "    syntaxError(message)atLine(errlinenum)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (1..errlinenum.asString.size) do {",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (1..util.lines.at(errlinenum).size) do {",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.syntaxError(message, errlinenum, \"\", arr, false, suggestions)",
  "}",
  NULL
};
Object reader_errormessages_outer_571(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_errormessages_outer_574(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_errormessages_lineNumbers_575(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_errormessages_lines_576(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
static Object strlit253;
static Object strlit258;
static Object strlit262;
static Object strlit267;
static Object strlit283;
static Object strlit296;
static Object strlit304;
static Object strlit308;
static Object strlit321;
static Object strlit326;
static Object strlit330;
static Object strlit335;
static Object strlit351;
static Object strlit364;
static Object strlit372;
static Object strlit376;
static Object strlit394;
static Object strlit410;
static Object strlit417;
static Object strlit423;
static Object strlit427;
static Object strlit432;
static Object strlit448;
static Object strlit455;
static Object strlit461;
static Object strlit465;
static Object strlit470;
static Object strlit483;
static Object strlit503;
static Object strlit510;
static Object strlit526;
static Object strlit539;
static Object strlit559;
static Object strlit566;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
static ClassData objclass570;
static ClassData objclass573;
static Object strlit695;
static Object strlit711;
static Object strlit715;
static Object strlit923;
static Object strlit1028;
static Object strlit1222;
static Object strlit1242;
static Object strlit1250;
static Object strlit1254;
static Object strlit1274;
static Object strlit1282;
static Object strlit1291;
static Object strlit1301;
static Object strlit1309;
static Object strlit1316;
Object meth_errormessages__apply66(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_thisrow = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe67 = gc_frame_new();
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_oneago
  params[0] = *var_i;
  params[1] = *var_i;
  partcv[0] = 2;
  Object call68 = callmethod(*var_oneago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe67);
// compilenode returning call68
// compilenode returning done
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe69 = gc_frame_new();
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
  Object num70 = alloc_Float64(0);
// compilenode returning num70
  gc_frame_newslot(num70);
// compilenode returning *var_thisrow
  params[0] = *var_i;
  params[1] = num70;
  partcv[0] = 2;
  Object call71 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe69);
// compilenode returning call71
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply94(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_thisrow = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_x = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object *var_twoago = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_y = &(stackframe->slots[0]);
  *var_y = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_delcost = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "delcost");
  Object *var_addcost = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "addcost");
  Object *var_subcost = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "subcost");
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num96 = alloc_Float64(1);
// compilenode returning num96
  int op_slot_right_95 = gc_frame_newslot(num96);
// compilenode returning *var_oneago
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres98 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres98
  int op_slot_left_95 = gc_frame_newslot(idxres98);
  params[0] = num96;
  partcv[0] = 1;
  Object sum99 = callmethod(idxres98, "+", 1, partcv, params);
// compilenode returning sum99
  *var_delcost = sum99;
  if (sum99 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num101 = alloc_Float64(1);
// compilenode returning num101
  int op_slot_right_100 = gc_frame_newslot(num101);
// compilenode returning *var_thisrow
  Object num104 = alloc_Float64(1);
// compilenode returning num104
  int op_slot_right_103 = gc_frame_newslot(num104);
// compilenode returning *var_y
  int op_slot_left_103 = gc_frame_newslot(*var_y);
  params[0] = num104;
  partcv[0] = 1;
  Object diff106 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff106
  params[0] = diff106;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres107 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres107
  int op_slot_left_100 = gc_frame_newslot(idxres107);
  params[0] = num101;
  partcv[0] = 1;
  Object sum108 = callmethod(idxres107, "+", 1, partcv, params);
// compilenode returning sum108
  *var_addcost = sum108;
  if (sum108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
// compilenode returning *var_t
  params[0] = *var_y;
  partcv[0] = 1;
  Object call113 = callmethod(*var_t, "at",
    1, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  int op_slot_right_111 = gc_frame_newslot(call113);
  int callframe115 = gc_frame_new();
// compilenode returning *var_x
  gc_frame_newslot(*var_x);
// compilenode returning *var_s
  params[0] = *var_x;
  partcv[0] = 1;
  Object call116 = callmethod(*var_s, "at",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
  int op_slot_left_111 = gc_frame_newslot(call116);
  params[0] = call113;
  partcv[0] = 1;
  Object opresult117 = callmethod(call116, "!=", 1, partcv, params);
// compilenode returning opresult117
  Object if110 = done;
struct StackFrameObject *iftmpstackframe110 = stackframe;
  if (istrue(opresult117)) {
stackframe = alloc_StackFrame(0, iftmpstackframe110);
gc_frame_newslot((Object)stackframe);
  Object num118 = alloc_Float64(1);
// compilenode returning num118
    gc_frame_newslot(num118);
    if110 = num118;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe110);
gc_frame_newslot((Object)stackframe);
  Object num119 = alloc_Float64(0);
// compilenode returning num119
    gc_frame_newslot(num119);
    if110 = num119;
  }
stackframe = iftmpstackframe110;
// compilenode returning if110
  int op_slot_right_109 = gc_frame_newslot(if110);
// compilenode returning *var_oneago
  Object num122 = alloc_Float64(1);
// compilenode returning num122
  int op_slot_right_121 = gc_frame_newslot(num122);
// compilenode returning *var_y
  int op_slot_left_121 = gc_frame_newslot(*var_y);
  params[0] = num122;
  partcv[0] = 1;
  Object diff124 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff124
  params[0] = diff124;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres125 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres125
  int op_slot_left_109 = gc_frame_newslot(idxres125);
  params[0] = if110;
  partcv[0] = 1;
  Object sum126 = callmethod(idxres125, "+", 1, partcv, params);
// compilenode returning sum126
  *var_subcost = sum126;
  if (sum126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe127 = gc_frame_new();
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
  int callframe128 = gc_frame_new();
// compilenode returning *var_delcost
  gc_frame_newslot(*var_delcost);
// compilenode returning *var_addcost
  gc_frame_newslot(*var_addcost);
// compilenode returning *var_subcost
  gc_frame_newslot(*var_subcost);
  params[0] = *var_delcost;
  params[1] = *var_addcost;
  params[2] = *var_subcost;
  partcv[0] = 3;
  Object call129 = callmethodflags(self, "min", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe128);
// compilenode returning call129
  gc_frame_newslot(call129);
// compilenode returning *var_thisrow
  params[0] = *var_y;
  params[1] = call129;
  partcv[0] = 2;
  Object call130 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe127);
// compilenode returning call130
// compilenode returning done
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres134 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres134
  int op_slot_right_133 = gc_frame_newslot(idxres134);
// compilenode returning *var_s
// compilenode returning *var_x
  params[0] = *var_x;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres136 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres136
  int op_slot_left_133 = gc_frame_newslot(idxres136);
  params[0] = idxres134;
  partcv[0] = 1;
  Object opresult137 = callmethod(idxres136, "!=", 1, partcv, params);
// compilenode returning opresult137
  int op_slot_right_132 = gc_frame_newslot(opresult137);
// compilenode returning *var_t
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres141 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres141
  int op_slot_right_140 = gc_frame_newslot(idxres141);
// compilenode returning *var_s
  Object num144 = alloc_Float64(1);
// compilenode returning num144
  int op_slot_right_143 = gc_frame_newslot(num144);
// compilenode returning *var_x
  int op_slot_left_143 = gc_frame_newslot(*var_x);
  params[0] = num144;
  partcv[0] = 1;
  Object diff146 = callmethod(*var_x, "-", 1, partcv, params);
// compilenode returning diff146
  params[0] = diff146;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres147 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres147
  int op_slot_left_140 = gc_frame_newslot(idxres147);
  params[0] = idxres141;
  partcv[0] = 1;
  Object opresult148 = callmethod(idxres147, "==", 1, partcv, params);
// compilenode returning opresult148
  int op_slot_right_139 = gc_frame_newslot(opresult148);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  Object num153 = alloc_Float64(1);
// compilenode returning num153
  int op_slot_right_152 = gc_frame_newslot(num153);
// compilenode returning *var_y
  int op_slot_left_152 = gc_frame_newslot(*var_y);
  params[0] = num153;
  partcv[0] = 1;
  Object diff155 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff155
  params[0] = diff155;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres156 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres156
  int op_slot_right_151 = gc_frame_newslot(idxres156);
// compilenode returning *var_s
// compilenode returning *var_x
  params[0] = *var_x;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres158 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres158
  int op_slot_left_151 = gc_frame_newslot(idxres158);
  params[0] = idxres156;
  partcv[0] = 1;
  Object opresult159 = callmethod(idxres158, "==", 1, partcv, params);
// compilenode returning opresult159
  int op_slot_right_150 = gc_frame_newslot(opresult159);
  Object num163 = alloc_Float64(1);
// compilenode returning num163
  int op_slot_right_162 = gc_frame_newslot(num163);
// compilenode returning *var_y
  int op_slot_left_162 = gc_frame_newslot(*var_y);
  params[0] = num163;
  partcv[0] = 1;
  Object opresult165 = callmethod(*var_y, ">", 1, partcv, params);
// compilenode returning opresult165
  int op_slot_right_161 = gc_frame_newslot(opresult165);
  Object num168 = alloc_Float64(1);
// compilenode returning num168
  int op_slot_right_167 = gc_frame_newslot(num168);
// compilenode returning *var_x
  int op_slot_left_167 = gc_frame_newslot(*var_x);
  params[0] = num168;
  partcv[0] = 1;
  Object opresult170 = callmethod(*var_x, ">", 1, partcv, params);
// compilenode returning opresult170
  int op_slot_left_161 = gc_frame_newslot(opresult170);
  params[0] = opresult165;
  partcv[0] = 1;
  Object opresult171 = callmethod(opresult170, "&&", 1, partcv, params);
// compilenode returning opresult171
  int op_slot_left_150 = gc_frame_newslot(opresult171);
  params[0] = opresult159;
  partcv[0] = 1;
  Object opresult172 = callmethod(opresult171, "&&", 1, partcv, params);
// compilenode returning opresult172
  int op_slot_left_139 = gc_frame_newslot(opresult172);
  params[0] = opresult148;
  partcv[0] = 1;
  Object opresult173 = callmethod(opresult172, "&&", 1, partcv, params);
// compilenode returning opresult173
  int op_slot_left_132 = gc_frame_newslot(opresult173);
  params[0] = opresult137;
  partcv[0] = 1;
  Object opresult174 = callmethod(opresult173, "&&", 1, partcv, params);
// compilenode returning opresult174
  Object if131 = done;
  if (istrue(opresult174)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe175 = gc_frame_new();
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
  int callframe176 = gc_frame_new();
// compilenode returning *var_thisrow
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres177 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres177
  gc_frame_newslot(idxres177);
  Object num179 = alloc_Float64(1);
// compilenode returning num179
  int op_slot_right_178 = gc_frame_newslot(num179);
// compilenode returning *var_twoago
  Object num182 = alloc_Float64(2);
// compilenode returning num182
  int op_slot_right_181 = gc_frame_newslot(num182);
// compilenode returning *var_y
  int op_slot_left_181 = gc_frame_newslot(*var_y);
  params[0] = num182;
  partcv[0] = 1;
  Object diff184 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff184
  params[0] = diff184;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres185 = callmethod(*var_twoago, "[]", 1, partcv, params);
// compilenode returning idxres185
  int op_slot_left_178 = gc_frame_newslot(idxres185);
  params[0] = num179;
  partcv[0] = 1;
  Object sum186 = callmethod(idxres185, "+", 1, partcv, params);
// compilenode returning sum186
  gc_frame_newslot(sum186);
  params[0] = idxres177;
  params[1] = sum186;
  partcv[0] = 2;
  Object call187 = callmethodflags(self, "min", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe176);
// compilenode returning call187
  gc_frame_newslot(call187);
// compilenode returning *var_thisrow
  params[0] = *var_y;
  params[1] = call187;
  partcv[0] = 2;
  Object call188 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe175);
// compilenode returning call188
// compilenode returning done
    gc_frame_newslot(done);
    if131 = done;
  } else {
  }
// compilenode returning if131
  gc_frame_end(frame);
  return if131;
}
Object meth_errormessages__apply203(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_twoago = getfromclosure(closure, 1);
  Object *var_thisrow = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_j = &(stackframe->slots[0]);
  *var_j = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe204 = gc_frame_new();
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_j
  gc_frame_newslot(*var_j);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oneago
// compilenode returning *var_j
  params[0] = *var_j;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres205 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres205
  gc_frame_newslot(idxres205);
// compilenode returning *var_twoago
  params[0] = *var_j;
  params[1] = idxres205;
  partcv[0] = 2;
  Object call206 = callmethod(*var_twoago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe204);
// compilenode returning call206
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe207 = gc_frame_new();
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_j
  gc_frame_newslot(*var_j);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thisrow
// compilenode returning *var_j
  params[0] = *var_j;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres208 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres208
  gc_frame_newslot(idxres208);
// compilenode returning *var_oneago
  params[0] = *var_j;
  params[1] = idxres208;
  partcv[0] = 2;
  Object call209 = callmethod(*var_oneago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe207);
// compilenode returning call209
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply82(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_thisrow = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_oneago = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object *var_twoago = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe83 = gc_frame_new();
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num84 = alloc_Float64(0);
// compilenode returning num84
  gc_frame_newslot(num84);
// compilenode returning *var_x
  gc_frame_newslot(*var_x);
// compilenode returning *var_thisrow
  params[0] = num84;
  params[1] = *var_x;
  partcv[0] = 2;
  Object call85 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe83);
// compilenode returning call85
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe86 = gc_frame_new();
  int callframe88 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call89 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe88);
// compilenode returning call89
// compilenode returning call89
  int op_slot_right_87 = gc_frame_newslot(call89);
  Object num91 = alloc_Float64(1);
// compilenode returning num91
  int op_slot_left_87 = gc_frame_newslot(num91);
  params[0] = call89;
  partcv[0] = 1;
  Object opresult92 = callmethod(num91, "..", 1, partcv, params);
// compilenode returning opresult92
  gc_frame_newslot(opresult92);
  Object block93 = alloc_Block(NULL, NULL, "errormessages", 317);
  gc_frame_newslot(block93);
  block_savedest(block93);
  Object closure94 = createclosure(7, "_apply");
setclosureframe(closure94, stackframe);
  addtoclosure(closure94, var_oneago);
  addtoclosure(closure94, var_thisrow);
  addtoclosure(closure94, var_t);
  addtoclosure(closure94, var_x);
  addtoclosure(closure94, var_s);
  addtoclosure(closure94, var_twoago);
  addtoclosure(closure94, selfslot);
  struct UserObject *uo94 = (struct UserObject*)block93;
  uo94->data[0] = (Object)closure94;
  Method *meth_meth_errormessages__apply94 = addmethod2pos(block93, "_apply", &meth_errormessages__apply94, 0);
int argcv_meth_errormessages__apply94[] = {1};
meth_meth_errormessages__apply94->type = alloc_MethodType(1, argcv_meth_errormessages__apply94);
  meth_meth_errormessages__apply94->definitionModule = modulename;
  meth_meth_errormessages__apply94->definitionLine = 317;
// compilenode returning block93
  gc_frame_newslot(block93);
  params[0] = opresult92;
  params[1] = block93;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call190 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe86);
// compilenode returning call190
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe191 = gc_frame_new();
  Object num194 = alloc_Float64(1);
// compilenode returning num194
  int op_slot_right_193 = gc_frame_newslot(num194);
  int callframe196 = gc_frame_new();
// compilenode returning *var_oneago
  partcv[0] = 0;
  Object call197 = callmethod(*var_oneago, "size",
    1, partcv, params);
  gc_frame_end(callframe196);
// compilenode returning call197
// compilenode returning call197
  int op_slot_left_193 = gc_frame_newslot(call197);
  params[0] = num194;
  partcv[0] = 1;
  Object diff198 = callmethod(call197, "-", 1, partcv, params);
// compilenode returning diff198
  int op_slot_right_192 = gc_frame_newslot(diff198);
  Object num200 = alloc_Float64(0);
// compilenode returning num200
  int op_slot_left_192 = gc_frame_newslot(num200);
  params[0] = diff198;
  partcv[0] = 1;
  Object opresult201 = callmethod(num200, "..", 1, partcv, params);
// compilenode returning opresult201
  gc_frame_newslot(opresult201);
  Object block202 = alloc_Block(NULL, NULL, "errormessages", 328);
  gc_frame_newslot(block202);
  block_savedest(block202);
  Object closure203 = createclosure(4, "_apply");
setclosureframe(closure203, stackframe);
  addtoclosure(closure203, var_oneago);
  addtoclosure(closure203, var_twoago);
  addtoclosure(closure203, var_thisrow);
  addtoclosure(closure203, selfslot);
  struct UserObject *uo203 = (struct UserObject*)block202;
  uo203->data[0] = (Object)closure203;
  Method *meth_meth_errormessages__apply203 = addmethod2pos(block202, "_apply", &meth_errormessages__apply203, 0);
int argcv_meth_errormessages__apply203[] = {1};
meth_meth_errormessages__apply203->type = alloc_MethodType(1, argcv_meth_errormessages__apply203);
  meth_meth_errormessages__apply203->definitionModule = modulename;
  meth_meth_errormessages__apply203->definitionLine = 328;
// compilenode returning block202
  gc_frame_newslot(block202);
  params[0] = opresult201;
  params[1] = block202;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call211 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe191);
// compilenode returning call211
  gc_frame_end(frame);
  return call211;
}
Object meth_errormessages_dameraulevenshtein0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dameraulevenshtein");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dameraulevenshtein (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_t = &(stackframe->slots[1]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for dameraulevenshtein");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oneago = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oneago");
  Object *var_thisrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "thisrow");
  Object *var_twoago = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "twoago");
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  int op_slot_right_2 = gc_frame_newslot(*var_t);
// compilenode returning *var_s
  int op_slot_left_2 = gc_frame_newslot(*var_s);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult4 = callmethod(*var_s, "==", 1, partcv, params);
// compilenode returning opresult4
  Object if1 = done;
  if (istrue(opresult4)) {
  Object num5 = alloc_Float64(0);
// compilenode returning num5
  return num5;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1 = undefined;
  } else {
  }
// compilenode returning if1
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8 = alloc_Float64(0);
// compilenode returning num8
  int op_slot_right_7 = gc_frame_newslot(num8);
  int callframe10 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call11 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe10);
// compilenode returning call11
// compilenode returning call11
  int op_slot_left_7 = gc_frame_newslot(call11);
  params[0] = num8;
  partcv[0] = 1;
  Object opresult12 = callmethod(call11, "==", 1, partcv, params);
// compilenode returning opresult12
  Object if6 = done;
  if (istrue(opresult12)) {
  int callframe13 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call14 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe13);
// compilenode returning call14
// compilenode returning call14
  return call14;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6 = undefined;
  } else {
  }
// compilenode returning if6
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num17 = alloc_Float64(0);
// compilenode returning num17
  int op_slot_right_16 = gc_frame_newslot(num17);
  int callframe19 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call20 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe19);
// compilenode returning call20
// compilenode returning call20
  int op_slot_left_16 = gc_frame_newslot(call20);
  params[0] = num17;
  partcv[0] = 1;
  Object opresult21 = callmethod(call20, "==", 1, partcv, params);
// compilenode returning opresult21
  Object if15 = done;
  if (istrue(opresult21)) {
  int callframe22 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call23 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe22);
// compilenode returning call23
// compilenode returning call23
  return call23;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if15 = undefined;
  } else {
  }
// compilenode returning if15
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe24 = gc_frame_new();
  Object num26 = alloc_Float64(1);
// compilenode returning num26
  int op_slot_right_25 = gc_frame_newslot(num26);
  int callframe28 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call29 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe28);
// compilenode returning call29
// compilenode returning call29
  int op_slot_left_25 = gc_frame_newslot(call29);
  params[0] = num26;
  partcv[0] = 1;
  Object sum30 = callmethod(call29, "+", 1, partcv, params);
// compilenode returning sum30
  gc_frame_newslot(sum30);
  int callframe31 = gc_frame_new();
  partcv[0] = 0;
  Object call32 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe31);
// compilenode returning call32
  params[0] = sum30;
  partcv[0] = 1;
  Object call33 = callmethod(call32, "new",
    1, partcv, params);
  gc_frame_end(callframe24);
// compilenode returning call33
  *var_oneago = call33;
  if (call33 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe34 = gc_frame_new();
  Object num36 = alloc_Float64(1);
// compilenode returning num36
  int op_slot_right_35 = gc_frame_newslot(num36);
  int callframe38 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call39 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe38);
// compilenode returning call39
// compilenode returning call39
  int op_slot_left_35 = gc_frame_newslot(call39);
  params[0] = num36;
  partcv[0] = 1;
  Object sum40 = callmethod(call39, "+", 1, partcv, params);
// compilenode returning sum40
  gc_frame_newslot(sum40);
  int callframe41 = gc_frame_new();
  partcv[0] = 0;
  Object call42 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe41);
// compilenode returning call42
  params[0] = sum40;
  partcv[0] = 1;
  Object call43 = callmethod(call42, "new",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call43
  *var_thisrow = call43;
  if (call43 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe44 = gc_frame_new();
  Object num46 = alloc_Float64(1);
// compilenode returning num46
  int op_slot_right_45 = gc_frame_newslot(num46);
  int callframe48 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call49 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe48);
// compilenode returning call49
// compilenode returning call49
  int op_slot_left_45 = gc_frame_newslot(call49);
  params[0] = num46;
  partcv[0] = 1;
  Object sum50 = callmethod(call49, "+", 1, partcv, params);
// compilenode returning sum50
  gc_frame_newslot(sum50);
  int callframe51 = gc_frame_new();
  partcv[0] = 0;
  Object call52 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe51);
// compilenode returning call52
  params[0] = sum50;
  partcv[0] = 1;
  Object call53 = callmethod(call52, "new",
    1, partcv, params);
  gc_frame_end(callframe44);
// compilenode returning call53
  *var_twoago = call53;
  if (call53 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe54 = gc_frame_new();
  Object num57 = alloc_Float64(1);
// compilenode returning num57
  int op_slot_right_56 = gc_frame_newslot(num57);
  int callframe59 = gc_frame_new();
// compilenode returning *var_oneago
  partcv[0] = 0;
  Object call60 = callmethod(*var_oneago, "size",
    1, partcv, params);
  gc_frame_end(callframe59);
// compilenode returning call60
// compilenode returning call60
  int op_slot_left_56 = gc_frame_newslot(call60);
  params[0] = num57;
  partcv[0] = 1;
  Object diff61 = callmethod(call60, "-", 1, partcv, params);
// compilenode returning diff61
  int op_slot_right_55 = gc_frame_newslot(diff61);
  Object num63 = alloc_Float64(0);
// compilenode returning num63
  int op_slot_left_55 = gc_frame_newslot(num63);
  params[0] = diff61;
  partcv[0] = 1;
  Object opresult64 = callmethod(num63, "..", 1, partcv, params);
// compilenode returning opresult64
  gc_frame_newslot(opresult64);
  Object block65 = alloc_Block(NULL, NULL, "errormessages", 310);
  gc_frame_newslot(block65);
  block_savedest(block65);
  Object closure66 = createclosure(3, "_apply");
setclosureframe(closure66, stackframe);
  addtoclosure(closure66, var_oneago);
  addtoclosure(closure66, var_thisrow);
  addtoclosure(closure66, selfslot);
  struct UserObject *uo66 = (struct UserObject*)block65;
  uo66->data[0] = (Object)closure66;
  Method *meth_meth_errormessages__apply66 = addmethod2pos(block65, "_apply", &meth_errormessages__apply66, 0);
int argcv_meth_errormessages__apply66[] = {1};
meth_meth_errormessages__apply66->type = alloc_MethodType(1, argcv_meth_errormessages__apply66);
  meth_meth_errormessages__apply66->definitionModule = modulename;
  meth_meth_errormessages__apply66->definitionLine = 310;
// compilenode returning block65
  gc_frame_newslot(block65);
  params[0] = opresult64;
  params[1] = block65;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call73 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe54);
// compilenode returning call73
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe74 = gc_frame_new();
  int callframe76 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call77 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe76);
// compilenode returning call77
// compilenode returning call77
  int op_slot_right_75 = gc_frame_newslot(call77);
  Object num79 = alloc_Float64(1);
// compilenode returning num79
  int op_slot_left_75 = gc_frame_newslot(num79);
  params[0] = call77;
  partcv[0] = 1;
  Object opresult80 = callmethod(num79, "..", 1, partcv, params);
// compilenode returning opresult80
  gc_frame_newslot(opresult80);
  Object block81 = alloc_Block(NULL, NULL, "errormessages", 315);
  gc_frame_newslot(block81);
  block_savedest(block81);
  Object closure82 = createclosure(6, "_apply");
setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_thisrow);
  addtoclosure(closure82, var_t);
  addtoclosure(closure82, var_oneago);
  addtoclosure(closure82, var_s);
  addtoclosure(closure82, var_twoago);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_errormessages__apply82 = addmethod2pos(block81, "_apply", &meth_errormessages__apply82, 0);
int argcv_meth_errormessages__apply82[] = {1};
meth_meth_errormessages__apply82->type = alloc_MethodType(1, argcv_meth_errormessages__apply82);
  meth_meth_errormessages__apply82->definitionModule = modulename;
  meth_meth_errormessages__apply82->definitionLine = 315;
// compilenode returning block81
  gc_frame_newslot(block81);
  params[0] = opresult80;
  params[1] = block81;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call213 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe74);
// compilenode returning call213
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thisrow
  int callframe214 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call215 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe214);
// compilenode returning call215
// compilenode returning call215
  params[0] = call215;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres216 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres216
  gc_frame_end(frame);
  return idxres216;
}
Object meth_errormessages__apply229(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_m = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_m
  int op_slot_right_231 = gc_frame_newslot(*var_m);
// compilenode returning *var_i
  int op_slot_left_231 = gc_frame_newslot(*var_i);
  params[0] = *var_m;
  partcv[0] = 1;
  Object opresult233 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult233
  Object if230 = done;
  if (istrue(opresult233)) {
// compilenode returning *var_i
  *var_m = *var_i;
  if (*var_i == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if230 = done;
  } else {
  }
// compilenode returning if230
  gc_frame_end(frame);
  return if230;
}
Object meth_errormessages_min217(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "min");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for min (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_n = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_n, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_n = &(stackframe->slots[0]);
  *var_n = var_init_n;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_m = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "m");
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num220 = alloc_Float64(0);
// compilenode returning num220
  int op_slot_right_219 = gc_frame_newslot(num220);
  int callframe222 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call223 = callmethod(*var_n, "size",
    1, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
// compilenode returning call223
  int op_slot_left_219 = gc_frame_newslot(call223);
  params[0] = num220;
  partcv[0] = 1;
  Object opresult224 = callmethod(call223, ">", 1, partcv, params);
// compilenode returning opresult224
  Object if218 = done;
  if (istrue(opresult224)) {
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  Object num225 = alloc_Float64(1);
// compilenode returning num225
  params[0] = num225;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres226 = callmethod(*var_n, "[]", 1, partcv, params);
// compilenode returning idxres226
  *var_m = idxres226;
  if (idxres226 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe227 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
  Object block228 = alloc_Block(NULL, NULL, "errormessages", 341);
  gc_frame_newslot(block228);
  block_savedest(block228);
  Object closure229 = createclosure(2, "_apply");
setclosureframe(closure229, stackframe);
  addtoclosure(closure229, var_m);
  addtoclosure(closure229, selfslot);
  struct UserObject *uo229 = (struct UserObject*)block228;
  uo229->data[0] = (Object)closure229;
  Method *meth_meth_errormessages__apply229 = addmethod2pos(block228, "_apply", &meth_errormessages__apply229, 0);
int argcv_meth_errormessages__apply229[] = {1};
meth_meth_errormessages__apply229->type = alloc_MethodType(1, argcv_meth_errormessages__apply229);
  meth_meth_errormessages__apply229->definitionModule = modulename;
  meth_meth_errormessages__apply229->definitionLine = 339;
// compilenode returning block228
  gc_frame_newslot(block228);
  params[0] = *var_n;
  params[1] = block228;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call236 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe227);
// compilenode returning call236
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_m
    gc_frame_newslot(*var_m);
    if218 = *var_m;
  } else {
  }
// compilenode returning if218
  gc_frame_end(frame);
  return if218;
}
Object meth_errormessages_syntaxError_40__41_atRange237(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atRange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atRange (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 3)
  gracedie("too many arguments for atRange");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe238 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_startpos
  gc_frame_newslot(*var_startpos);
// compilenode returning *var_endpos
  gc_frame_newslot(*var_endpos);
  Object array239 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array239
  gc_frame_newslot(array239);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_startpos;
  params[3] = *var_endpos;
  params[4] = array239;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call240 = callmethodflags(self, "syntaxError()atRange()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe238);
// compilenode returning call240
  gc_frame_end(frame);
  return call240;
}
Object meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atRange()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atRange()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 3)
  gracedie("too many arguments for atRange");
  Object *var_suggestion_39_ = &(stackframe->slots[4]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe242 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_startpos
  gc_frame_newslot(*var_startpos);
// compilenode returning *var_endpos
  gc_frame_newslot(*var_endpos);
  Object array243 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array243, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array243
  gc_frame_newslot(array243);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_startpos;
  params[3] = *var_endpos;
  params[4] = array243;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call244 = callmethodflags(self, "syntaxError()atRange()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe242);
// compilenode returning call244
  gc_frame_end(frame);
  return call244;
}
Object meth_errormessages__apply281(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit283 == NULL) {
    strlit283 = alloc_String("-");
    gc_root(strlit283);
  }
// compilenode returning strlit283
  int op_slot_right_282 = gc_frame_newslot(strlit283);
// compilenode returning *var_arr
  int op_slot_left_282 = gc_frame_newslot(*var_arr);
  params[0] = strlit283;
  partcv[0] = 1;
  Object opresult285 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult285
  *var_arr = opresult285;
  if (opresult285 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply294(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit296 == NULL) {
    strlit296 = alloc_String("^");
    gc_root(strlit296);
  }
// compilenode returning strlit296
  int op_slot_right_295 = gc_frame_newslot(strlit296);
// compilenode returning *var_arr
  int op_slot_left_295 = gc_frame_newslot(*var_arr);
  params[0] = strlit296;
  partcv[0] = 1;
  Object opresult298 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult298
  *var_arr = opresult298;
  if (opresult298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atRange()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atRange()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 3)
  gracedie("too many arguments for atRange");
  Object *var_suggestions = &(stackframe->slots[4]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_loc = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "loc");
  Object *var_arr = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "arr");
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_endpos
  int op_slot_right_247 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_247 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult249 = callmethod(*var_startpos, "==", 1, partcv, params);
// compilenode returning opresult249
  Object if246 = done;
struct StackFrameObject *iftmpstackframe246 = stackframe;
  if (istrue(opresult249)) {
stackframe = alloc_StackFrame(0, iftmpstackframe246);
gc_frame_newslot((Object)stackframe);
  int callframe250 = gc_frame_new();
// compilenode returning *var_startpos
  partcv[0] = 0;
  Object call251 = callmethod(*var_startpos, "asString",
    1, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
// compilenode returning call251
    gc_frame_newslot(call251);
    if246 = call251;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe246);
gc_frame_newslot((Object)stackframe);
  if (strlit253 == NULL) {
    strlit253 = alloc_String("");
    gc_root(strlit253);
  }
// compilenode returning strlit253
  int op_slot_right_252 = gc_frame_newslot(strlit253);
// compilenode returning *var_endpos
  int op_slot_right_255 = gc_frame_newslot(*var_endpos);
  if (strlit258 == NULL) {
    strlit258 = alloc_String("-");
    gc_root(strlit258);
  }
// compilenode returning strlit258
  int op_slot_right_257 = gc_frame_newslot(strlit258);
// compilenode returning *var_startpos
  int op_slot_right_260 = gc_frame_newslot(*var_startpos);
  if (strlit262 == NULL) {
    strlit262 = alloc_String("");
    gc_root(strlit262);
  }
// compilenode returning strlit262
  int op_slot_left_260 = gc_frame_newslot(strlit262);
  params[0] = *var_startpos;
  partcv[0] = 1;
  Object opresult263 = callmethod(strlit262, "++", 1, partcv, params);
// compilenode returning opresult263
  int op_slot_left_257 = gc_frame_newslot(opresult263);
  params[0] = strlit258;
  partcv[0] = 1;
  Object opresult264 = callmethod(opresult263, "++", 1, partcv, params);
// compilenode returning opresult264
  int op_slot_left_255 = gc_frame_newslot(opresult264);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult265 = callmethod(opresult264, "++", 1, partcv, params);
// compilenode returning opresult265
  int op_slot_left_252 = gc_frame_newslot(opresult265);
  params[0] = strlit253;
  partcv[0] = 1;
  Object opresult266 = callmethod(opresult265, "++", 1, partcv, params);
// compilenode returning opresult266
    gc_frame_newslot(opresult266);
    if246 = opresult266;
  }
stackframe = iftmpstackframe246;
// compilenode returning if246
  *var_loc = if246;
  if (if246 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit267 == NULL) {
    strlit267 = alloc_String("----");
    gc_root(strlit267);
  }
// compilenode returning strlit267
  *var_arr = strlit267;
  if (strlit267 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe268 = gc_frame_new();
  int callframe271 = gc_frame_new();
  int callframe272 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call273 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe272);
// compilenode returning call273
// compilenode returning call273
  partcv[0] = 0;
  Object call274 = callmethod(call273, "size",
    1, partcv, params);
  gc_frame_end(callframe271);
// compilenode returning call274
// compilenode returning call274
  int op_slot_right_270 = gc_frame_newslot(call274);
// compilenode returning *var_startpos
  int op_slot_left_270 = gc_frame_newslot(*var_startpos);
  params[0] = call274;
  partcv[0] = 1;
  Object sum276 = callmethod(*var_startpos, "+", 1, partcv, params);
// compilenode returning sum276
  int op_slot_right_269 = gc_frame_newslot(sum276);
  Object num278 = alloc_Float64(2);
// compilenode returning num278
  int op_slot_left_269 = gc_frame_newslot(num278);
  params[0] = sum276;
  partcv[0] = 1;
  Object opresult279 = callmethod(num278, "..", 1, partcv, params);
// compilenode returning opresult279
  gc_frame_newslot(opresult279);
  Object block280 = alloc_Block(NULL, NULL, "errormessages", 360);
  gc_frame_newslot(block280);
  block_savedest(block280);
  Object closure281 = createclosure(2, "_apply");
setclosureframe(closure281, stackframe);
  addtoclosure(closure281, var_arr);
  addtoclosure(closure281, selfslot);
  struct UserObject *uo281 = (struct UserObject*)block280;
  uo281->data[0] = (Object)closure281;
  Method *meth_meth_errormessages__apply281 = addmethod2pos(block280, "_apply", &meth_errormessages__apply281, 0);
int argcv_meth_errormessages__apply281[] = {0};
meth_meth_errormessages__apply281->type = alloc_MethodType(1, argcv_meth_errormessages__apply281);
  meth_meth_errormessages__apply281->definitionModule = modulename;
  meth_meth_errormessages__apply281->definitionLine = 360;
// compilenode returning block280
  gc_frame_newslot(block280);
  params[0] = opresult279;
  params[1] = block280;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call288 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe268);
// compilenode returning call288
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe289 = gc_frame_new();
// compilenode returning *var_endpos
  int op_slot_right_290 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_290 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult292 = callmethod(*var_startpos, "..", 1, partcv, params);
// compilenode returning opresult292
  gc_frame_newslot(opresult292);
  Object block293 = alloc_Block(NULL, NULL, "errormessages", 363);
  gc_frame_newslot(block293);
  block_savedest(block293);
  Object closure294 = createclosure(2, "_apply");
setclosureframe(closure294, stackframe);
  addtoclosure(closure294, var_arr);
  addtoclosure(closure294, selfslot);
  struct UserObject *uo294 = (struct UserObject*)block293;
  uo294->data[0] = (Object)closure294;
  Method *meth_meth_errormessages__apply294 = addmethod2pos(block293, "_apply", &meth_errormessages__apply294, 0);
int argcv_meth_errormessages__apply294[] = {0};
meth_meth_errormessages__apply294->type = alloc_MethodType(1, argcv_meth_errormessages__apply294);
  meth_meth_errormessages__apply294->definitionModule = modulename;
  meth_meth_errormessages__apply294->definitionLine = 360;
// compilenode returning block293
  gc_frame_newslot(block293);
  params[0] = opresult292;
  params[1] = block293;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call301 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe289);
// compilenode returning call301
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe302 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit304 == NULL) {
    strlit304 = alloc_String("");
    gc_root(strlit304);
  }
// compilenode returning strlit304
  int op_slot_right_303 = gc_frame_newslot(strlit304);
// compilenode returning *var_loc
  int op_slot_right_306 = gc_frame_newslot(*var_loc);
  if (strlit308 == NULL) {
    strlit308 = alloc_String(":");
    gc_root(strlit308);
  }
// compilenode returning strlit308
  int op_slot_left_306 = gc_frame_newslot(strlit308);
  params[0] = *var_loc;
  partcv[0] = 1;
  Object opresult309 = callmethod(strlit308, "++", 1, partcv, params);
// compilenode returning opresult309
  int op_slot_left_303 = gc_frame_newslot(opresult309);
  params[0] = strlit304;
  partcv[0] = 1;
  Object opresult310 = callmethod(opresult309, "++", 1, partcv, params);
// compilenode returning opresult310
  gc_frame_newslot(opresult310);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool311 = alloc_Boolean(0);
// compilenode returning bool311
  gc_frame_newslot(bool311);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult310;
  params[3] = *var_arr;
  params[4] = bool311;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call312 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe302);
// compilenode returning call312
  gc_frame_end(frame);
  return call312;
}
Object meth_errormessages__apply349(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit351 == NULL) {
    strlit351 = alloc_String("-");
    gc_root(strlit351);
  }
// compilenode returning strlit351
  int op_slot_right_350 = gc_frame_newslot(strlit351);
// compilenode returning *var_arr
  int op_slot_left_350 = gc_frame_newslot(*var_arr);
  params[0] = strlit351;
  partcv[0] = 1;
  Object opresult353 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult353
  *var_arr = opresult353;
  if (opresult353 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply362(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit364 == NULL) {
    strlit364 = alloc_String("^");
    gc_root(strlit364);
  }
// compilenode returning strlit364
  int op_slot_right_363 = gc_frame_newslot(strlit364);
// compilenode returning *var_arr
  int op_slot_left_363 = gc_frame_newslot(*var_arr);
  params[0] = strlit364;
  partcv[0] = 1;
  Object opresult366 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult366
  *var_arr = opresult366;
  if (opresult366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atRange_40__41_withSuggestions313(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atRange()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atRange()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 3)
  gracedie("too many arguments for atRange");
  Object *var_suggestions = &(stackframe->slots[4]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_loc = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "loc");
  Object *var_arr = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "arr");
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_endpos
  int op_slot_right_315 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_315 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult317 = callmethod(*var_startpos, "==", 1, partcv, params);
// compilenode returning opresult317
  Object if314 = done;
struct StackFrameObject *iftmpstackframe314 = stackframe;
  if (istrue(opresult317)) {
stackframe = alloc_StackFrame(0, iftmpstackframe314);
gc_frame_newslot((Object)stackframe);
  int callframe318 = gc_frame_new();
// compilenode returning *var_startpos
  partcv[0] = 0;
  Object call319 = callmethod(*var_startpos, "asString",
    1, partcv, params);
  gc_frame_end(callframe318);
// compilenode returning call319
// compilenode returning call319
    gc_frame_newslot(call319);
    if314 = call319;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe314);
gc_frame_newslot((Object)stackframe);
  if (strlit321 == NULL) {
    strlit321 = alloc_String("");
    gc_root(strlit321);
  }
// compilenode returning strlit321
  int op_slot_right_320 = gc_frame_newslot(strlit321);
// compilenode returning *var_endpos
  int op_slot_right_323 = gc_frame_newslot(*var_endpos);
  if (strlit326 == NULL) {
    strlit326 = alloc_String("-");
    gc_root(strlit326);
  }
// compilenode returning strlit326
  int op_slot_right_325 = gc_frame_newslot(strlit326);
// compilenode returning *var_startpos
  int op_slot_right_328 = gc_frame_newslot(*var_startpos);
  if (strlit330 == NULL) {
    strlit330 = alloc_String("");
    gc_root(strlit330);
  }
// compilenode returning strlit330
  int op_slot_left_328 = gc_frame_newslot(strlit330);
  params[0] = *var_startpos;
  partcv[0] = 1;
  Object opresult331 = callmethod(strlit330, "++", 1, partcv, params);
// compilenode returning opresult331
  int op_slot_left_325 = gc_frame_newslot(opresult331);
  params[0] = strlit326;
  partcv[0] = 1;
  Object opresult332 = callmethod(opresult331, "++", 1, partcv, params);
// compilenode returning opresult332
  int op_slot_left_323 = gc_frame_newslot(opresult332);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult333 = callmethod(opresult332, "++", 1, partcv, params);
// compilenode returning opresult333
  int op_slot_left_320 = gc_frame_newslot(opresult333);
  params[0] = strlit321;
  partcv[0] = 1;
  Object opresult334 = callmethod(opresult333, "++", 1, partcv, params);
// compilenode returning opresult334
    gc_frame_newslot(opresult334);
    if314 = opresult334;
  }
stackframe = iftmpstackframe314;
// compilenode returning if314
  *var_loc = if314;
  if (if314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit335 == NULL) {
    strlit335 = alloc_String("----");
    gc_root(strlit335);
  }
// compilenode returning strlit335
  *var_arr = strlit335;
  if (strlit335 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe336 = gc_frame_new();
  int callframe339 = gc_frame_new();
  int callframe340 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call341 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe340);
// compilenode returning call341
// compilenode returning call341
  partcv[0] = 0;
  Object call342 = callmethod(call341, "size",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call342
// compilenode returning call342
  int op_slot_right_338 = gc_frame_newslot(call342);
// compilenode returning *var_startpos
  int op_slot_left_338 = gc_frame_newslot(*var_startpos);
  params[0] = call342;
  partcv[0] = 1;
  Object sum344 = callmethod(*var_startpos, "+", 1, partcv, params);
// compilenode returning sum344
  int op_slot_right_337 = gc_frame_newslot(sum344);
  Object num346 = alloc_Float64(2);
// compilenode returning num346
  int op_slot_left_337 = gc_frame_newslot(num346);
  params[0] = sum344;
  partcv[0] = 1;
  Object opresult347 = callmethod(num346, "..", 1, partcv, params);
// compilenode returning opresult347
  gc_frame_newslot(opresult347);
  Object block348 = alloc_Block(NULL, NULL, "errormessages", 372);
  gc_frame_newslot(block348);
  block_savedest(block348);
  Object closure349 = createclosure(2, "_apply");
setclosureframe(closure349, stackframe);
  addtoclosure(closure349, var_arr);
  addtoclosure(closure349, selfslot);
  struct UserObject *uo349 = (struct UserObject*)block348;
  uo349->data[0] = (Object)closure349;
  Method *meth_meth_errormessages__apply349 = addmethod2pos(block348, "_apply", &meth_errormessages__apply349, 0);
int argcv_meth_errormessages__apply349[] = {0};
meth_meth_errormessages__apply349->type = alloc_MethodType(1, argcv_meth_errormessages__apply349);
  meth_meth_errormessages__apply349->definitionModule = modulename;
  meth_meth_errormessages__apply349->definitionLine = 372;
// compilenode returning block348
  gc_frame_newslot(block348);
  params[0] = opresult347;
  params[1] = block348;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call356 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe336);
// compilenode returning call356
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe357 = gc_frame_new();
// compilenode returning *var_endpos
  int op_slot_right_358 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_358 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult360 = callmethod(*var_startpos, "..", 1, partcv, params);
// compilenode returning opresult360
  gc_frame_newslot(opresult360);
  Object block361 = alloc_Block(NULL, NULL, "errormessages", 375);
  gc_frame_newslot(block361);
  block_savedest(block361);
  Object closure362 = createclosure(2, "_apply");
setclosureframe(closure362, stackframe);
  addtoclosure(closure362, var_arr);
  addtoclosure(closure362, selfslot);
  struct UserObject *uo362 = (struct UserObject*)block361;
  uo362->data[0] = (Object)closure362;
  Method *meth_meth_errormessages__apply362 = addmethod2pos(block361, "_apply", &meth_errormessages__apply362, 0);
int argcv_meth_errormessages__apply362[] = {0};
meth_meth_errormessages__apply362->type = alloc_MethodType(1, argcv_meth_errormessages__apply362);
  meth_meth_errormessages__apply362->definitionModule = modulename;
  meth_meth_errormessages__apply362->definitionLine = 372;
// compilenode returning block361
  gc_frame_newslot(block361);
  params[0] = opresult360;
  params[1] = block361;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call369 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe357);
// compilenode returning call369
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe370 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit372 == NULL) {
    strlit372 = alloc_String("");
    gc_root(strlit372);
  }
// compilenode returning strlit372
  int op_slot_right_371 = gc_frame_newslot(strlit372);
// compilenode returning *var_loc
  int op_slot_right_374 = gc_frame_newslot(*var_loc);
  if (strlit376 == NULL) {
    strlit376 = alloc_String(":");
    gc_root(strlit376);
  }
// compilenode returning strlit376
  int op_slot_left_374 = gc_frame_newslot(strlit376);
  params[0] = *var_loc;
  partcv[0] = 1;
  Object opresult377 = callmethod(strlit376, "++", 1, partcv, params);
// compilenode returning opresult377
  int op_slot_left_371 = gc_frame_newslot(opresult377);
  params[0] = strlit372;
  partcv[0] = 1;
  Object opresult378 = callmethod(opresult377, "++", 1, partcv, params);
// compilenode returning opresult378
  gc_frame_newslot(opresult378);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool379 = alloc_Boolean(0);
// compilenode returning bool379
  gc_frame_newslot(bool379);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult378;
  params[3] = *var_arr;
  params[4] = bool379;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call380 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe370);
// compilenode returning call380
  gc_frame_end(frame);
  return call380;
}
Object meth_errormessages_syntaxError_40__41_atPosition381(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atPosition (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 2)
  gracedie("too many arguments for atPosition");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe382 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array383 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array383
  gc_frame_newslot(array383);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array383;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call384 = callmethodflags(self, "syntaxError()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe382);
// compilenode returning call384
  gc_frame_end(frame);
  return call384;
}
Object meth_errormessages_error_40__41_atPosition385(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "error()atPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for error()atPosition (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 2)
  gracedie("too many arguments for atPosition");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe386 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array387 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array387
  gc_frame_newslot(array387);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array387;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call388 = callmethodflags(self, "error()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe386);
// compilenode returning call388
  gc_frame_end(frame);
  return call388;
}
Object meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atPosition()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atPosition()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 2)
  gracedie("too many arguments for atPosition");
  Object *var_suggestion_39_ = &(stackframe->slots[3]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe390 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array391 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array391, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array391
  gc_frame_newslot(array391);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array391;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call392 = callmethodflags(self, "syntaxError()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe390);
// compilenode returning call392
  gc_frame_end(frame);
  return call392;
}
Object meth_errormessages__apply408(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit410 == NULL) {
    strlit410 = alloc_String("-");
    gc_root(strlit410);
  }
// compilenode returning strlit410
  int op_slot_right_409 = gc_frame_newslot(strlit410);
// compilenode returning *var_arr
  int op_slot_left_409 = gc_frame_newslot(*var_arr);
  params[0] = strlit410;
  partcv[0] = 1;
  Object opresult412 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult412
  *var_arr = opresult412;
  if (opresult412 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atPosition()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atPosition()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 2)
  gracedie("too many arguments for atPosition");
  Object *var_suggestions = &(stackframe->slots[3]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "arr");
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit394 == NULL) {
    strlit394 = alloc_String("----");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  *var_arr = strlit394;
  if (strlit394 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe395 = gc_frame_new();
  int callframe398 = gc_frame_new();
  int callframe399 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call400 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe399);
// compilenode returning call400
// compilenode returning call400
  partcv[0] = 0;
  Object call401 = callmethod(call400, "size",
    1, partcv, params);
  gc_frame_end(callframe398);
// compilenode returning call401
// compilenode returning call401
  int op_slot_right_397 = gc_frame_newslot(call401);
// compilenode returning *var_errpos
  int op_slot_left_397 = gc_frame_newslot(*var_errpos);
  params[0] = call401;
  partcv[0] = 1;
  Object sum403 = callmethod(*var_errpos, "+", 1, partcv, params);
// compilenode returning sum403
  int op_slot_right_396 = gc_frame_newslot(sum403);
  Object num405 = alloc_Float64(2);
// compilenode returning num405
  int op_slot_left_396 = gc_frame_newslot(num405);
  params[0] = sum403;
  partcv[0] = 1;
  Object opresult406 = callmethod(num405, "..", 1, partcv, params);
// compilenode returning opresult406
  gc_frame_newslot(opresult406);
  Object block407 = alloc_Block(NULL, NULL, "errormessages", 395);
  gc_frame_newslot(block407);
  block_savedest(block407);
  Object closure408 = createclosure(2, "_apply");
setclosureframe(closure408, stackframe);
  addtoclosure(closure408, var_arr);
  addtoclosure(closure408, selfslot);
  struct UserObject *uo408 = (struct UserObject*)block407;
  uo408->data[0] = (Object)closure408;
  Method *meth_meth_errormessages__apply408 = addmethod2pos(block407, "_apply", &meth_errormessages__apply408, 0);
int argcv_meth_errormessages__apply408[] = {0};
meth_meth_errormessages__apply408->type = alloc_MethodType(1, argcv_meth_errormessages__apply408);
  meth_meth_errormessages__apply408->definitionModule = modulename;
  meth_meth_errormessages__apply408->definitionLine = 395;
// compilenode returning block407
  gc_frame_newslot(block407);
  params[0] = opresult406;
  params[1] = block407;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call415 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe395);
// compilenode returning call415
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit417 == NULL) {
    strlit417 = alloc_String("^");
    gc_root(strlit417);
  }
// compilenode returning strlit417
  int op_slot_right_416 = gc_frame_newslot(strlit417);
// compilenode returning *var_arr
  int op_slot_left_416 = gc_frame_newslot(*var_arr);
  params[0] = strlit417;
  partcv[0] = 1;
  Object opresult419 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult419
  *var_arr = opresult419;
  if (opresult419 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe421 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit423 == NULL) {
    strlit423 = alloc_String(")");
    gc_root(strlit423);
  }
// compilenode returning strlit423
  int op_slot_right_422 = gc_frame_newslot(strlit423);
// compilenode returning *var_errpos
  int op_slot_right_425 = gc_frame_newslot(*var_errpos);
  if (strlit427 == NULL) {
    strlit427 = alloc_String(":(");
    gc_root(strlit427);
  }
// compilenode returning strlit427
  int op_slot_left_425 = gc_frame_newslot(strlit427);
  params[0] = *var_errpos;
  partcv[0] = 1;
  Object opresult428 = callmethod(strlit427, "++", 1, partcv, params);
// compilenode returning opresult428
  int op_slot_left_422 = gc_frame_newslot(opresult428);
  params[0] = strlit423;
  partcv[0] = 1;
  Object opresult429 = callmethod(opresult428, "++", 1, partcv, params);
// compilenode returning opresult429
  gc_frame_newslot(opresult429);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult429;
  params[3] = *var_arr;
  params[4] = *var_errpos;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call430 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe421);
// compilenode returning call430
  gc_frame_end(frame);
  return call430;
}
Object meth_errormessages__apply446(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit448 == NULL) {
    strlit448 = alloc_String("-");
    gc_root(strlit448);
  }
// compilenode returning strlit448
  int op_slot_right_447 = gc_frame_newslot(strlit448);
// compilenode returning *var_arr
  int op_slot_left_447 = gc_frame_newslot(*var_arr);
  params[0] = strlit448;
  partcv[0] = 1;
  Object opresult450 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult450
  *var_arr = opresult450;
  if (opresult450 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atPosition()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atPosition()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 2)
  gracedie("too many arguments for atPosition");
  Object *var_suggestions = &(stackframe->slots[3]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "arr");
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit432 == NULL) {
    strlit432 = alloc_String("----");
    gc_root(strlit432);
  }
// compilenode returning strlit432
  *var_arr = strlit432;
  if (strlit432 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe433 = gc_frame_new();
  int callframe436 = gc_frame_new();
  int callframe437 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call438 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe437);
// compilenode returning call438
// compilenode returning call438
  partcv[0] = 0;
  Object call439 = callmethod(call438, "size",
    1, partcv, params);
  gc_frame_end(callframe436);
// compilenode returning call439
// compilenode returning call439
  int op_slot_right_435 = gc_frame_newslot(call439);
// compilenode returning *var_errpos
  int op_slot_left_435 = gc_frame_newslot(*var_errpos);
  params[0] = call439;
  partcv[0] = 1;
  Object sum441 = callmethod(*var_errpos, "+", 1, partcv, params);
// compilenode returning sum441
  int op_slot_right_434 = gc_frame_newslot(sum441);
  Object num443 = alloc_Float64(2);
// compilenode returning num443
  int op_slot_left_434 = gc_frame_newslot(num443);
  params[0] = sum441;
  partcv[0] = 1;
  Object opresult444 = callmethod(num443, "..", 1, partcv, params);
// compilenode returning opresult444
  gc_frame_newslot(opresult444);
  Object block445 = alloc_Block(NULL, NULL, "errormessages", 405);
  gc_frame_newslot(block445);
  block_savedest(block445);
  Object closure446 = createclosure(2, "_apply");
setclosureframe(closure446, stackframe);
  addtoclosure(closure446, var_arr);
  addtoclosure(closure446, selfslot);
  struct UserObject *uo446 = (struct UserObject*)block445;
  uo446->data[0] = (Object)closure446;
  Method *meth_meth_errormessages__apply446 = addmethod2pos(block445, "_apply", &meth_errormessages__apply446, 0);
int argcv_meth_errormessages__apply446[] = {0};
meth_meth_errormessages__apply446->type = alloc_MethodType(1, argcv_meth_errormessages__apply446);
  meth_meth_errormessages__apply446->definitionModule = modulename;
  meth_meth_errormessages__apply446->definitionLine = 405;
// compilenode returning block445
  gc_frame_newslot(block445);
  params[0] = opresult444;
  params[1] = block445;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call453 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe433);
// compilenode returning call453
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit455 == NULL) {
    strlit455 = alloc_String("^");
    gc_root(strlit455);
  }
// compilenode returning strlit455
  int op_slot_right_454 = gc_frame_newslot(strlit455);
// compilenode returning *var_arr
  int op_slot_left_454 = gc_frame_newslot(*var_arr);
  params[0] = strlit455;
  partcv[0] = 1;
  Object opresult457 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult457
  *var_arr = opresult457;
  if (opresult457 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe459 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit461 == NULL) {
    strlit461 = alloc_String(")");
    gc_root(strlit461);
  }
// compilenode returning strlit461
  int op_slot_right_460 = gc_frame_newslot(strlit461);
// compilenode returning *var_errpos
  int op_slot_right_463 = gc_frame_newslot(*var_errpos);
  if (strlit465 == NULL) {
    strlit465 = alloc_String(":(");
    gc_root(strlit465);
  }
// compilenode returning strlit465
  int op_slot_left_463 = gc_frame_newslot(strlit465);
  params[0] = *var_errpos;
  partcv[0] = 1;
  Object opresult466 = callmethod(strlit465, "++", 1, partcv, params);
// compilenode returning opresult466
  int op_slot_left_460 = gc_frame_newslot(opresult466);
  params[0] = strlit461;
  partcv[0] = 1;
  Object opresult467 = callmethod(opresult466, "++", 1, partcv, params);
// compilenode returning opresult467
  gc_frame_newslot(opresult467);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult467;
  params[3] = *var_arr;
  params[4] = *var_errpos;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call468 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe459);
// compilenode returning call468
  gc_frame_end(frame);
  return call468;
}
Object meth_errormessages__apply481(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit483 == NULL) {
    strlit483 = alloc_String("-");
    gc_root(strlit483);
  }
// compilenode returning strlit483
  int op_slot_right_482 = gc_frame_newslot(strlit483);
// compilenode returning *var_arr
  int op_slot_left_482 = gc_frame_newslot(*var_arr);
  params[0] = strlit483;
  partcv[0] = 1;
  Object opresult485 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult485
  *var_arr = opresult485;
  if (opresult485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply501(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit503 == NULL) {
    strlit503 = alloc_String("^");
    gc_root(strlit503);
  }
// compilenode returning strlit503
  int op_slot_right_502 = gc_frame_newslot(strlit503);
// compilenode returning *var_arr
  int op_slot_left_502 = gc_frame_newslot(*var_arr);
  params[0] = strlit503;
  partcv[0] = 1;
  Object opresult505 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult505
  *var_arr = opresult505;
  if (opresult505 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atLine_40__41_withSuggestions469(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atLine()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atLine()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atLine");
  Object *var_suggestions = &(stackframe->slots[2]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arr");
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit470 == NULL) {
    strlit470 = alloc_String("----");
    gc_root(strlit470);
  }
// compilenode returning strlit470
  *var_arr = strlit470;
  if (strlit470 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe471 = gc_frame_new();
  int callframe473 = gc_frame_new();
  int callframe474 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call475 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe474);
// compilenode returning call475
// compilenode returning call475
  partcv[0] = 0;
  Object call476 = callmethod(call475, "size",
    1, partcv, params);
  gc_frame_end(callframe473);
// compilenode returning call476
// compilenode returning call476
  int op_slot_right_472 = gc_frame_newslot(call476);
  Object num478 = alloc_Float64(1);
// compilenode returning num478
  int op_slot_left_472 = gc_frame_newslot(num478);
  params[0] = call476;
  partcv[0] = 1;
  Object opresult479 = callmethod(num478, "..", 1, partcv, params);
// compilenode returning opresult479
  gc_frame_newslot(opresult479);
  Object block480 = alloc_Block(NULL, NULL, "errormessages", 414);
  gc_frame_newslot(block480);
  block_savedest(block480);
  Object closure481 = createclosure(2, "_apply");
setclosureframe(closure481, stackframe);
  addtoclosure(closure481, var_arr);
  addtoclosure(closure481, selfslot);
  struct UserObject *uo481 = (struct UserObject*)block480;
  uo481->data[0] = (Object)closure481;
  Method *meth_meth_errormessages__apply481 = addmethod2pos(block480, "_apply", &meth_errormessages__apply481, 0);
int argcv_meth_errormessages__apply481[] = {0};
meth_meth_errormessages__apply481->type = alloc_MethodType(1, argcv_meth_errormessages__apply481);
  meth_meth_errormessages__apply481->definitionModule = modulename;
  meth_meth_errormessages__apply481->definitionLine = 414;
// compilenode returning block480
  gc_frame_newslot(block480);
  params[0] = opresult479;
  params[1] = block480;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call488 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe471);
// compilenode returning call488
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe489 = gc_frame_new();
  int callframe491 = gc_frame_new();
  int callframe492 = gc_frame_new();
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  int callframe493 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call494 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe493);
// compilenode returning call494
// compilenode returning call494
  params[0] = *var_errlinenum;
  partcv[0] = 1;
  Object call495 = callmethod(call494, "at",
    1, partcv, params);
  gc_frame_end(callframe492);
// compilenode returning call495
  partcv[0] = 0;
  Object call496 = callmethod(call495, "size",
    1, partcv, params);
  gc_frame_end(callframe491);
// compilenode returning call496
// compilenode returning call496
  int op_slot_right_490 = gc_frame_newslot(call496);
  Object num498 = alloc_Float64(1);
// compilenode returning num498
  int op_slot_left_490 = gc_frame_newslot(num498);
  params[0] = call496;
  partcv[0] = 1;
  Object opresult499 = callmethod(num498, "..", 1, partcv, params);
// compilenode returning opresult499
  gc_frame_newslot(opresult499);
  Object block500 = alloc_Block(NULL, NULL, "errormessages", 417);
  gc_frame_newslot(block500);
  block_savedest(block500);
  Object closure501 = createclosure(2, "_apply");
setclosureframe(closure501, stackframe);
  addtoclosure(closure501, var_arr);
  addtoclosure(closure501, selfslot);
  struct UserObject *uo501 = (struct UserObject*)block500;
  uo501->data[0] = (Object)closure501;
  Method *meth_meth_errormessages__apply501 = addmethod2pos(block500, "_apply", &meth_errormessages__apply501, 0);
int argcv_meth_errormessages__apply501[] = {0};
meth_meth_errormessages__apply501->type = alloc_MethodType(1, argcv_meth_errormessages__apply501);
  meth_meth_errormessages__apply501->definitionModule = modulename;
  meth_meth_errormessages__apply501->definitionLine = 417;
// compilenode returning block500
  gc_frame_newslot(block500);
  params[0] = opresult499;
  params[1] = block500;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call508 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe489);
// compilenode returning call508
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe509 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit510 == NULL) {
    strlit510 = alloc_String("");
    gc_root(strlit510);
  }
// compilenode returning strlit510
  gc_frame_newslot(strlit510);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool511 = alloc_Boolean(0);
// compilenode returning bool511
  gc_frame_newslot(bool511);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = strlit510;
  params[3] = *var_arr;
  params[4] = bool511;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call512 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe509);
// compilenode returning call512
  gc_frame_end(frame);
  return call512;
}
Object meth_errormessages_error_40__41_atLine513(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "error()atLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for error()atLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe514 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array515 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array515
  gc_frame_newslot(array515);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array515;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call516 = callmethodflags(self, "error()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe514);
// compilenode returning call516
  gc_frame_end(frame);
  return call516;
}
Object meth_errormessages_syntaxError_40__41_atLine517(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe518 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array519 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array519
  gc_frame_newslot(array519);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array519;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call520 = callmethodflags(self, "syntaxError()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe518);
// compilenode returning call520
  gc_frame_end(frame);
  return call520;
}
Object meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atLine()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atLine()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atLine");
  Object *var_suggestion_39_ = &(stackframe->slots[2]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe522 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array523 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array523, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array523
  gc_frame_newslot(array523);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array523;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call524 = callmethodflags(self, "syntaxError()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe522);
// compilenode returning call524
  gc_frame_end(frame);
  return call524;
}
Object meth_errormessages__apply537(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit539 == NULL) {
    strlit539 = alloc_String("-");
    gc_root(strlit539);
  }
// compilenode returning strlit539
  int op_slot_right_538 = gc_frame_newslot(strlit539);
// compilenode returning *var_arr
  int op_slot_left_538 = gc_frame_newslot(*var_arr);
  params[0] = strlit539;
  partcv[0] = 1;
  Object opresult541 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult541
  *var_arr = opresult541;
  if (opresult541 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply557(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit559 == NULL) {
    strlit559 = alloc_String("^");
    gc_root(strlit559);
  }
// compilenode returning strlit559
  int op_slot_right_558 = gc_frame_newslot(strlit559);
// compilenode returning *var_arr
  int op_slot_left_558 = gc_frame_newslot(*var_arr);
  params[0] = strlit559;
  partcv[0] = 1;
  Object opresult561 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult561
  *var_arr = opresult561;
  if (opresult561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atLine()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atLine()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atLine");
  Object *var_suggestions = &(stackframe->slots[2]);
  *var_suggestions = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arr");
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit526 == NULL) {
    strlit526 = alloc_String("----");
    gc_root(strlit526);
  }
// compilenode returning strlit526
  *var_arr = strlit526;
  if (strlit526 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe527 = gc_frame_new();
  int callframe529 = gc_frame_new();
  int callframe530 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call531 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe530);
// compilenode returning call531
// compilenode returning call531
  partcv[0] = 0;
  Object call532 = callmethod(call531, "size",
    1, partcv, params);
  gc_frame_end(callframe529);
// compilenode returning call532
// compilenode returning call532
  int op_slot_right_528 = gc_frame_newslot(call532);
  Object num534 = alloc_Float64(1);
// compilenode returning num534
  int op_slot_left_528 = gc_frame_newslot(num534);
  params[0] = call532;
  partcv[0] = 1;
  Object opresult535 = callmethod(num534, "..", 1, partcv, params);
// compilenode returning opresult535
  gc_frame_newslot(opresult535);
  Object block536 = alloc_Block(NULL, NULL, "errormessages", 437);
  gc_frame_newslot(block536);
  block_savedest(block536);
  Object closure537 = createclosure(2, "_apply");
setclosureframe(closure537, stackframe);
  addtoclosure(closure537, var_arr);
  addtoclosure(closure537, selfslot);
  struct UserObject *uo537 = (struct UserObject*)block536;
  uo537->data[0] = (Object)closure537;
  Method *meth_meth_errormessages__apply537 = addmethod2pos(block536, "_apply", &meth_errormessages__apply537, 0);
int argcv_meth_errormessages__apply537[] = {0};
meth_meth_errormessages__apply537->type = alloc_MethodType(1, argcv_meth_errormessages__apply537);
  meth_meth_errormessages__apply537->definitionModule = modulename;
  meth_meth_errormessages__apply537->definitionLine = 437;
// compilenode returning block536
  gc_frame_newslot(block536);
  params[0] = opresult535;
  params[1] = block536;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call544 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe527);
// compilenode returning call544
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe545 = gc_frame_new();
  int callframe547 = gc_frame_new();
  int callframe548 = gc_frame_new();
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  int callframe549 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call550 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe549);
// compilenode returning call550
// compilenode returning call550
  params[0] = *var_errlinenum;
  partcv[0] = 1;
  Object call551 = callmethod(call550, "at",
    1, partcv, params);
  gc_frame_end(callframe548);
// compilenode returning call551
  partcv[0] = 0;
  Object call552 = callmethod(call551, "size",
    1, partcv, params);
  gc_frame_end(callframe547);
// compilenode returning call552
// compilenode returning call552
  int op_slot_right_546 = gc_frame_newslot(call552);
  Object num554 = alloc_Float64(1);
// compilenode returning num554
  int op_slot_left_546 = gc_frame_newslot(num554);
  params[0] = call552;
  partcv[0] = 1;
  Object opresult555 = callmethod(num554, "..", 1, partcv, params);
// compilenode returning opresult555
  gc_frame_newslot(opresult555);
  Object block556 = alloc_Block(NULL, NULL, "errormessages", 440);
  gc_frame_newslot(block556);
  block_savedest(block556);
  Object closure557 = createclosure(2, "_apply");
setclosureframe(closure557, stackframe);
  addtoclosure(closure557, var_arr);
  addtoclosure(closure557, selfslot);
  struct UserObject *uo557 = (struct UserObject*)block556;
  uo557->data[0] = (Object)closure557;
  Method *meth_meth_errormessages__apply557 = addmethod2pos(block556, "_apply", &meth_errormessages__apply557, 0);
int argcv_meth_errormessages__apply557[] = {0};
meth_meth_errormessages__apply557->type = alloc_MethodType(1, argcv_meth_errormessages__apply557);
  meth_meth_errormessages__apply557->definitionModule = modulename;
  meth_meth_errormessages__apply557->definitionLine = 440;
// compilenode returning block556
  gc_frame_newslot(block556);
  params[0] = opresult555;
  params[1] = block556;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call564 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe545);
// compilenode returning call564
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe565 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit566 == NULL) {
    strlit566 = alloc_String("");
    gc_root(strlit566);
  }
// compilenode returning strlit566
  gc_frame_newslot(strlit566);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool567 = alloc_Boolean(0);
// compilenode returning bool567
  gc_frame_newslot(bool567);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = strlit566;
  params[3] = *var_arr;
  params[4] = bool567;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call568 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe565);
// compilenode returning call568
  gc_frame_end(frame);
  return call568;
}
Object meth_errormessages_suggestion569(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "suggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_suggestion = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for suggestion (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for suggestion");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_end(frame);
  return *var_suggestion;
}
Object meth_errormessages_replaceRange_40__41_with_40__41_onLine577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceRange()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceRange()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for replaceRange");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for with");
  Object *var_lineNumber = &(stackframe->slots[3]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe578 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call579 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe578);
// compilenode returning call579
  *var_line = call579;
  if (call579 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num582 = alloc_Float64(1);
// compilenode returning num582
  int op_slot_right_581 = gc_frame_newslot(num582);
// compilenode returning *var_start
  int op_slot_left_581 = gc_frame_newslot(*var_start);
  params[0] = num582;
  partcv[0] = 1;
  Object opresult584 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult584
  Object if580 = done;
  if (istrue(opresult584)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe585 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe587 = gc_frame_new();
  Object num589 = alloc_Float64(1);
// compilenode returning num589
  int op_slot_right_588 = gc_frame_newslot(num589);
// compilenode returning *var_end
  int op_slot_left_588 = gc_frame_newslot(*var_end);
  params[0] = num589;
  partcv[0] = 1;
  Object sum591 = callmethod(*var_end, "+", 1, partcv, params);
// compilenode returning sum591
  gc_frame_newslot(sum591);
  int callframe592 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call593 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe592);
// compilenode returning call593
// compilenode returning call593
  gc_frame_newslot(call593);
// compilenode returning *var_line
  params[0] = sum591;
  params[1] = call593;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call594 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe587);
// compilenode returning call594
  int op_slot_right_586 = gc_frame_newslot(call594);
// compilenode returning *var_s
  int op_slot_left_586 = gc_frame_newslot(*var_s);
  params[0] = call594;
  partcv[0] = 1;
  Object opresult596 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult596
  gc_frame_newslot(opresult596);
  params[0] = *var_lineNumber;
  params[1] = opresult596;
  partcv[0] = 2;
  Object call597 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe585);
// compilenode returning call597
    gc_frame_newslot(call597);
    if580 = call597;
  } else {
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe598 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe600 = gc_frame_new();
  Object num602 = alloc_Float64(1);
// compilenode returning num602
  int op_slot_right_601 = gc_frame_newslot(num602);
// compilenode returning *var_end
  int op_slot_left_601 = gc_frame_newslot(*var_end);
  params[0] = num602;
  partcv[0] = 1;
  Object sum604 = callmethod(*var_end, "+", 1, partcv, params);
// compilenode returning sum604
  gc_frame_newslot(sum604);
  int callframe605 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call606 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe605);
// compilenode returning call606
// compilenode returning call606
  gc_frame_newslot(call606);
// compilenode returning *var_line
  params[0] = sum604;
  params[1] = call606;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call607 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe600);
// compilenode returning call607
  int op_slot_right_599 = gc_frame_newslot(call607);
// compilenode returning *var_s
  int op_slot_right_609 = gc_frame_newslot(*var_s);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe611 = gc_frame_new();
  Object num612 = alloc_Float64(1);
// compilenode returning num612
  gc_frame_newslot(num612);
  Object num614 = alloc_Float64(1);
// compilenode returning num614
  int op_slot_right_613 = gc_frame_newslot(num614);
// compilenode returning *var_start
  int op_slot_left_613 = gc_frame_newslot(*var_start);
  params[0] = num614;
  partcv[0] = 1;
  Object diff616 = callmethod(*var_start, "-", 1, partcv, params);
// compilenode returning diff616
  gc_frame_newslot(diff616);
// compilenode returning *var_line
  params[0] = num612;
  params[1] = diff616;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call617 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe611);
// compilenode returning call617
  int op_slot_left_609 = gc_frame_newslot(call617);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult618 = callmethod(call617, "++", 1, partcv, params);
// compilenode returning opresult618
  int op_slot_left_599 = gc_frame_newslot(opresult618);
  params[0] = call607;
  partcv[0] = 1;
  Object opresult619 = callmethod(opresult618, "++", 1, partcv, params);
// compilenode returning opresult619
  gc_frame_newslot(opresult619);
  params[0] = *var_lineNumber;
  params[1] = opresult619;
  partcv[0] = 2;
  Object call620 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe598);
// compilenode returning call620
    gc_frame_newslot(call620);
    if580 = call620;
  }
// compilenode returning if580
  gc_frame_end(frame);
  return if580;
}
Object meth_errormessages_replaceChar_40__41_with_40__41_onLine621(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceChar()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceChar()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_pos = &(stackframe->slots[0]);
  *var_pos = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for replaceChar");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for with");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe622 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_pos;
  params[1] = *var_pos;
  params[2] = *var_s;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call623 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe622);
// compilenode returning call623
  gc_frame_end(frame);
  return call623;
}
Object meth_errormessages__apply637(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  Object *var_until = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_line = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_until
  int op_slot_right_639 = gc_frame_newslot(*var_until);
  int callframe641 = gc_frame_new();
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
  Object num643 = alloc_Float64(1);
// compilenode returning num643
  int op_slot_right_642 = gc_frame_newslot(num643);
// compilenode returning *var_len
  int op_slot_right_645 = gc_frame_newslot(*var_len);
// compilenode returning *var_i
  int op_slot_left_645 = gc_frame_newslot(*var_i);
  params[0] = *var_len;
  partcv[0] = 1;
  Object sum647 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum647
  int op_slot_left_642 = gc_frame_newslot(sum647);
  params[0] = num643;
  partcv[0] = 1;
  Object diff648 = callmethod(sum647, "-", 1, partcv, params);
// compilenode returning diff648
  gc_frame_newslot(diff648);
// compilenode returning *var_line
  params[0] = *var_i;
  params[1] = diff648;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call649 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe641);
// compilenode returning call649
  int op_slot_left_639 = gc_frame_newslot(call649);
  params[0] = *var_until;
  partcv[0] = 1;
  Object opresult650 = callmethod(call649, "==", 1, partcv, params);
// compilenode returning opresult650
  Object if638 = done;
  if (istrue(opresult650)) {
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe651 = gc_frame_new();
  Object num652 = alloc_Float64(1);
// compilenode returning num652
  gc_frame_newslot(num652);
  Object num654 = alloc_Float64(1);
// compilenode returning num654
  int op_slot_right_653 = gc_frame_newslot(num654);
// compilenode returning *var_len
  int op_slot_right_656 = gc_frame_newslot(*var_len);
// compilenode returning *var_i
  int op_slot_left_656 = gc_frame_newslot(*var_i);
  params[0] = *var_len;
  partcv[0] = 1;
  Object sum658 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum658
  int op_slot_left_653 = gc_frame_newslot(sum658);
  params[0] = num654;
  partcv[0] = 1;
  Object diff659 = callmethod(sum658, "-", 1, partcv, params);
// compilenode returning diff659
  gc_frame_newslot(diff659);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = num652;
  params[1] = diff659;
  params[2] = *var_s;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call660 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe651);
// compilenode returning call660
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool661 = alloc_Boolean(1);
// compilenode returning bool661
  block_return(realself, bool661);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if638 = undefined;
  } else {
  }
// compilenode returning if638
  gc_frame_end(frame);
  return if638;
}
Object meth_errormessages_replaceUntil_40__41_with_40__41_onLine624(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceUntil()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceUntil()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_until = &(stackframe->slots[0]);
  *var_until = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for replaceUntil");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for with");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_len = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "len");
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe625 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call626 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe625);
// compilenode returning call626
  *var_line = call626;
  if (call626 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe627 = gc_frame_new();
// compilenode returning *var_until
  partcv[0] = 0;
  Object call628 = callmethod(*var_until, "size",
    1, partcv, params);
  gc_frame_end(callframe627);
// compilenode returning call628
// compilenode returning call628
  *var_len = call628;
  if (call628 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe629 = gc_frame_new();
  int callframe631 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call632 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe631);
// compilenode returning call632
// compilenode returning call632
  int op_slot_right_630 = gc_frame_newslot(call632);
  Object num634 = alloc_Float64(1);
// compilenode returning num634
  int op_slot_left_630 = gc_frame_newslot(num634);
  params[0] = call632;
  partcv[0] = 1;
  Object opresult635 = callmethod(num634, "..", 1, partcv, params);
// compilenode returning opresult635
  gc_frame_newslot(opresult635);
  Object block636 = alloc_Block(NULL, NULL, "errormessages", 40);
  gc_frame_newslot(block636);
  block_savedest(block636);
  Object closure637 = createclosure(6, "_apply");
setclosureframe(closure637, stackframe);
  addtoclosure(closure637, var_until);
  addtoclosure(closure637, var_len);
  addtoclosure(closure637, var_line);
  addtoclosure(closure637, var_s);
  addtoclosure(closure637, var_lineNumber);
  addtoclosure(closure637, selfslot);
  struct UserObject *uo637 = (struct UserObject*)block636;
  uo637->data[0] = (Object)closure637;
  Method *meth_meth_errormessages__apply637 = addmethod2pos(block636, "_apply", &meth_errormessages__apply637, 0);
int argcv_meth_errormessages__apply637[] = {1};
meth_meth_errormessages__apply637->type = alloc_MethodType(1, argcv_meth_errormessages__apply637);
  meth_meth_errormessages__apply637->definitionModule = modulename;
  meth_meth_errormessages__apply637->definitionLine = 40;
// compilenode returning block636
  gc_frame_newslot(block636);
  params[0] = opresult635;
  params[1] = block636;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call663 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe629);
// compilenode returning call663
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool664 = alloc_Boolean(0);
// compilenode returning bool664
  return bool664;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_errormessages__apply692(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_indent = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit695 == NULL) {
    strlit695 = alloc_String(" ");
    gc_root(strlit695);
  }
// compilenode returning strlit695
  int op_slot_right_694 = gc_frame_newslot(strlit695);
// compilenode returning *var_line
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres697 = callmethod(*var_line, "[]", 1, partcv, params);
// compilenode returning idxres697
  int op_slot_left_694 = gc_frame_newslot(idxres697);
  params[0] = strlit695;
  partcv[0] = 1;
  Object opresult698 = callmethod(idxres697, "!=", 1, partcv, params);
// compilenode returning opresult698
  Object if693 = done;
  if (istrue(opresult698)) {
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool699 = alloc_Boolean(0);
// compilenode returning bool699
  *var_indent = bool699;
  if (bool699 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if693 = done;
  } else {
  }
// compilenode returning if693
  gc_frame_end(frame);
  return if693;
}
Object meth_errormessages_deleteRange_40__41_onLine665(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteRange()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for deleteRange()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for deleteRange");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "start'");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_indent = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "indent");
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_start
  *var_start_39_ = *var_start;
  if (*var_start == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe666 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call667 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe666);
// compilenode returning call667
  *var_line = call667;
  if (call667 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe671 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call672 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe671);
// compilenode returning call672
// compilenode returning call672
  int op_slot_right_670 = gc_frame_newslot(call672);
// compilenode returning *var_end
  int op_slot_left_670 = gc_frame_newslot(*var_end);
  params[0] = call672;
  partcv[0] = 1;
  Object opresult674 = callmethod(*var_end, "==", 1, partcv, params);
// compilenode returning opresult674
  int op_slot_right_669 = gc_frame_newslot(opresult674);
  Object num677 = alloc_Float64(1);
// compilenode returning num677
  int op_slot_right_676 = gc_frame_newslot(num677);
// compilenode returning *var_start_39_
  int op_slot_left_676 = gc_frame_newslot(*var_start_39_);
  params[0] = num677;
  partcv[0] = 1;
  Object opresult679 = callmethod(*var_start_39_, ">", 1, partcv, params);
// compilenode returning opresult679
  int op_slot_left_669 = gc_frame_newslot(opresult679);
  params[0] = opresult674;
  partcv[0] = 1;
  Object opresult680 = callmethod(opresult679, "&&", 1, partcv, params);
// compilenode returning opresult680
  Object if668 = done;
  if (istrue(opresult680)) {
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool681 = alloc_Boolean(1);
// compilenode returning bool681
  *var_indent = bool681;
  if (bool681 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe682 = gc_frame_new();
  Object num685 = alloc_Float64(1);
// compilenode returning num685
  int op_slot_right_684 = gc_frame_newslot(num685);
// compilenode returning *var_start_39_
  int op_slot_left_684 = gc_frame_newslot(*var_start_39_);
  params[0] = num685;
  partcv[0] = 1;
  Object diff687 = callmethod(*var_start_39_, "-", 1, partcv, params);
// compilenode returning diff687
  int op_slot_right_683 = gc_frame_newslot(diff687);
  Object num689 = alloc_Float64(1);
// compilenode returning num689
  int op_slot_left_683 = gc_frame_newslot(num689);
  params[0] = diff687;
  partcv[0] = 1;
  Object opresult690 = callmethod(num689, "..", 1, partcv, params);
// compilenode returning opresult690
  gc_frame_newslot(opresult690);
  Object block691 = alloc_Block(NULL, NULL, "errormessages", 55);
  gc_frame_newslot(block691);
  block_savedest(block691);
  Object closure692 = createclosure(3, "_apply");
setclosureframe(closure692, stackframe);
  addtoclosure(closure692, var_line);
  addtoclosure(closure692, var_indent);
  addtoclosure(closure692, selfslot);
  struct UserObject *uo692 = (struct UserObject*)block691;
  uo692->data[0] = (Object)closure692;
  Method *meth_meth_errormessages__apply692 = addmethod2pos(block691, "_apply", &meth_errormessages__apply692, 0);
int argcv_meth_errormessages__apply692[] = {1};
meth_meth_errormessages__apply692->type = alloc_MethodType(1, argcv_meth_errormessages__apply692);
  meth_meth_errormessages__apply692->definitionModule = modulename;
  meth_meth_errormessages__apply692->definitionLine = 52;
// compilenode returning block691
  gc_frame_newslot(block691);
  params[0] = opresult690;
  params[1] = block691;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call702 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe682);
// compilenode returning call702
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool705 = alloc_Boolean(1);
// compilenode returning bool705
  int op_slot_right_704 = gc_frame_newslot(bool705);
// compilenode returning *var_indent
  int op_slot_left_704 = gc_frame_newslot(*var_indent);
  params[0] = bool705;
  partcv[0] = 1;
  Object opresult707 = callmethod(*var_indent, "==", 1, partcv, params);
// compilenode returning opresult707
  Object if703 = done;
  if (istrue(opresult707)) {
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num708 = alloc_Float64(1);
// compilenode returning num708
  *var_start_39_ = num708;
  if (num708 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if703 = done;
  } else {
  }
// compilenode returning if703
    gc_frame_newslot(if703);
    if668 = if703;
  } else {
  }
// compilenode returning if668
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe710 = gc_frame_new();
// compilenode returning *var_start_39_
  gc_frame_newslot(*var_start_39_);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  if (strlit711 == NULL) {
    strlit711 = alloc_String("");
    gc_root(strlit711);
  }
// compilenode returning strlit711
  gc_frame_newslot(strlit711);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_start_39_;
  params[1] = *var_end;
  params[2] = strlit711;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call712 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe710);
// compilenode returning call712
  gc_frame_end(frame);
  return call712;
}
Object meth_errormessages_deleteChar_40__41_onLine713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteChar()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for deleteChar()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_pos = &(stackframe->slots[0]);
  *var_pos = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for deleteChar");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe714 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  if (strlit715 == NULL) {
    strlit715 = alloc_String("");
    gc_root(strlit715);
  }
// compilenode returning strlit715
  gc_frame_newslot(strlit715);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_pos;
  params[1] = *var_pos;
  params[2] = strlit715;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call716 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe714);
// compilenode returning call716
  gc_frame_end(frame);
  return call716;
}
Object meth_errormessages_append_40__41_onLine717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "append()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for append()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for append");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "line");
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe718 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call719 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe718);
// compilenode returning call719
  *var_line = call719;
  if (call719 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe720 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_s
  int op_slot_right_721 = gc_frame_newslot(*var_s);
// compilenode returning *var_line
  int op_slot_left_721 = gc_frame_newslot(*var_line);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult723 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult723
  gc_frame_newslot(opresult723);
  params[0] = *var_lineNumber;
  params[1] = opresult723;
  partcv[0] = 2;
  Object call724 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe720);
// compilenode returning call724
  gc_frame_end(frame);
  return call724;
}
Object meth_errormessages_insert_40__41_atPosition_40__41_onLine725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()atPosition()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for insert()atPosition()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for insert");
  Object *var_pos = &(stackframe->slots[1]);
  *var_pos = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for atPosition");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe726 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call727 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe726);
// compilenode returning call727
  *var_line = call727;
  if (call727 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num730 = alloc_Float64(1);
// compilenode returning num730
  int op_slot_right_729 = gc_frame_newslot(num730);
// compilenode returning *var_pos
  int op_slot_left_729 = gc_frame_newslot(*var_pos);
  params[0] = num730;
  partcv[0] = 1;
  Object opresult732 = callmethod(*var_pos, "==", 1, partcv, params);
// compilenode returning opresult732
  Object if728 = done;
  if (istrue(opresult732)) {
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe733 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  int op_slot_right_734 = gc_frame_newslot(*var_line);
// compilenode returning *var_s
  int op_slot_left_734 = gc_frame_newslot(*var_s);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult736 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult736
  gc_frame_newslot(opresult736);
  params[0] = *var_lineNumber;
  params[1] = opresult736;
  partcv[0] = 2;
  Object call737 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe733);
// compilenode returning call737
    gc_frame_newslot(call737);
    if728 = call737;
  } else {
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe738 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe740 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  int callframe741 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call742 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe741);
// compilenode returning call742
// compilenode returning call742
  gc_frame_newslot(call742);
// compilenode returning *var_line
  params[0] = *var_pos;
  params[1] = call742;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call743 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe740);
// compilenode returning call743
  int op_slot_right_739 = gc_frame_newslot(call743);
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  int op_slot_right_745 = gc_frame_newslot(*var_s);
  int callframe747 = gc_frame_new();
  Object num748 = alloc_Float64(1);
// compilenode returning num748
  gc_frame_newslot(num748);
  Object num750 = alloc_Float64(1);
// compilenode returning num750
  int op_slot_right_749 = gc_frame_newslot(num750);
// compilenode returning *var_pos
  int op_slot_left_749 = gc_frame_newslot(*var_pos);
  params[0] = num750;
  partcv[0] = 1;
  Object diff752 = callmethod(*var_pos, "-", 1, partcv, params);
// compilenode returning diff752
  gc_frame_newslot(diff752);
// compilenode returning *var_line
  params[0] = num748;
  params[1] = diff752;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call753 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe747);
// compilenode returning call753
  int op_slot_left_745 = gc_frame_newslot(call753);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult754 = callmethod(call753, "++", 1, partcv, params);
// compilenode returning opresult754
  int op_slot_left_739 = gc_frame_newslot(opresult754);
  params[0] = call743;
  partcv[0] = 1;
  Object opresult755 = callmethod(opresult754, "++", 1, partcv, params);
// compilenode returning opresult755
  gc_frame_newslot(opresult755);
  params[0] = *var_lineNumber;
  params[1] = opresult755;
  partcv[0] = 2;
  Object call756 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe738);
// compilenode returning call756
    gc_frame_newslot(call756);
    if728 = call756;
  }
// compilenode returning if728
  gc_frame_end(frame);
  return if728;
}
Object meth_errormessages__apply768(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe770 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call771 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe770);
// compilenode returning call771
// compilenode returning call771
  int op_slot_right_769 = gc_frame_newslot(call771);
  int callframe773 = gc_frame_new();
  int callframe774 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call775 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe774);
// compilenode returning call775
// compilenode returning call775
  partcv[0] = 0;
  Object call776 = callmethod(call775, "line",
    1, partcv, params);
  gc_frame_end(callframe773);
// compilenode returning call776
// compilenode returning call776
  int op_slot_left_769 = gc_frame_newslot(call776);
  params[0] = call771;
  partcv[0] = 1;
  Object opresult777 = callmethod(call776, "==", 1, partcv, params);
// compilenode returning opresult777
  gc_frame_end(frame);
  return opresult777;
}
Object meth_errormessages__apply813(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe815 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call816 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe815);
// compilenode returning call816
// compilenode returning call816
  int op_slot_right_814 = gc_frame_newslot(call816);
  int callframe818 = gc_frame_new();
  int callframe819 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call820 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe819);
// compilenode returning call820
// compilenode returning call820
  partcv[0] = 0;
  Object call821 = callmethod(call820, "line",
    1, partcv, params);
  gc_frame_end(callframe818);
// compilenode returning call821
// compilenode returning call821
  int op_slot_left_814 = gc_frame_newslot(call821);
  params[0] = call816;
  partcv[0] = 1;
  Object opresult822 = callmethod(call821, "!=", 1, partcv, params);
// compilenode returning opresult822
  gc_frame_end(frame);
  return opresult822;
}
Object meth_errormessages_getTokenStart_40__41_includeLeadingSpace757(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "getTokenStart()includeLeadingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for getTokenStart()includeLeadingSpace (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for getTokenStart");
  Object *var_includeLeading = &(stackframe->slots[1]);
  *var_includeLeading = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for includeLeadingSpace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe758 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call759 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe758);
// compilenode returning call759
// compilenode returning call759
  *var_start = call759;
  if (call759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool762 = alloc_Boolean(1);
// compilenode returning bool762
  int op_slot_right_761 = gc_frame_newslot(bool762);
// compilenode returning *var_includeLeading
  int op_slot_left_761 = gc_frame_newslot(*var_includeLeading);
  params[0] = bool762;
  partcv[0] = 1;
  Object opresult764 = callmethod(*var_includeLeading, "==", 1, partcv, params);
// compilenode returning opresult764
  Object if760 = done;
  if (istrue(opresult764)) {
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe766 = gc_frame_new();
  Object block767 = alloc_Block(NULL, NULL, "errormessages", 94);
  gc_frame_newslot(block767);
  block_savedest(block767);
  Object closure768 = createclosure(2, "_apply");
setclosureframe(closure768, stackframe);
  addtoclosure(closure768, var_token);
  addtoclosure(closure768, selfslot);
  struct UserObject *uo768 = (struct UserObject*)block767;
  uo768->data[0] = (Object)closure768;
  Method *meth_meth_errormessages__apply768 = addmethod2pos(block767, "_apply", &meth_errormessages__apply768, 0);
int argcv_meth_errormessages__apply768[] = {0};
meth_meth_errormessages__apply768->type = alloc_MethodType(1, argcv_meth_errormessages__apply768);
  meth_meth_errormessages__apply768->definitionModule = modulename;
  meth_meth_errormessages__apply768->definitionLine = 91;
// compilenode returning block767
  gc_frame_newslot(block767);
  Object bool780 = alloc_Boolean(0);
// compilenode returning bool780
  int op_slot_right_779 = gc_frame_newslot(bool780);
  int callframe782 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call783 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe782);
// compilenode returning call783
// compilenode returning call783
  int op_slot_left_779 = gc_frame_newslot(call783);
  params[0] = bool780;
  partcv[0] = 1;
  Object opresult784 = callmethod(call783, "!=", 1, partcv, params);
// compilenode returning opresult784
  params[0] = block767;
  partcv[0] = 1;
  Object call785 = callmethod(opresult784, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe766);
// compilenode returning call785
  Object if765 = done;
  if (istrue(call785)) {
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe787 = gc_frame_new();
  int callframe788 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call789 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe788);
// compilenode returning call789
// compilenode returning call789
  partcv[0] = 0;
  Object call790 = callmethod(call789, "size",
    1, partcv, params);
  gc_frame_end(callframe787);
// compilenode returning call790
// compilenode returning call790
  int op_slot_right_786 = gc_frame_newslot(call790);
  int callframe792 = gc_frame_new();
  int callframe793 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call794 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe793);
// compilenode returning call794
// compilenode returning call794
  partcv[0] = 0;
  Object call795 = callmethod(call794, "linePos",
    1, partcv, params);
  gc_frame_end(callframe792);
// compilenode returning call795
// compilenode returning call795
  int op_slot_left_786 = gc_frame_newslot(call795);
  params[0] = call790;
  partcv[0] = 1;
  Object sum796 = callmethod(call795, "+", 1, partcv, params);
// compilenode returning sum796
  *var_start = sum796;
  if (sum796 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if765 = done;
  } else {
  }
// compilenode returning if765
    gc_frame_newslot(if765);
    if760 = if765;
  } else {
  }
// compilenode returning if760
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num801 = alloc_Float64(1);
// compilenode returning num801
  int op_slot_right_800 = gc_frame_newslot(num801);
  int callframe803 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call804 = callmethod(*var_token, "indent",
    1, partcv, params);
  gc_frame_end(callframe803);
// compilenode returning call804
// compilenode returning call804
  int op_slot_left_800 = gc_frame_newslot(call804);
  params[0] = num801;
  partcv[0] = 1;
  Object sum805 = callmethod(call804, "+", 1, partcv, params);
// compilenode returning sum805
  int op_slot_right_799 = gc_frame_newslot(sum805);
  int callframe807 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call808 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe807);
// compilenode returning call808
// compilenode returning call808
  int op_slot_left_799 = gc_frame_newslot(call808);
  params[0] = sum805;
  partcv[0] = 1;
  Object opresult809 = callmethod(call808, "==", 1, partcv, params);
// compilenode returning opresult809
  Object if798 = done;
  if (istrue(opresult809)) {
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe811 = gc_frame_new();
  Object block812 = alloc_Block(NULL, NULL, "errormessages", 100);
  gc_frame_newslot(block812);
  block_savedest(block812);
  Object closure813 = createclosure(2, "_apply");
setclosureframe(closure813, stackframe);
  addtoclosure(closure813, var_token);
  addtoclosure(closure813, selfslot);
  struct UserObject *uo813 = (struct UserObject*)block812;
  uo813->data[0] = (Object)closure813;
  Method *meth_meth_errormessages__apply813 = addmethod2pos(block812, "_apply", &meth_errormessages__apply813, 0);
int argcv_meth_errormessages__apply813[] = {0};
meth_meth_errormessages__apply813->type = alloc_MethodType(1, argcv_meth_errormessages__apply813);
  meth_meth_errormessages__apply813->definitionModule = modulename;
  meth_meth_errormessages__apply813->definitionLine = 99;
// compilenode returning block812
  gc_frame_newslot(block812);
  Object bool825 = alloc_Boolean(0);
// compilenode returning bool825
  int op_slot_right_824 = gc_frame_newslot(bool825);
  int callframe827 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call828 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe827);
// compilenode returning call828
// compilenode returning call828
  int op_slot_left_824 = gc_frame_newslot(call828);
  params[0] = bool825;
  partcv[0] = 1;
  Object opresult829 = callmethod(call828, "==", 1, partcv, params);
// compilenode returning opresult829
  params[0] = block812;
  partcv[0] = 1;
  Object call830 = callmethod(opresult829, "orElse",
    1, partcv, params);
  gc_frame_end(callframe811);
// compilenode returning call830
  Object if810 = done;
  if (istrue(call830)) {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num831 = alloc_Float64(1);
// compilenode returning num831
  *var_start = num831;
  if (num831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if810 = done;
  } else {
  }
// compilenode returning if810
    gc_frame_newslot(if810);
    if798 = if810;
  } else {
  }
// compilenode returning if798
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_start
  gc_frame_end(frame);
  return *var_start;
}
Object meth_errormessages__apply853(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe855 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call856 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe855);
// compilenode returning call856
// compilenode returning call856
  int op_slot_right_854 = gc_frame_newslot(call856);
  int callframe858 = gc_frame_new();
  int callframe859 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call860 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe859);
// compilenode returning call860
// compilenode returning call860
  partcv[0] = 0;
  Object call861 = callmethod(call860, "line",
    1, partcv, params);
  gc_frame_end(callframe858);
// compilenode returning call861
// compilenode returning call861
  int op_slot_left_854 = gc_frame_newslot(call861);
  params[0] = call856;
  partcv[0] = 1;
  Object opresult862 = callmethod(call861, "==", 1, partcv, params);
// compilenode returning opresult862
  gc_frame_end(frame);
  return opresult862;
}
Object meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "getTokenEnd()includeTrailingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for getTokenEnd()includeTrailingSpace (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for getTokenEnd");
  Object *var_includeTrailing = &(stackframe->slots[1]);
  *var_includeTrailing = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for includeTrailingSpace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_end = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "end");
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num835 = alloc_Float64(1);
// compilenode returning num835
  int op_slot_right_834 = gc_frame_newslot(num835);
  int callframe838 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call839 = callmethod(*var_token, "size",
    1, partcv, params);
  gc_frame_end(callframe838);
// compilenode returning call839
// compilenode returning call839
  int op_slot_right_837 = gc_frame_newslot(call839);
  int callframe841 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call842 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe841);
// compilenode returning call842
// compilenode returning call842
  int op_slot_left_837 = gc_frame_newslot(call842);
  params[0] = call839;
  partcv[0] = 1;
  Object sum843 = callmethod(call842, "+", 1, partcv, params);
// compilenode returning sum843
  int op_slot_left_834 = gc_frame_newslot(sum843);
  params[0] = num835;
  partcv[0] = 1;
  Object diff844 = callmethod(sum843, "-", 1, partcv, params);
// compilenode returning diff844
  *var_end = diff844;
  if (diff844 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool847 = alloc_Boolean(1);
// compilenode returning bool847
  int op_slot_right_846 = gc_frame_newslot(bool847);
// compilenode returning *var_includeTrailing
  int op_slot_left_846 = gc_frame_newslot(*var_includeTrailing);
  params[0] = bool847;
  partcv[0] = 1;
  Object opresult849 = callmethod(*var_includeTrailing, "==", 1, partcv, params);
// compilenode returning opresult849
  Object if845 = done;
  if (istrue(opresult849)) {
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe851 = gc_frame_new();
  Object block852 = alloc_Block(NULL, NULL, "errormessages", 111);
  gc_frame_newslot(block852);
  block_savedest(block852);
  Object closure853 = createclosure(2, "_apply");
setclosureframe(closure853, stackframe);
  addtoclosure(closure853, var_token);
  addtoclosure(closure853, selfslot);
  struct UserObject *uo853 = (struct UserObject*)block852;
  uo853->data[0] = (Object)closure853;
  Method *meth_meth_errormessages__apply853 = addmethod2pos(block852, "_apply", &meth_errormessages__apply853, 0);
int argcv_meth_errormessages__apply853[] = {0};
meth_meth_errormessages__apply853->type = alloc_MethodType(1, argcv_meth_errormessages__apply853);
  meth_meth_errormessages__apply853->definitionModule = modulename;
  meth_meth_errormessages__apply853->definitionLine = 108;
// compilenode returning block852
  gc_frame_newslot(block852);
  Object bool865 = alloc_Boolean(0);
// compilenode returning bool865
  int op_slot_right_864 = gc_frame_newslot(bool865);
  int callframe867 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call868 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe867);
// compilenode returning call868
// compilenode returning call868
  int op_slot_left_864 = gc_frame_newslot(call868);
  params[0] = bool865;
  partcv[0] = 1;
  Object opresult869 = callmethod(call868, "!=", 1, partcv, params);
// compilenode returning opresult869
  params[0] = block852;
  partcv[0] = 1;
  Object call870 = callmethod(opresult869, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe851);
// compilenode returning call870
  Object if850 = done;
  if (istrue(call870)) {
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num872 = alloc_Float64(1);
// compilenode returning num872
  int op_slot_right_871 = gc_frame_newslot(num872);
  int callframe874 = gc_frame_new();
  int callframe875 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call876 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe875);
// compilenode returning call876
// compilenode returning call876
  partcv[0] = 0;
  Object call877 = callmethod(call876, "linePos",
    1, partcv, params);
  gc_frame_end(callframe874);
// compilenode returning call877
// compilenode returning call877
  int op_slot_left_871 = gc_frame_newslot(call877);
  params[0] = num872;
  partcv[0] = 1;
  Object diff878 = callmethod(call877, "-", 1, partcv, params);
// compilenode returning diff878
  *var_end = diff878;
  if (diff878 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if850 = done;
  } else {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe880 = gc_frame_new();
  int callframe881 = gc_frame_new();
  int callframe882 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call883 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe882);
// compilenode returning call883
// compilenode returning call883
  gc_frame_newslot(call883);
  params[0] = call883;
  partcv[0] = 1;
  Object call884 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe881);
// compilenode returning call884
  partcv[0] = 0;
  Object call885 = callmethod(call884, "size",
    1, partcv, params);
  gc_frame_end(callframe880);
// compilenode returning call885
// compilenode returning call885
  *var_end = call885;
  if (call885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if850 = done;
  }
// compilenode returning if850
    gc_frame_newslot(if850);
    if845 = if850;
  } else {
  }
// compilenode returning if845
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  gc_frame_end(frame);
  return *var_end;
}
Object meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceToken()leading()trailing()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[3] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 4 && args)
    gracedie("missing argument list for replaceToken()leading()trailing()with (probably reflection error): got %i lists, expected 4.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for replaceToken");
  Object *var_replaceLeading = &(stackframe->slots[1]);
  *var_replaceLeading = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for leading");
  Object *var_replaceTrailing = &(stackframe->slots[2]);
  *var_replaceTrailing = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for trailing");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[3] > 1)
  gracedie("too many arguments for with");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "start");
  Object *var_end = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "end");
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe888 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
  params[0] = *var_token;
  params[1] = *var_replaceLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call889 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe888);
// compilenode returning call889
  *var_start = call889;
  if (call889 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe890 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
  params[0] = *var_token;
  params[1] = *var_replaceTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call891 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe890);
// compilenode returning call891
  *var_end = call891;
  if (call891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe892 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  int callframe893 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call894 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe893);
// compilenode returning call894
// compilenode returning call894
  gc_frame_newslot(call894);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = *var_s;
  params[3] = call894;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call895 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe892);
// compilenode returning call895
  gc_frame_end(frame);
  return call895;
}
Object meth_errormessages_replaceToken_40__41_with896(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceToken()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for replaceToken()with (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for replaceToken");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for with");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe897 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool898 = alloc_Boolean(0);
// compilenode returning bool898
  gc_frame_newslot(bool898);
  Object bool899 = alloc_Boolean(0);
// compilenode returning bool899
  gc_frame_newslot(bool899);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_token;
  params[1] = bool898;
  params[2] = bool899;
  params[3] = *var_s;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call900 = callmethodflags(self, "replaceToken()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe897);
// compilenode returning call900
  gc_frame_end(frame);
  return call900;
}
Object meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(8, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceTokenRange()leading()trailing()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[3] < 1)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 4 && args)
    gracedie("missing argument list for replaceTokenRange()leading()trailing()with (probably reflection error): got %i lists, expected 4.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for replaceTokenRange");
  Object *var_replaceLeading = &(stackframe->slots[2]);
  *var_replaceLeading = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for leading");
  Object *var_replaceTrailing = &(stackframe->slots[3]);
  *var_replaceTrailing = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for trailing");
  Object *var_s = &(stackframe->slots[4]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[3] > 1)
  gracedie("too many arguments for with");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_insertPos = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "insertPos");
  Object *var_indent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "indent");
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  int op_slot_right_903 = gc_frame_newslot(*var_end);
// compilenode returning *var_start
  int op_slot_left_903 = gc_frame_newslot(*var_start);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult905 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult905
  Object if902 = done;
  if (istrue(opresult905)) {
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe906 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_start;
  params[1] = *var_replaceLeading;
  params[2] = *var_replaceTrailing;
  params[3] = *var_s;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call907 = callmethodflags(self, "replaceToken()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe906);
// compilenode returning call907
    gc_frame_newslot(call907);
    if902 = call907;
  } else {
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe908 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
  params[0] = *var_start;
  params[1] = *var_replaceLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call909 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe908);
// compilenode returning call909
  *var_insertPos = call909;
  if (call909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe910 = gc_frame_new();
  Object num911 = alloc_Float64(1);
// compilenode returning num911
  gc_frame_newslot(num911);
  int callframe912 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call913 = callmethod(*var_start, "indent",
    1, partcv, params);
  gc_frame_end(callframe912);
// compilenode returning call913
// compilenode returning call913
  gc_frame_newslot(call913);
  int callframe914 = gc_frame_new();
  int callframe915 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call916 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe915);
// compilenode returning call916
// compilenode returning call916
  gc_frame_newslot(call916);
  params[0] = call916;
  partcv[0] = 1;
  Object call917 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe914);
// compilenode returning call917
  params[0] = num911;
  params[1] = call913;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call918 = callmethod(call917, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe910);
// compilenode returning call918
  *var_indent = call918;
  if (call918 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe919 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = *var_replaceLeading;
  params[3] = *var_replaceTrailing;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call920 = callmethodflags(self, "deleteTokenRange()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe919);
// compilenode returning call920
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit923 == NULL) {
    strlit923 = alloc_String("");
    gc_root(strlit923);
  }
// compilenode returning strlit923
  int op_slot_right_922 = gc_frame_newslot(strlit923);
  int callframe925 = gc_frame_new();
  int callframe926 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call927 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe926);
// compilenode returning call927
// compilenode returning call927
  gc_frame_newslot(call927);
  params[0] = call927;
  partcv[0] = 1;
  Object call928 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe925);
// compilenode returning call928
  int op_slot_left_922 = gc_frame_newslot(call928);
  params[0] = strlit923;
  partcv[0] = 1;
  Object opresult929 = callmethod(call928, "==", 1, partcv, params);
// compilenode returning opresult929
  Object if921 = done;
  if (istrue(opresult929)) {
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe930 = gc_frame_new();
// compilenode returning *var_s
  int op_slot_right_931 = gc_frame_newslot(*var_s);
// compilenode returning *var_indent
  int op_slot_left_931 = gc_frame_newslot(*var_indent);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult933 = callmethod(*var_indent, "++", 1, partcv, params);
// compilenode returning opresult933
  gc_frame_newslot(opresult933);
// compilenode returning *var_insertPos
  gc_frame_newslot(*var_insertPos);
  int callframe934 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call935 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe934);
// compilenode returning call935
// compilenode returning call935
  gc_frame_newslot(call935);
  params[0] = opresult933;
  params[1] = *var_insertPos;
  params[2] = call935;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call936 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe930);
// compilenode returning call936
    gc_frame_newslot(call936);
    if921 = call936;
  } else {
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe937 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_insertPos
  gc_frame_newslot(*var_insertPos);
  int callframe938 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call939 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe938);
// compilenode returning call939
// compilenode returning call939
  gc_frame_newslot(call939);
  params[0] = *var_s;
  params[1] = *var_insertPos;
  params[2] = call939;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call940 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe937);
// compilenode returning call940
    gc_frame_newslot(call940);
    if921 = call940;
  }
// compilenode returning if921
    gc_frame_newslot(if921);
    if902 = if921;
  }
// compilenode returning if902
  gc_frame_end(frame);
  return if902;
}
Object meth_errormessages_replaceTokenRange_40__41_with941(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceTokenRange()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for replaceTokenRange()with (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for replaceTokenRange");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for with");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe942 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  Object bool943 = alloc_Boolean(0);
// compilenode returning bool943
  gc_frame_newslot(bool943);
  Object bool944 = alloc_Boolean(0);
// compilenode returning bool944
  gc_frame_newslot(bool944);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = bool943;
  params[3] = bool944;
  params[4] = *var_s;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call945 = callmethodflags(self, "replaceTokenRange()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe942);
// compilenode returning call945
  gc_frame_end(frame);
  return call945;
}
Object meth_errormessages_deleteToken_40__41_leading_40__41_trailing946(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteToken()leading()trailing");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for deleteToken()leading()trailing (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for deleteToken");
  Object *var_deleteLeading = &(stackframe->slots[1]);
  *var_deleteLeading = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for leading");
  Object *var_deleteTrailing = &(stackframe->slots[2]);
  *var_deleteTrailing = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for trailing");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "start");
  Object *var_end = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "end");
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe947 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_token;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call948 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe947);
// compilenode returning call948
  *var_start = call948;
  if (call948 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe949 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_token;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call950 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe949);
// compilenode returning call950
  *var_end = call950;
  if (call950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe951 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  int callframe952 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call953 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe952);
// compilenode returning call953
// compilenode returning call953
  gc_frame_newslot(call953);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = call953;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call954 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe951);
// compilenode returning call954
  gc_frame_end(frame);
  return call954;
}
Object meth_errormessages_deleteToken955(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for deleteToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe956 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool957 = alloc_Boolean(0);
// compilenode returning bool957
  gc_frame_newslot(bool957);
  Object bool958 = alloc_Boolean(0);
// compilenode returning bool958
  gc_frame_newslot(bool958);
  params[0] = *var_token;
  params[1] = bool957;
  params[2] = bool958;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call959 = callmethodflags(self, "deleteToken()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe956);
// compilenode returning call959
  gc_frame_end(frame);
  return call959;
}
Object meth_errormessages__apply977(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_end
  int op_slot_right_978 = gc_frame_newslot(*var_end);
// compilenode returning *var_tok
  int op_slot_left_978 = gc_frame_newslot(*var_tok);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult980 = callmethod(*var_tok, "!=", 1, partcv, params);
// compilenode returning opresult980
  gc_frame_end(frame);
  return opresult980;
}
Object meth_errormessages__apply983(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_startPos = getfromclosure(closure, 2);
  Object *var_endPos = getfromclosure(closure, 3);
  Object *var_deleteLeading = getfromclosure(closure, 4);
  Object *var_deleteTrailing = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  int op_slot_right_985 = gc_frame_newslot(*var_line);
  int callframe987 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call988 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe987);
// compilenode returning call988
// compilenode returning call988
  int op_slot_left_985 = gc_frame_newslot(call988);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult989 = callmethod(call988, "!=", 1, partcv, params);
// compilenode returning opresult989
  Object if984 = done;
  if (istrue(opresult989)) {
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe990 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = *var_line;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call991 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe990);
// compilenode returning call991
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe992 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call993 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe992);
// compilenode returning call993
// compilenode returning call993
  *var_line = call993;
  if (call993 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe995 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_tok;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call996 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe995);
// compilenode returning call996
  *var_startPos = call996;
  if (call996 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if984 = done;
  } else {
  }
// compilenode returning if984
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe998 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_tok;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call999 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe998);
// compilenode returning call999
  *var_endPos = call999;
  if (call999 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1001 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call1002 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe1001);
// compilenode returning call1002
// compilenode returning call1002
  *var_tok = call1002;
  if (call1002 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(9, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteTokenRange()leading()trailing");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for deleteTokenRange()leading()trailing (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for deleteTokenRange");
  Object *var_deleteLeading = &(stackframe->slots[2]);
  *var_deleteLeading = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for leading");
  Object *var_deleteTrailing = &(stackframe->slots[3]);
  *var_deleteTrailing = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for trailing");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_startPos = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "startPos");
  Object *var_endPos = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "endPos");
  Object *var_tok = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tok");
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  int op_slot_right_962 = gc_frame_newslot(*var_end);
// compilenode returning *var_start
  int op_slot_left_962 = gc_frame_newslot(*var_start);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult964 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult964
  Object if961 = done;
  if (istrue(opresult964)) {
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe965 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_start;
  params[1] = *var_deleteLeading;
  params[2] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call966 = callmethodflags(self, "deleteToken()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe965);
// compilenode returning call966
    gc_frame_newslot(call966);
    if961 = call966;
  } else {
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe967 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call968 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe967);
// compilenode returning call968
// compilenode returning call968
  *var_line = call968;
  if (call968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe969 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_start;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call970 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe969);
// compilenode returning call970
  *var_startPos = call970;
  if (call970 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe971 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_start;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call972 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe971);
// compilenode returning call972
  *var_endPos = call972;
  if (call972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe973 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call974 = callmethod(*var_start, "next",
    1, partcv, params);
  gc_frame_end(callframe973);
// compilenode returning call974
// compilenode returning call974
  *var_tok = call974;
  if (call974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe975 = gc_frame_new();
  Object block976 = alloc_Block(NULL, NULL, "errormessages", 171);
  gc_frame_newslot(block976);
  block_savedest(block976);
  Object closure977 = createclosure(3, "_apply");
setclosureframe(closure977, stackframe);
  addtoclosure(closure977, var_end);
  addtoclosure(closure977, var_tok);
  addtoclosure(closure977, selfslot);
  struct UserObject *uo977 = (struct UserObject*)block976;
  uo977->data[0] = (Object)closure977;
  Method *meth_meth_errormessages__apply977 = addmethod2pos(block976, "_apply", &meth_errormessages__apply977, 0);
int argcv_meth_errormessages__apply977[] = {0};
meth_meth_errormessages__apply977->type = alloc_MethodType(1, argcv_meth_errormessages__apply977);
  meth_meth_errormessages__apply977->definitionModule = modulename;
  meth_meth_errormessages__apply977->definitionLine = 170;
// compilenode returning block976
  gc_frame_newslot(block976);
  Object block982 = alloc_Block(NULL, NULL, "errormessages", 171);
  gc_frame_newslot(block982);
  block_savedest(block982);
  Object closure983 = createclosure(7, "_apply");
setclosureframe(closure983, stackframe);
  addtoclosure(closure983, var_line);
  addtoclosure(closure983, var_tok);
  addtoclosure(closure983, var_startPos);
  addtoclosure(closure983, var_endPos);
  addtoclosure(closure983, var_deleteLeading);
  addtoclosure(closure983, var_deleteTrailing);
  addtoclosure(closure983, selfslot);
  struct UserObject *uo983 = (struct UserObject*)block982;
  uo983->data[0] = (Object)closure983;
  Method *meth_meth_errormessages__apply983 = addmethod2pos(block982, "_apply", &meth_errormessages__apply983, 0);
int argcv_meth_errormessages__apply983[] = {0};
meth_meth_errormessages__apply983->type = alloc_MethodType(1, argcv_meth_errormessages__apply983);
  meth_meth_errormessages__apply983->definitionModule = modulename;
  meth_meth_errormessages__apply983->definitionLine = 170;
// compilenode returning block982
  gc_frame_newslot(block982);
  params[0] = block976;
  params[1] = block982;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1005 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe975);
// compilenode returning call1005
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  int op_slot_right_1007 = gc_frame_newslot(*var_line);
  int callframe1009 = gc_frame_new();
// compilenode returning *var_end
  partcv[0] = 0;
  Object call1010 = callmethod(*var_end, "line",
    1, partcv, params);
  gc_frame_end(callframe1009);
// compilenode returning call1010
// compilenode returning call1010
  int op_slot_left_1007 = gc_frame_newslot(call1010);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult1011 = callmethod(call1010, "!=", 1, partcv, params);
// compilenode returning opresult1011
  Object if1006 = done;
  if (istrue(opresult1011)) {
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1012 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = *var_line;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1013 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1012);
// compilenode returning call1013
    gc_frame_newslot(call1013);
    if1006 = call1013;
  } else {
  }
// compilenode returning if1006
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1014 = gc_frame_new();
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_end;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1015 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1014);
// compilenode returning call1015
  *var_endPos = call1015;
  if (call1015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1017 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
  int callframe1018 = gc_frame_new();
// compilenode returning *var_end
  partcv[0] = 0;
  Object call1019 = callmethod(*var_end, "line",
    1, partcv, params);
  gc_frame_end(callframe1018);
// compilenode returning call1019
// compilenode returning call1019
  gc_frame_newslot(call1019);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = call1019;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1020 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1017);
// compilenode returning call1020
    gc_frame_newslot(call1020);
    if961 = call1020;
  }
// compilenode returning if961
  gc_frame_end(frame);
  return if961;
}
Object meth_errormessages_deleteTokenRange1021(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteTokenRange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteTokenRange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for deleteTokenRange");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1022 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  Object bool1023 = alloc_Boolean(0);
// compilenode returning bool1023
  gc_frame_newslot(bool1023);
  Object bool1024 = alloc_Boolean(0);
// compilenode returning bool1024
  gc_frame_newslot(bool1024);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = bool1023;
  params[3] = bool1024;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1025 = callmethodflags(self, "deleteTokenRange()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1022);
// compilenode returning call1025
  gc_frame_end(frame);
  return call1025;
}
Object meth_errormessages_deleteLine1026(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for deleteLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1027 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit1028 == NULL) {
    strlit1028 = alloc_String("");
    gc_root(strlit1028);
  }
// compilenode returning strlit1028
  gc_frame_newslot(strlit1028);
  params[0] = *var_lineNumber;
  params[1] = strlit1028;
  partcv[0] = 2;
  Object call1029 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1027);
// compilenode returning call1029
  gc_frame_end(frame);
  return call1029;
}
Object meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()afterToken()andTrailingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for insert()afterToken()andTrailingSpace (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for afterToken");
  Object *var_afterTrailing = &(stackframe->slots[2]);
  *var_afterTrailing = args[curarg];
  curarg++;
if (argcv && argcv[2] > 1)
  gracedie("too many arguments for andTrailingSpace");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_pos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "pos");
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1032 = alloc_Float64(1);
// compilenode returning num1032
  int op_slot_right_1031 = gc_frame_newslot(num1032);
  int callframe1034 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_afterTrailing
  gc_frame_newslot(*var_afterTrailing);
  params[0] = *var_token;
  params[1] = *var_afterTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1035 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1034);
// compilenode returning call1035
  int op_slot_left_1031 = gc_frame_newslot(call1035);
  params[0] = num1032;
  partcv[0] = 1;
  Object sum1036 = callmethod(call1035, "+", 1, partcv, params);
// compilenode returning sum1036
  *var_pos = sum1036;
  if (sum1036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1037 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  int callframe1038 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1039 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe1038);
// compilenode returning call1039
// compilenode returning call1039
  gc_frame_newslot(call1039);
  params[0] = *var_s;
  params[1] = *var_pos;
  params[2] = call1039;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1040 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1037);
// compilenode returning call1040
  gc_frame_end(frame);
  return call1040;
}
Object meth_errormessages_insert_40__41_afterToken1041(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()afterToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insert()afterToken (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for afterToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1042 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool1043 = alloc_Boolean(0);
// compilenode returning bool1043
  gc_frame_newslot(bool1043);
  params[0] = *var_s;
  params[1] = *var_token;
  params[2] = bool1043;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1044 = callmethodflags(self, "insert()afterToken()andTrailingSpace", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1042);
// compilenode returning call1044
  gc_frame_end(frame);
  return call1044;
}
Object meth_errormessages_insert_40__41_beforeToken1045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()beforeToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insert()beforeToken (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for beforeToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1046 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  int callframe1047 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1048 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1047);
// compilenode returning call1048
// compilenode returning call1048
  gc_frame_newslot(call1048);
  int callframe1049 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1050 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe1049);
// compilenode returning call1050
// compilenode returning call1050
  gc_frame_newslot(call1050);
  params[0] = *var_s;
  params[1] = call1048;
  params[2] = call1050;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1051 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1046);
// compilenode returning call1051
  gc_frame_end(frame);
  return call1051;
}
Object meth_errormessages_insertNewLine_40__41_after1052(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insertNewLine()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insertNewLine()after (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_line = &(stackframe->slots[0]);
  *var_line = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for insertNewLine");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for after");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1053 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_lineNumber;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call1054 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1053);
// compilenode returning call1054
  gc_frame_end(frame);
  return call1054;
}
Object meth_errormessages__apply1094(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_lineNumber = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1096 = gc_frame_new();
  partcv[0] = 0;
  Object call1097 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1096);
// compilenode returning call1097
  Object num1099 = alloc_Float64(1);
// compilenode returning num1099
  int op_slot_right_1098 = gc_frame_newslot(num1099);
// compilenode returning *var_i
  int op_slot_left_1098 = gc_frame_newslot(*var_i);
  params[0] = num1099;
  partcv[0] = 1;
  Object diff1101 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1101
  params[0] = diff1101;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1102 = callmethod(call1097, "[]", 1, partcv, params);
// compilenode returning idxres1102
  int op_slot_right_1095 = gc_frame_newslot(idxres1102);
// compilenode returning *var_lineNumber
  int op_slot_left_1095 = gc_frame_newslot(*var_lineNumber);
  params[0] = idxres1102;
  partcv[0] = 1;
  Object opresult1104 = callmethod(*var_lineNumber, "<", 1, partcv, params);
// compilenode returning opresult1104
  gc_frame_end(frame);
  return opresult1104;
}
Object meth_errormessages__apply1091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_lineNumber = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1092 = gc_frame_new();
  Object block1093 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1093);
  block_savedest(block1093);
  Object closure1094 = createclosure(3, "_apply");
setclosureframe(closure1094, stackframe);
  addtoclosure(closure1094, var_i);
  addtoclosure(closure1094, var_lineNumber);
  addtoclosure(closure1094, selfslot);
  struct UserObject *uo1094 = (struct UserObject*)block1093;
  uo1094->data[0] = (Object)closure1094;
  Method *meth_meth_errormessages__apply1094 = addmethod2pos(block1093, "_apply", &meth_errormessages__apply1094, 0);
int argcv_meth_errormessages__apply1094[] = {0};
meth_meth_errormessages__apply1094->type = alloc_MethodType(1, argcv_meth_errormessages__apply1094);
  meth_meth_errormessages__apply1094->definitionModule = modulename;
  meth_meth_errormessages__apply1094->definitionLine = 226;
// compilenode returning block1093
  gc_frame_newslot(block1093);
  Object num1107 = alloc_Float64(1);
// compilenode returning num1107
  int op_slot_right_1106 = gc_frame_newslot(num1107);
// compilenode returning *var_i
  int op_slot_left_1106 = gc_frame_newslot(*var_i);
  params[0] = num1107;
  partcv[0] = 1;
  Object opresult1109 = callmethod(*var_i, ">", 1, partcv, params);
// compilenode returning opresult1109
  params[0] = block1093;
  partcv[0] = 1;
  Object call1110 = callmethod(opresult1109, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1092);
// compilenode returning call1110
  gc_frame_end(frame);
  return call1110;
}
Object meth_errormessages__apply1113(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1114 = gc_frame_new();
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1115 = gc_frame_new();
  partcv[0] = 0;
  Object call1116 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1115);
// compilenode returning call1116
  Object num1118 = alloc_Float64(1);
// compilenode returning num1118
  int op_slot_right_1117 = gc_frame_newslot(num1118);
// compilenode returning *var_i
  int op_slot_left_1117 = gc_frame_newslot(*var_i);
  params[0] = num1118;
  partcv[0] = 1;
  Object diff1120 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1120
  params[0] = diff1120;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1121 = callmethod(call1116, "[]", 1, partcv, params);
// compilenode returning idxres1121
  gc_frame_newslot(idxres1121);
  int callframe1122 = gc_frame_new();
  partcv[0] = 0;
  Object call1123 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1122);
// compilenode returning call1123
  params[0] = *var_i;
  params[1] = idxres1121;
  partcv[0] = 2;
  Object call1124 = callmethod(call1123, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1114);
// compilenode returning call1124
// compilenode returning done
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1125 = gc_frame_new();
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1126 = gc_frame_new();
  partcv[0] = 0;
  Object call1127 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1126);
// compilenode returning call1127
  Object num1129 = alloc_Float64(1);
// compilenode returning num1129
  int op_slot_right_1128 = gc_frame_newslot(num1129);
// compilenode returning *var_i
  int op_slot_left_1128 = gc_frame_newslot(*var_i);
  params[0] = num1129;
  partcv[0] = 1;
  Object diff1131 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1131
  params[0] = diff1131;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1132 = callmethod(call1127, "[]", 1, partcv, params);
// compilenode returning idxres1132
  gc_frame_newslot(idxres1132);
  int callframe1133 = gc_frame_new();
  partcv[0] = 0;
  Object call1134 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1133);
// compilenode returning call1134
  params[0] = *var_i;
  params[1] = idxres1132;
  partcv[0] = 2;
  Object call1135 = callmethod(call1134, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1125);
// compilenode returning call1135
// compilenode returning done
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1137 = alloc_Float64(1);
// compilenode returning num1137
  int op_slot_right_1136 = gc_frame_newslot(num1137);
// compilenode returning *var_i
  int op_slot_left_1136 = gc_frame_newslot(*var_i);
  params[0] = num1137;
  partcv[0] = 1;
  Object diff1139 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1139
  *var_i = diff1139;
  if (diff1139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_addLine1055(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
  Object *var_line = &(stackframe->slots[1]);
  *var_line = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for addLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "i");
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1056 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1057 = callmethodflags(self, "findLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1056);
// compilenode returning call1057
  *var_i = call1057;
  if (call1057 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1060 = alloc_Boolean(0);
// compilenode returning bool1060
  int op_slot_right_1059 = gc_frame_newslot(bool1060);
// compilenode returning *var_i
  int op_slot_left_1059 = gc_frame_newslot(*var_i);
  params[0] = bool1060;
  partcv[0] = 1;
  Object opresult1062 = callmethod(*var_i, "!=", 1, partcv, params);
// compilenode returning opresult1062
  Object if1058 = done;
  if (istrue(opresult1062)) {
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1063 = gc_frame_new();
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1064 = gc_frame_new();
  partcv[0] = 0;
  Object call1065 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1064);
// compilenode returning call1065
  params[0] = *var_i;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1066 = callmethod(call1065, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1063);
// compilenode returning call1066
    gc_frame_newslot(call1066);
    if1058 = call1066;
  } else {
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1067 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1068 = gc_frame_new();
  partcv[0] = 0;
  Object call1069 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1068);
// compilenode returning call1069
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1070 = callmethod(call1069, "push",
    1, partcv, params);
  gc_frame_end(callframe1067);
// compilenode returning call1070
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1071 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1072 = gc_frame_new();
  partcv[0] = 0;
  Object call1073 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1072);
// compilenode returning call1073
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1074 = callmethod(call1073, "push",
    1, partcv, params);
  gc_frame_end(callframe1071);
// compilenode returning call1074
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1077 = alloc_Float64(1);
// compilenode returning num1077
  int op_slot_right_1076 = gc_frame_newslot(num1077);
  int callframe1079 = gc_frame_new();
  int callframe1080 = gc_frame_new();
  partcv[0] = 0;
  Object call1081 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1080);
// compilenode returning call1081
  partcv[0] = 0;
  Object call1082 = callmethod(call1081, "size",
    1, partcv, params);
  gc_frame_end(callframe1079);
// compilenode returning call1082
// compilenode returning call1082
  int op_slot_left_1076 = gc_frame_newslot(call1082);
  params[0] = num1077;
  partcv[0] = 1;
  Object opresult1083 = callmethod(call1082, ">", 1, partcv, params);
// compilenode returning opresult1083
  Object if1075 = done;
  if (istrue(opresult1083)) {
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1084 = gc_frame_new();
  int callframe1085 = gc_frame_new();
  partcv[0] = 0;
  Object call1086 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1085);
// compilenode returning call1086
  partcv[0] = 0;
  Object call1087 = callmethod(call1086, "size",
    1, partcv, params);
  gc_frame_end(callframe1084);
// compilenode returning call1087
// compilenode returning call1087
  *var_i = call1087;
  if (call1087 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1089 = gc_frame_new();
  Object block1090 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1090);
  block_savedest(block1090);
  Object closure1091 = createclosure(3, "_apply");
setclosureframe(closure1091, stackframe);
  addtoclosure(closure1091, var_i);
  addtoclosure(closure1091, var_lineNumber);
  addtoclosure(closure1091, selfslot);
  struct UserObject *uo1091 = (struct UserObject*)block1090;
  uo1091->data[0] = (Object)closure1091;
  Method *meth_meth_errormessages__apply1091 = addmethod2pos(block1090, "_apply", &meth_errormessages__apply1091, 0);
int argcv_meth_errormessages__apply1091[] = {0};
meth_meth_errormessages__apply1091->type = alloc_MethodType(1, argcv_meth_errormessages__apply1091);
  meth_meth_errormessages__apply1091->definitionModule = modulename;
  meth_meth_errormessages__apply1091->definitionLine = 226;
// compilenode returning block1090
  gc_frame_newslot(block1090);
  Object block1112 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1112);
  block_savedest(block1112);
  Object closure1113 = createclosure(2, "_apply");
setclosureframe(closure1113, stackframe);
  addtoclosure(closure1113, var_i);
  addtoclosure(closure1113, selfslot);
  struct UserObject *uo1113 = (struct UserObject*)block1112;
  uo1113->data[0] = (Object)closure1113;
  Method *meth_meth_errormessages__apply1113 = addmethod2pos(block1112, "_apply", &meth_errormessages__apply1113, 0);
int argcv_meth_errormessages__apply1113[] = {0};
meth_meth_errormessages__apply1113->type = alloc_MethodType(1, argcv_meth_errormessages__apply1113);
  meth_meth_errormessages__apply1113->definitionModule = modulename;
  meth_meth_errormessages__apply1113->definitionLine = 226;
// compilenode returning block1112
  gc_frame_newslot(block1112);
  params[0] = block1090;
  params[1] = block1112;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1142 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1089);
// compilenode returning call1142
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1143 = gc_frame_new();
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1144 = gc_frame_new();
  partcv[0] = 0;
  Object call1145 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1144);
// compilenode returning call1145
  params[0] = *var_i;
  params[1] = *var_lineNumber;
  partcv[0] = 2;
  Object call1146 = callmethod(call1145, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1143);
// compilenode returning call1146
// compilenode returning done
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1147 = gc_frame_new();
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1148 = gc_frame_new();
  partcv[0] = 0;
  Object call1149 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1148);
// compilenode returning call1149
  params[0] = *var_i;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call1150 = callmethod(call1149, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1147);
// compilenode returning call1150
// compilenode returning done
    gc_frame_newslot(done);
    if1075 = done;
  } else {
  }
// compilenode returning if1075
    gc_frame_newslot(if1075);
    if1058 = if1075;
  }
// compilenode returning if1058
  gc_frame_end(frame);
  return if1058;
}
Object meth_errormessages__apply1158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  int op_slot_right_1160 = gc_frame_newslot(*var_lineNumber);
  int callframe1162 = gc_frame_new();
  partcv[0] = 0;
  Object call1163 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1162);
// compilenode returning call1163
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1164 = callmethod(call1163, "[]", 1, partcv, params);
// compilenode returning idxres1164
  int op_slot_left_1160 = gc_frame_newslot(idxres1164);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object opresult1165 = callmethod(idxres1164, "==", 1, partcv, params);
// compilenode returning opresult1165
  Object if1159 = done;
  if (istrue(opresult1165)) {
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  block_return(realself, *var_i);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1159 = undefined;
  } else {
  }
// compilenode returning if1159
  gc_frame_end(frame);
  return if1159;
}
Object meth_errormessages_findLine1151(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for findLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1152 = gc_frame_new();
  int callframe1153 = gc_frame_new();
  int callframe1154 = gc_frame_new();
  partcv[0] = 0;
  Object call1155 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1154);
// compilenode returning call1155
  partcv[0] = 0;
  Object call1156 = callmethod(call1155, "indices",
    1, partcv, params);
  gc_frame_end(callframe1153);
// compilenode returning call1156
// compilenode returning call1156
  gc_frame_newslot(call1156);
  Object block1157 = alloc_Block(NULL, NULL, "errormessages", 241);
  gc_frame_newslot(block1157);
  block_savedest(block1157);
  Object closure1158 = createclosure(2, "_apply");
setclosureframe(closure1158, stackframe);
  addtoclosure(closure1158, var_lineNumber);
  addtoclosure(closure1158, selfslot);
  struct UserObject *uo1158 = (struct UserObject*)block1157;
  uo1158->data[0] = (Object)closure1158;
  Method *meth_meth_errormessages__apply1158 = addmethod2pos(block1157, "_apply", &meth_errormessages__apply1158, 0);
int argcv_meth_errormessages__apply1158[] = {1};
meth_meth_errormessages__apply1158->type = alloc_MethodType(1, argcv_meth_errormessages__apply1158);
  meth_meth_errormessages__apply1158->definitionModule = modulename;
  meth_meth_errormessages__apply1158->definitionLine = 241;
// compilenode returning block1157
  gc_frame_newslot(block1157);
  params[0] = call1156;
  params[1] = block1157;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1167 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1152);
// compilenode returning call1167
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1168 = alloc_Boolean(0);
// compilenode returning bool1168
  gc_frame_end(frame);
  return bool1168;
}
Object meth_errormessages_getLine1169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "getLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for getLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for getLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1170 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1171 = callmethodflags(self, "findLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1170);
// compilenode returning call1171
  *var_i = call1171;
  if (call1171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1174 = alloc_Boolean(0);
// compilenode returning bool1174
  int op_slot_right_1173 = gc_frame_newslot(bool1174);
// compilenode returning *var_i
  int op_slot_left_1173 = gc_frame_newslot(*var_i);
  params[0] = bool1174;
  partcv[0] = 1;
  Object opresult1176 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult1176
  Object if1172 = done;
  if (istrue(opresult1176)) {
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1177 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call1178 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe1177);
// compilenode returning call1178
// compilenode returning call1178
// compilenode returning *var_lineNumber
  params[0] = *var_lineNumber;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1179 = callmethod(call1178, "[]", 1, partcv, params);
// compilenode returning idxres1179
    gc_frame_newslot(idxres1179);
    if1172 = idxres1179;
  } else {
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1180 = gc_frame_new();
  partcv[0] = 0;
  Object call1181 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1180);
// compilenode returning call1181
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1182 = callmethod(call1181, "[]", 1, partcv, params);
// compilenode returning idxres1182
    gc_frame_newslot(idxres1182);
    if1172 = idxres1182;
  }
// compilenode returning if1172
  gc_frame_end(frame);
  return if1172;
}
Object meth_errormessages__apply1198(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num1201 = alloc_Float64(1);
// compilenode returning num1201
  int op_slot_right_1200 = gc_frame_newslot(num1201);
  int callframe1203 = gc_frame_new();
  partcv[0] = 0;
  Object call1204 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1203);
// compilenode returning call1204
  Object num1206 = alloc_Float64(1);
// compilenode returning num1206
  int op_slot_right_1205 = gc_frame_newslot(num1206);
// compilenode returning *var_i
  int op_slot_left_1205 = gc_frame_newslot(*var_i);
  params[0] = num1206;
  partcv[0] = 1;
  Object diff1208 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1208
  params[0] = diff1208;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1209 = callmethod(call1204, "[]", 1, partcv, params);
// compilenode returning idxres1209
  int op_slot_left_1200 = gc_frame_newslot(idxres1209);
  params[0] = num1201;
  partcv[0] = 1;
  Object sum1210 = callmethod(idxres1209, "+", 1, partcv, params);
// compilenode returning sum1210
  int op_slot_right_1199 = gc_frame_newslot(sum1210);
  int callframe1212 = gc_frame_new();
  partcv[0] = 0;
  Object call1213 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1212);
// compilenode returning call1213
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1214 = callmethod(call1213, "[]", 1, partcv, params);
// compilenode returning idxres1214
  int op_slot_left_1199 = gc_frame_newslot(idxres1214);
  params[0] = sum1210;
  partcv[0] = 1;
  Object opresult1215 = callmethod(idxres1214, ">", 1, partcv, params);
// compilenode returning opresult1215
  gc_frame_end(frame);
  return opresult1215;
}
Object meth_errormessages__apply1240(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1242 == NULL) {
    strlit1242 = alloc_String(" ");
    gc_root(strlit1242);
  }
// compilenode returning strlit1242
  int op_slot_right_1241 = gc_frame_newslot(strlit1242);
// compilenode returning *var_s
  int op_slot_left_1241 = gc_frame_newslot(*var_s);
  params[0] = strlit1242;
  partcv[0] = 1;
  Object opresult1244 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1244
  *var_s = opresult1244;
  if (opresult1244 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply1194(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_io = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1196 = gc_frame_new();
  Object block1197 = alloc_Block(NULL, NULL, "errormessages", 262);
  gc_frame_newslot(block1197);
  block_savedest(block1197);
  Object closure1198 = createclosure(2, "_apply");
setclosureframe(closure1198, stackframe);
  addtoclosure(closure1198, var_i);
  addtoclosure(closure1198, selfslot);
  struct UserObject *uo1198 = (struct UserObject*)block1197;
  uo1198->data[0] = (Object)closure1198;
  Method *meth_meth_errormessages__apply1198 = addmethod2pos(block1197, "_apply", &meth_errormessages__apply1198, 0);
int argcv_meth_errormessages__apply1198[] = {0};
meth_meth_errormessages__apply1198->type = alloc_MethodType(1, argcv_meth_errormessages__apply1198);
  meth_meth_errormessages__apply1198->definitionModule = modulename;
  meth_meth_errormessages__apply1198->definitionLine = 261;
// compilenode returning block1197
  gc_frame_newslot(block1197);
  Object num1218 = alloc_Float64(1);
// compilenode returning num1218
  int op_slot_right_1217 = gc_frame_newslot(num1218);
// compilenode returning *var_i
  int op_slot_left_1217 = gc_frame_newslot(*var_i);
  params[0] = num1218;
  partcv[0] = 1;
  Object opresult1220 = callmethod(*var_i, ">", 1, partcv, params);
// compilenode returning opresult1220
  params[0] = block1197;
  partcv[0] = 1;
  Object call1221 = callmethod(opresult1220, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1196);
// compilenode returning call1221
  Object if1195 = done;
  if (istrue(call1221)) {
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1222 == NULL) {
    strlit1222 = alloc_String("");
    gc_root(strlit1222);
  }
// compilenode returning strlit1222
  *var_s = strlit1222;
  if (strlit1222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1223 = gc_frame_new();
  int callframe1225 = gc_frame_new();
  int callframe1226 = gc_frame_new();
  int callframe1227 = gc_frame_new();
  partcv[0] = 0;
  Object call1228 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1227);
// compilenode returning call1228
  Object num1230 = alloc_Float64(1);
// compilenode returning num1230
  int op_slot_right_1229 = gc_frame_newslot(num1230);
// compilenode returning *var_i
  int op_slot_left_1229 = gc_frame_newslot(*var_i);
  params[0] = num1230;
  partcv[0] = 1;
  Object diff1232 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1232
  params[0] = diff1232;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1233 = callmethod(call1228, "[]", 1, partcv, params);
// compilenode returning idxres1233
  partcv[0] = 0;
  Object call1234 = callmethod(idxres1233, "asString",
    1, partcv, params);
  gc_frame_end(callframe1226);
// compilenode returning call1234
// compilenode returning call1234
  partcv[0] = 0;
  Object call1235 = callmethod(call1234, "size",
    1, partcv, params);
  gc_frame_end(callframe1225);
// compilenode returning call1235
// compilenode returning call1235
  int op_slot_right_1224 = gc_frame_newslot(call1235);
  Object num1237 = alloc_Float64(1);
// compilenode returning num1237
  int op_slot_left_1224 = gc_frame_newslot(num1237);
  params[0] = call1235;
  partcv[0] = 1;
  Object opresult1238 = callmethod(num1237, "..", 1, partcv, params);
// compilenode returning opresult1238
  gc_frame_newslot(opresult1238);
  Object block1239 = alloc_Block(NULL, NULL, "errormessages", 264);
  gc_frame_newslot(block1239);
  block_savedest(block1239);
  Object closure1240 = createclosure(2, "_apply");
setclosureframe(closure1240, stackframe);
  addtoclosure(closure1240, var_s);
  addtoclosure(closure1240, selfslot);
  struct UserObject *uo1240 = (struct UserObject*)block1239;
  uo1240->data[0] = (Object)closure1240;
  Method *meth_meth_errormessages__apply1240 = addmethod2pos(block1239, "_apply", &meth_errormessages__apply1240, 0);
int argcv_meth_errormessages__apply1240[] = {0};
meth_meth_errormessages__apply1240->type = alloc_MethodType(1, argcv_meth_errormessages__apply1240);
  meth_meth_errormessages__apply1240->definitionModule = modulename;
  meth_meth_errormessages__apply1240->definitionLine = 264;
// compilenode returning block1239
  gc_frame_newslot(block1239);
  params[0] = opresult1238;
  params[1] = block1239;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1247 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1223);
// compilenode returning call1247
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1248 = gc_frame_new();
  if (strlit1250 == NULL) {
    strlit1250 = alloc_String("...""\x0a""");
    gc_root(strlit1250);
  }
// compilenode returning strlit1250
  int op_slot_right_1249 = gc_frame_newslot(strlit1250);
// compilenode returning *var_s
  int op_slot_right_1252 = gc_frame_newslot(*var_s);
  if (strlit1254 == NULL) {
    strlit1254 = alloc_String("    ");
    gc_root(strlit1254);
  }
// compilenode returning strlit1254
  int op_slot_left_1252 = gc_frame_newslot(strlit1254);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult1255 = callmethod(strlit1254, "++", 1, partcv, params);
// compilenode returning opresult1255
  int op_slot_left_1249 = gc_frame_newslot(opresult1255);
  params[0] = strlit1250;
  partcv[0] = 1;
  Object opresult1256 = callmethod(opresult1255, "++", 1, partcv, params);
// compilenode returning opresult1256
  gc_frame_newslot(opresult1256);
  int callframe1257 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1258 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1257);
// compilenode returning call1258
// compilenode returning call1258
  params[0] = opresult1256;
  partcv[0] = 1;
  Object call1259 = callmethod(call1258, "write",
    1, partcv, params);
  gc_frame_end(callframe1248);
// compilenode returning call1259
    gc_frame_newslot(call1259);
    if1195 = call1259;
  } else {
  }
// compilenode returning if1195
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1262 = gc_frame_new();
  partcv[0] = 0;
  Object call1263 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1262);
// compilenode returning call1263
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1264 = callmethod(call1263, "[]", 1, partcv, params);
// compilenode returning idxres1264
  int op_slot_right_1261 = gc_frame_newslot(idxres1264);
  int callframe1266 = gc_frame_new();
  int callframe1267 = gc_frame_new();
  partcv[0] = 0;
  Object call1268 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1267);
// compilenode returning call1268
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1269 = callmethod(call1268, "[]", 1, partcv, params);
// compilenode returning idxres1269
  partcv[0] = 0;
  Object call1270 = callmethod(idxres1269, "truncate",
    1, partcv, params);
  gc_frame_end(callframe1266);
// compilenode returning call1270
// compilenode returning call1270
  int op_slot_left_1261 = gc_frame_newslot(call1270);
  params[0] = idxres1264;
  partcv[0] = 1;
  Object opresult1271 = callmethod(call1270, "!=", 1, partcv, params);
// compilenode returning opresult1271
  Object if1260 = done;
  if (istrue(opresult1271)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1272 = gc_frame_new();
  if (strlit1274 == NULL) {
    strlit1274 = alloc_String("""\x0a""");
    gc_root(strlit1274);
  }
// compilenode returning strlit1274
  int op_slot_right_1273 = gc_frame_newslot(strlit1274);
  int callframe1277 = gc_frame_new();
  partcv[0] = 0;
  Object call1278 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1277);
// compilenode returning call1278
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1279 = callmethod(call1278, "[]", 1, partcv, params);
// compilenode returning idxres1279
  int op_slot_right_1276 = gc_frame_newslot(idxres1279);
  if (strlit1282 == NULL) {
    strlit1282 = alloc_String(": ");
    gc_root(strlit1282);
  }
// compilenode returning strlit1282
  int op_slot_right_1281 = gc_frame_newslot(strlit1282);
  int callframe1285 = gc_frame_new();
  int callframe1286 = gc_frame_new();
  partcv[0] = 0;
  Object call1287 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1286);
// compilenode returning call1287
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1288 = callmethod(call1287, "[]", 1, partcv, params);
// compilenode returning idxres1288
  partcv[0] = 0;
  Object call1289 = callmethod(idxres1288, "truncate",
    1, partcv, params);
  gc_frame_end(callframe1285);
// compilenode returning call1289
// compilenode returning call1289
  int op_slot_right_1284 = gc_frame_newslot(call1289);
  if (strlit1291 == NULL) {
    strlit1291 = alloc_String(" *");
    gc_root(strlit1291);
  }
// compilenode returning strlit1291
  int op_slot_left_1284 = gc_frame_newslot(strlit1291);
  params[0] = call1289;
  partcv[0] = 1;
  Object opresult1292 = callmethod(strlit1291, "++", 1, partcv, params);
// compilenode returning opresult1292
  int op_slot_left_1281 = gc_frame_newslot(opresult1292);
  params[0] = strlit1282;
  partcv[0] = 1;
  Object opresult1293 = callmethod(opresult1292, "++", 1, partcv, params);
// compilenode returning opresult1293
  int op_slot_left_1276 = gc_frame_newslot(opresult1293);
  params[0] = idxres1279;
  partcv[0] = 1;
  Object opresult1294 = callmethod(opresult1293, "++", 1, partcv, params);
// compilenode returning opresult1294
  int op_slot_left_1273 = gc_frame_newslot(opresult1294);
  params[0] = strlit1274;
  partcv[0] = 1;
  Object opresult1295 = callmethod(opresult1294, "++", 1, partcv, params);
// compilenode returning opresult1295
  gc_frame_newslot(opresult1295);
  int callframe1296 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1297 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1296);
// compilenode returning call1297
// compilenode returning call1297
  params[0] = opresult1295;
  partcv[0] = 1;
  Object call1298 = callmethod(call1297, "write",
    1, partcv, params);
  gc_frame_end(callframe1272);
// compilenode returning call1298
    gc_frame_newslot(call1298);
    if1260 = call1298;
  } else {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1299 = gc_frame_new();
  if (strlit1301 == NULL) {
    strlit1301 = alloc_String("""\x0a""");
    gc_root(strlit1301);
  }
// compilenode returning strlit1301
  int op_slot_right_1300 = gc_frame_newslot(strlit1301);
  int callframe1304 = gc_frame_new();
  partcv[0] = 0;
  Object call1305 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1304);
// compilenode returning call1305
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1306 = callmethod(call1305, "[]", 1, partcv, params);
// compilenode returning idxres1306
  int op_slot_right_1303 = gc_frame_newslot(idxres1306);
  if (strlit1309 == NULL) {
    strlit1309 = alloc_String(": ");
    gc_root(strlit1309);
  }
// compilenode returning strlit1309
  int op_slot_right_1308 = gc_frame_newslot(strlit1309);
  int callframe1312 = gc_frame_new();
  partcv[0] = 0;
  Object call1313 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1312);
// compilenode returning call1313
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1314 = callmethod(call1313, "[]", 1, partcv, params);
// compilenode returning idxres1314
  int op_slot_right_1311 = gc_frame_newslot(idxres1314);
  if (strlit1316 == NULL) {
    strlit1316 = alloc_String("  ");
    gc_root(strlit1316);
  }
// compilenode returning strlit1316
  int op_slot_left_1311 = gc_frame_newslot(strlit1316);
  params[0] = idxres1314;
  partcv[0] = 1;
  Object opresult1317 = callmethod(strlit1316, "++", 1, partcv, params);
// compilenode returning opresult1317
  int op_slot_left_1308 = gc_frame_newslot(opresult1317);
  params[0] = strlit1309;
  partcv[0] = 1;
  Object opresult1318 = callmethod(opresult1317, "++", 1, partcv, params);
// compilenode returning opresult1318
  int op_slot_left_1303 = gc_frame_newslot(opresult1318);
  params[0] = idxres1306;
  partcv[0] = 1;
  Object opresult1319 = callmethod(opresult1318, "++", 1, partcv, params);
// compilenode returning opresult1319
  int op_slot_left_1300 = gc_frame_newslot(opresult1319);
  params[0] = strlit1301;
  partcv[0] = 1;
  Object opresult1320 = callmethod(opresult1319, "++", 1, partcv, params);
// compilenode returning opresult1320
  gc_frame_newslot(opresult1320);
  int callframe1321 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1322 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1321);
// compilenode returning call1322
// compilenode returning call1322
  params[0] = opresult1320;
  partcv[0] = 1;
  Object call1323 = callmethod(call1322, "write",
    1, partcv, params);
  gc_frame_end(callframe1299);
// compilenode returning call1323
    gc_frame_newslot(call1323);
    if1260 = call1323;
  }
// compilenode returning if1260
  gc_frame_end(frame);
  return if1260;
}
Object meth_errormessages_print1183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "print");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for print (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for print");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1184 = gc_frame_new();
  int callframe1186 = gc_frame_new();
  int callframe1187 = gc_frame_new();
  partcv[0] = 0;
  Object call1188 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1187);
// compilenode returning call1188
  partcv[0] = 0;
  Object call1189 = callmethod(call1188, "size",
    1, partcv, params);
  gc_frame_end(callframe1186);
// compilenode returning call1189
// compilenode returning call1189
  int op_slot_right_1185 = gc_frame_newslot(call1189);
  Object num1191 = alloc_Float64(1);
// compilenode returning num1191
  int op_slot_left_1185 = gc_frame_newslot(num1191);
  params[0] = call1189;
  partcv[0] = 1;
  Object opresult1192 = callmethod(num1191, "..", 1, partcv, params);
// compilenode returning opresult1192
  gc_frame_newslot(opresult1192);
  Object block1193 = alloc_Block(NULL, NULL, "errormessages", 261);
  gc_frame_newslot(block1193);
  block_savedest(block1193);
  Object closure1194 = createclosure(2, "_apply");
setclosureframe(closure1194, stackframe);
  addtoclosure(closure1194, var_io);
  addtoclosure(closure1194, selfslot);
  struct UserObject *uo1194 = (struct UserObject*)block1193;
  uo1194->data[0] = (Object)closure1194;
  Method *meth_meth_errormessages__apply1194 = addmethod2pos(block1193, "_apply", &meth_errormessages__apply1194, 0);
int argcv_meth_errormessages__apply1194[] = {1};
meth_meth_errormessages__apply1194->type = alloc_MethodType(1, argcv_meth_errormessages__apply1194);
  meth_meth_errormessages__apply1194->definitionModule = modulename;
  meth_meth_errormessages__apply1194->definitionLine = 261;
// compilenode returning block1193
  gc_frame_newslot(block1193);
  params[0] = opresult1192;
  params[1] = block1193;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1325 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1184);
// compilenode returning call1325
  gc_frame_end(frame);
  return call1325;
}
Object meth_errormessages_new572(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject573 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj573 = alloc_userobj2(28,29, objclass573);
  gc_frame_newslot(obj573);
if (objclass573 == NULL) {
  glfree(obj573->class->name);
  obj573->class->name = "suggestion";
}
// OBJECT OUTER DEC outer
  adddatum2(obj573, self, 0);
  addmethodreal(obj573,"outer", &reader_errormessages_outer_574);
  Object oldself573 = self;
  struct StackFrameObject *oldstackframe573 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe573);
  gc_frame_newslot((Object)stackframe);
  self = obj573;
  Object *oldselfslot573 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter573 = (*(struct UserObject *)self).data[0], lowerouter573 = thisouter573;
  if (inheritingObject573) {
    struct UserObject *inho573 = (struct UserObject *)inheritingObject573;
    while (inho573->super != GraceDefaultObject) inho573 = (struct UserObject *)inho573->super;
    inho573->super = obj573;
    self = inheritingObject573;
    *selfslot = self;
    lowerouter573 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter573;
  }
if (objclass573 == NULL) {
  Method *reader575 = addmethodrealflags(obj573, "lineNumbers",&reader_errormessages_lineNumbers_575, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader575->definitionModule = modulename;
  reader575->definitionLine = 16;
}
adddatum2(obj573, alloc_Undefined(), 1);
if (objclass573 == NULL) {
  Method *reader576 = addmethodrealflags(obj573, "lines",&reader_errormessages_lines_576, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader576->definitionModule = modulename;
  reader576->definitionLine = 23;
}
adddatum2(obj573, alloc_Undefined(), 2);
  struct UserObject *uo577 = (struct UserObject*)obj573;
  uo577->data[3] = emptyclosure;
  Method *meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577 = addmethod2pos(obj573, "replaceRange()with()onLine", &meth_errormessages_replaceRange_40__41_with_40__41_onLine577, 3);
int argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine577[] = {2, 1, 1};
meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->type = alloc_MethodType(3, argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine577);
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->definitionModule = modulename;
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->definitionLine = 23;
  struct UserObject *uo621 = (struct UserObject*)obj573;
  uo621->data[4] = emptyclosure;
  Method *meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621 = addmethod2pos(obj573, "replaceChar()with()onLine", &meth_errormessages_replaceChar_40__41_with_40__41_onLine621, 4);
int argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine621[] = {1, 1, 1};
meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->type = alloc_MethodType(3, argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine621);
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->definitionModule = modulename;
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->definitionLine = 33;
  struct UserObject *uo624 = (struct UserObject*)obj573;
  uo624->data[5] = emptyclosure;
  Method *meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624 = addmethod2pos(obj573, "replaceUntil()with()onLine", &meth_errormessages_replaceUntil_40__41_with_40__41_onLine624, 5);
int argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624[] = {1, 1, 1};
meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->type = alloc_MethodType(3, argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624);
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->definitionModule = modulename;
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->definitionLine = 37;
  struct UserObject *uo665 = (struct UserObject*)obj573;
  uo665->data[6] = emptyclosure;
  Method *meth_meth_errormessages_deleteRange_40__41_onLine665 = addmethod2pos(obj573, "deleteRange()onLine", &meth_errormessages_deleteRange_40__41_onLine665, 6);
int argcv_meth_errormessages_deleteRange_40__41_onLine665[] = {2, 1};
meth_meth_errormessages_deleteRange_40__41_onLine665->type = alloc_MethodType(2, argcv_meth_errormessages_deleteRange_40__41_onLine665);
  meth_meth_errormessages_deleteRange_40__41_onLine665->definitionModule = modulename;
  meth_meth_errormessages_deleteRange_40__41_onLine665->definitionLine = 49;
  struct UserObject *uo713 = (struct UserObject*)obj573;
  uo713->data[7] = emptyclosure;
  Method *meth_meth_errormessages_deleteChar_40__41_onLine713 = addmethod2pos(obj573, "deleteChar()onLine", &meth_errormessages_deleteChar_40__41_onLine713, 7);
int argcv_meth_errormessages_deleteChar_40__41_onLine713[] = {1, 1};
meth_meth_errormessages_deleteChar_40__41_onLine713->type = alloc_MethodType(2, argcv_meth_errormessages_deleteChar_40__41_onLine713);
  meth_meth_errormessages_deleteChar_40__41_onLine713->definitionModule = modulename;
  meth_meth_errormessages_deleteChar_40__41_onLine713->definitionLine = 67;
  struct UserObject *uo717 = (struct UserObject*)obj573;
  uo717->data[8] = emptyclosure;
  Method *meth_meth_errormessages_append_40__41_onLine717 = addmethod2pos(obj573, "append()onLine", &meth_errormessages_append_40__41_onLine717, 8);
int argcv_meth_errormessages_append_40__41_onLine717[] = {1, 1};
meth_meth_errormessages_append_40__41_onLine717->type = alloc_MethodType(2, argcv_meth_errormessages_append_40__41_onLine717);
  meth_meth_errormessages_append_40__41_onLine717->definitionModule = modulename;
  meth_meth_errormessages_append_40__41_onLine717->definitionLine = 71;
  struct UserObject *uo725 = (struct UserObject*)obj573;
  uo725->data[9] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725 = addmethod2pos(obj573, "insert()atPosition()onLine", &meth_errormessages_insert_40__41_atPosition_40__41_onLine725, 9);
int argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine725[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine725);
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->definitionLine = 76;
  struct UserObject *uo757 = (struct UserObject*)obj573;
  uo757->data[10] = emptyclosure;
  Method *meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757 = addmethod2pos(obj573, "getTokenStart()includeLeadingSpace", &meth_errormessages_getTokenStart_40__41_includeLeadingSpace757, 10);
int argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757[] = {1, 1};
meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757);
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->definitionModule = modulename;
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->definitionLine = 90;
  struct UserObject *uo833 = (struct UserObject*)obj573;
  uo833->data[11] = emptyclosure;
  Method *meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833 = addmethod2pos(obj573, "getTokenEnd()includeTrailingSpace", &meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833, 11);
int argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833[] = {1, 1};
meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833);
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->definitionModule = modulename;
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->definitionLine = 107;
  struct UserObject *uo887 = (struct UserObject*)obj573;
  uo887->data[12] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887 = addmethod2pos(obj573, "replaceToken()leading()trailing()with", &meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887, 12);
int argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887[] = {1, 1, 1, 1};
meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->type = alloc_MethodType(4, argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887);
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->definitionLine = 120;
  struct UserObject *uo896 = (struct UserObject*)obj573;
  uo896->data[13] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_with896 = addmethod2pos(obj573, "replaceToken()with", &meth_errormessages_replaceToken_40__41_with896, 13);
int argcv_meth_errormessages_replaceToken_40__41_with896[] = {1, 1};
meth_meth_errormessages_replaceToken_40__41_with896->type = alloc_MethodType(2, argcv_meth_errormessages_replaceToken_40__41_with896);
  meth_meth_errormessages_replaceToken_40__41_with896->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_with896->definitionLine = 126;
  struct UserObject *uo901 = (struct UserObject*)obj573;
  uo901->data[14] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901 = addmethod2pos(obj573, "replaceTokenRange()leading()trailing()with", &meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901, 14);
int argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901[] = {2, 1, 1, 1};
meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->type = alloc_MethodType(4, argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901);
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->definitionLine = 130;
  struct UserObject *uo941 = (struct UserObject*)obj573;
  uo941->data[15] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_with941 = addmethod2pos(obj573, "replaceTokenRange()with", &meth_errormessages_replaceTokenRange_40__41_with941, 15);
int argcv_meth_errormessages_replaceTokenRange_40__41_with941[] = {2, 1};
meth_meth_errormessages_replaceTokenRange_40__41_with941->type = alloc_MethodType(2, argcv_meth_errormessages_replaceTokenRange_40__41_with941);
  meth_meth_errormessages_replaceTokenRange_40__41_with941->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_with941->definitionLine = 147;
  struct UserObject *uo946 = (struct UserObject*)obj573;
  uo946->data[16] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946 = addmethod2pos(obj573, "deleteToken()leading()trailing", &meth_errormessages_deleteToken_40__41_leading_40__41_trailing946, 16);
int argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946[] = {1, 1, 1};
meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->type = alloc_MethodType(3, argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946);
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->definitionModule = modulename;
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->definitionLine = 152;
  struct UserObject *uo955 = (struct UserObject*)obj573;
  uo955->data[17] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken955 = addmethod2pos(obj573, "deleteToken", &meth_errormessages_deleteToken955, 17);
int argcv_meth_errormessages_deleteToken955[] = {1};
meth_meth_errormessages_deleteToken955->type = alloc_MethodType(1, argcv_meth_errormessages_deleteToken955);
  meth_meth_errormessages_deleteToken955->definitionModule = modulename;
  meth_meth_errormessages_deleteToken955->definitionLine = 158;
  struct UserObject *uo960 = (struct UserObject*)obj573;
  uo960->data[18] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960 = addmethod2pos(obj573, "deleteTokenRange()leading()trailing", &meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960, 18);
int argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960[] = {2, 1, 1};
meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->type = alloc_MethodType(3, argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960);
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->definitionLine = 163;
  struct UserObject *uo1021 = (struct UserObject*)obj573;
  uo1021->data[19] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange1021 = addmethod2pos(obj573, "deleteTokenRange", &meth_errormessages_deleteTokenRange1021, 19);
int argcv_meth_errormessages_deleteTokenRange1021[] = {2};
meth_meth_errormessages_deleteTokenRange1021->type = alloc_MethodType(1, argcv_meth_errormessages_deleteTokenRange1021);
  meth_meth_errormessages_deleteTokenRange1021->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange1021->definitionLine = 188;
  struct UserObject *uo1026 = (struct UserObject*)obj573;
  uo1026->data[20] = emptyclosure;
  Method *meth_meth_errormessages_deleteLine1026 = addmethod2pos(obj573, "deleteLine", &meth_errormessages_deleteLine1026, 20);
int argcv_meth_errormessages_deleteLine1026[] = {1};
meth_meth_errormessages_deleteLine1026->type = alloc_MethodType(1, argcv_meth_errormessages_deleteLine1026);
  meth_meth_errormessages_deleteLine1026->definitionModule = modulename;
  meth_meth_errormessages_deleteLine1026->definitionLine = 192;
  struct UserObject *uo1030 = (struct UserObject*)obj573;
  uo1030->data[21] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030 = addmethod2pos(obj573, "insert()afterToken()andTrailingSpace", &meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030, 21);
int argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030);
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->definitionLine = 196;
  struct UserObject *uo1041 = (struct UserObject*)obj573;
  uo1041->data[22] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken1041 = addmethod2pos(obj573, "insert()afterToken", &meth_errormessages_insert_40__41_afterToken1041, 22);
int argcv_meth_errormessages_insert_40__41_afterToken1041[] = {1, 1};
meth_meth_errormessages_insert_40__41_afterToken1041->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_afterToken1041);
  meth_meth_errormessages_insert_40__41_afterToken1041->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken1041->definitionLine = 201;
  struct UserObject *uo1045 = (struct UserObject*)obj573;
  uo1045->data[23] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_beforeToken1045 = addmethod2pos(obj573, "insert()beforeToken", &meth_errormessages_insert_40__41_beforeToken1045, 23);
int argcv_meth_errormessages_insert_40__41_beforeToken1045[] = {1, 1};
meth_meth_errormessages_insert_40__41_beforeToken1045->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_beforeToken1045);
  meth_meth_errormessages_insert_40__41_beforeToken1045->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_beforeToken1045->definitionLine = 205;
  struct UserObject *uo1052 = (struct UserObject*)obj573;
  uo1052->data[24] = emptyclosure;
  Method *meth_meth_errormessages_insertNewLine_40__41_after1052 = addmethod2pos(obj573, "insertNewLine()after", &meth_errormessages_insertNewLine_40__41_after1052, 24);
int argcv_meth_errormessages_insertNewLine_40__41_after1052[] = {1, 1};
meth_meth_errormessages_insertNewLine_40__41_after1052->type = alloc_MethodType(2, argcv_meth_errormessages_insertNewLine_40__41_after1052);
  meth_meth_errormessages_insertNewLine_40__41_after1052->definitionModule = modulename;
  meth_meth_errormessages_insertNewLine_40__41_after1052->definitionLine = 210;
  struct UserObject *uo1055 = (struct UserObject*)obj573;
  uo1055->data[25] = emptyclosure;
  Method *meth_meth_errormessages_addLine1055 = addmethod2pos(obj573, "addLine", &meth_errormessages_addLine1055, 25);
int argcv_meth_errormessages_addLine1055[] = {2};
meth_meth_errormessages_addLine1055->type = alloc_MethodType(1, argcv_meth_errormessages_addLine1055);
  meth_meth_errormessages_addLine1055->definitionModule = modulename;
  meth_meth_errormessages_addLine1055->definitionLine = 216;
  struct UserObject *uo1151 = (struct UserObject*)obj573;
  uo1151->data[26] = emptyclosure;
  Method *meth_meth_errormessages_findLine1151 = addmethod2pos(obj573, "findLine", &meth_errormessages_findLine1151, 26);
int argcv_meth_errormessages_findLine1151[] = {1};
meth_meth_errormessages_findLine1151->type = alloc_MethodType(1, argcv_meth_errormessages_findLine1151);
  meth_meth_errormessages_findLine1151->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_findLine1151->definitionModule = modulename;
  meth_meth_errormessages_findLine1151->definitionLine = 240;
  block_savedest(obj573);
  Object closure1169 = createclosure(1, "getLine");
setclosureframe(closure1169, stackframe);
  addtoclosure(closure1169, var_util);
  struct UserObject *uo1169 = (struct UserObject*)obj573;
  uo1169->data[27] = (Object)closure1169;
  Method *meth_meth_errormessages_getLine1169 = addmethod2pos(obj573, "getLine", &meth_errormessages_getLine1169, 27);
int argcv_meth_errormessages_getLine1169[] = {1};
meth_meth_errormessages_getLine1169->type = alloc_MethodType(1, argcv_meth_errormessages_getLine1169);
  meth_meth_errormessages_getLine1169->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_getLine1169->definitionModule = modulename;
  meth_meth_errormessages_getLine1169->definitionLine = 251;
  block_savedest(obj573);
  Object closure1183 = createclosure(1, "print");
setclosureframe(closure1183, stackframe);
  addtoclosure(closure1183, var_io);
  struct UserObject *uo1183 = (struct UserObject*)obj573;
  uo1183->data[28] = (Object)closure1183;
  Method *meth_meth_errormessages_print1183 = addmethod2pos(obj573, "print", &meth_errormessages_print1183, 28);
int argcv_meth_errormessages_print1183[] = {0};
meth_meth_errormessages_print1183->type = alloc_MethodType(1, argcv_meth_errormessages_print1183);
  meth_meth_errormessages_print1183->definitionModule = modulename;
  meth_meth_errormessages_print1183->definitionLine = 260;
  sourceObject = obj573;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1326 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1326
  adddatum2(obj573, array1326, 1);
  sourceObject = obj573;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1327 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1327
  adddatum2(obj573, array1327, 2);
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
objclass573 = obj573->class;
  objclass573->definitionModule = modulename;
  objclass573->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter573;
  self = oldself573;
  selfslot = oldselfslot573;
  stackframe = oldstackframe573;
  gc_frame_end(frame);
  return obj573;
}
Object meth_errormessages_new572_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject573 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj573 = alloc_userobj2(28,29, objclass573);
  gc_frame_newslot(obj573);
if (objclass573 == NULL) {
  glfree(obj573->class->name);
  obj573->class->name = "suggestion";
}
// OBJECT OUTER DEC outer
  adddatum2(obj573, self, 0);
  addmethodreal(obj573,"outer", &reader_errormessages_outer_574);
  Object oldself573 = self;
  struct StackFrameObject *oldstackframe573 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe573);
  gc_frame_newslot((Object)stackframe);
  self = obj573;
  Object *oldselfslot573 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter573 = (*(struct UserObject *)self).data[0], lowerouter573 = thisouter573;
  if (inheritingObject573) {
    struct UserObject *inho573 = (struct UserObject *)inheritingObject573;
    while (inho573->super != GraceDefaultObject) inho573 = (struct UserObject *)inho573->super;
    inho573->super = obj573;
    self = inheritingObject573;
    *selfslot = self;
    lowerouter573 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter573;
  }
if (objclass573 == NULL) {
  Method *reader575 = addmethodrealflags(obj573, "lineNumbers",&reader_errormessages_lineNumbers_575, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader575->definitionModule = modulename;
  reader575->definitionLine = 16;
}
adddatum2(obj573, alloc_Undefined(), 1);
if (objclass573 == NULL) {
  Method *reader576 = addmethodrealflags(obj573, "lines",&reader_errormessages_lines_576, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader576->definitionModule = modulename;
  reader576->definitionLine = 23;
}
adddatum2(obj573, alloc_Undefined(), 2);
  struct UserObject *uo577 = (struct UserObject*)obj573;
  uo577->data[3] = emptyclosure;
  Method *meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577 = addmethod2pos(obj573, "replaceRange()with()onLine", &meth_errormessages_replaceRange_40__41_with_40__41_onLine577, 3);
int argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine577[] = {2, 1, 1};
meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->type = alloc_MethodType(3, argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine577);
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->definitionModule = modulename;
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine577->definitionLine = 23;
  struct UserObject *uo621 = (struct UserObject*)obj573;
  uo621->data[4] = emptyclosure;
  Method *meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621 = addmethod2pos(obj573, "replaceChar()with()onLine", &meth_errormessages_replaceChar_40__41_with_40__41_onLine621, 4);
int argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine621[] = {1, 1, 1};
meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->type = alloc_MethodType(3, argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine621);
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->definitionModule = modulename;
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine621->definitionLine = 33;
  struct UserObject *uo624 = (struct UserObject*)obj573;
  uo624->data[5] = emptyclosure;
  Method *meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624 = addmethod2pos(obj573, "replaceUntil()with()onLine", &meth_errormessages_replaceUntil_40__41_with_40__41_onLine624, 5);
int argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624[] = {1, 1, 1};
meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->type = alloc_MethodType(3, argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624);
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->definitionModule = modulename;
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine624->definitionLine = 37;
  struct UserObject *uo665 = (struct UserObject*)obj573;
  uo665->data[6] = emptyclosure;
  Method *meth_meth_errormessages_deleteRange_40__41_onLine665 = addmethod2pos(obj573, "deleteRange()onLine", &meth_errormessages_deleteRange_40__41_onLine665, 6);
int argcv_meth_errormessages_deleteRange_40__41_onLine665[] = {2, 1};
meth_meth_errormessages_deleteRange_40__41_onLine665->type = alloc_MethodType(2, argcv_meth_errormessages_deleteRange_40__41_onLine665);
  meth_meth_errormessages_deleteRange_40__41_onLine665->definitionModule = modulename;
  meth_meth_errormessages_deleteRange_40__41_onLine665->definitionLine = 49;
  struct UserObject *uo713 = (struct UserObject*)obj573;
  uo713->data[7] = emptyclosure;
  Method *meth_meth_errormessages_deleteChar_40__41_onLine713 = addmethod2pos(obj573, "deleteChar()onLine", &meth_errormessages_deleteChar_40__41_onLine713, 7);
int argcv_meth_errormessages_deleteChar_40__41_onLine713[] = {1, 1};
meth_meth_errormessages_deleteChar_40__41_onLine713->type = alloc_MethodType(2, argcv_meth_errormessages_deleteChar_40__41_onLine713);
  meth_meth_errormessages_deleteChar_40__41_onLine713->definitionModule = modulename;
  meth_meth_errormessages_deleteChar_40__41_onLine713->definitionLine = 67;
  struct UserObject *uo717 = (struct UserObject*)obj573;
  uo717->data[8] = emptyclosure;
  Method *meth_meth_errormessages_append_40__41_onLine717 = addmethod2pos(obj573, "append()onLine", &meth_errormessages_append_40__41_onLine717, 8);
int argcv_meth_errormessages_append_40__41_onLine717[] = {1, 1};
meth_meth_errormessages_append_40__41_onLine717->type = alloc_MethodType(2, argcv_meth_errormessages_append_40__41_onLine717);
  meth_meth_errormessages_append_40__41_onLine717->definitionModule = modulename;
  meth_meth_errormessages_append_40__41_onLine717->definitionLine = 71;
  struct UserObject *uo725 = (struct UserObject*)obj573;
  uo725->data[9] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725 = addmethod2pos(obj573, "insert()atPosition()onLine", &meth_errormessages_insert_40__41_atPosition_40__41_onLine725, 9);
int argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine725[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine725);
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine725->definitionLine = 76;
  struct UserObject *uo757 = (struct UserObject*)obj573;
  uo757->data[10] = emptyclosure;
  Method *meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757 = addmethod2pos(obj573, "getTokenStart()includeLeadingSpace", &meth_errormessages_getTokenStart_40__41_includeLeadingSpace757, 10);
int argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757[] = {1, 1};
meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757);
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->definitionModule = modulename;
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace757->definitionLine = 90;
  struct UserObject *uo833 = (struct UserObject*)obj573;
  uo833->data[11] = emptyclosure;
  Method *meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833 = addmethod2pos(obj573, "getTokenEnd()includeTrailingSpace", &meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833, 11);
int argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833[] = {1, 1};
meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833);
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->definitionModule = modulename;
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace833->definitionLine = 107;
  struct UserObject *uo887 = (struct UserObject*)obj573;
  uo887->data[12] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887 = addmethod2pos(obj573, "replaceToken()leading()trailing()with", &meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887, 12);
int argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887[] = {1, 1, 1, 1};
meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->type = alloc_MethodType(4, argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887);
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with887->definitionLine = 120;
  struct UserObject *uo896 = (struct UserObject*)obj573;
  uo896->data[13] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_with896 = addmethod2pos(obj573, "replaceToken()with", &meth_errormessages_replaceToken_40__41_with896, 13);
int argcv_meth_errormessages_replaceToken_40__41_with896[] = {1, 1};
meth_meth_errormessages_replaceToken_40__41_with896->type = alloc_MethodType(2, argcv_meth_errormessages_replaceToken_40__41_with896);
  meth_meth_errormessages_replaceToken_40__41_with896->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_with896->definitionLine = 126;
  struct UserObject *uo901 = (struct UserObject*)obj573;
  uo901->data[14] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901 = addmethod2pos(obj573, "replaceTokenRange()leading()trailing()with", &meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901, 14);
int argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901[] = {2, 1, 1, 1};
meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->type = alloc_MethodType(4, argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901);
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with901->definitionLine = 130;
  struct UserObject *uo941 = (struct UserObject*)obj573;
  uo941->data[15] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_with941 = addmethod2pos(obj573, "replaceTokenRange()with", &meth_errormessages_replaceTokenRange_40__41_with941, 15);
int argcv_meth_errormessages_replaceTokenRange_40__41_with941[] = {2, 1};
meth_meth_errormessages_replaceTokenRange_40__41_with941->type = alloc_MethodType(2, argcv_meth_errormessages_replaceTokenRange_40__41_with941);
  meth_meth_errormessages_replaceTokenRange_40__41_with941->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_with941->definitionLine = 147;
  struct UserObject *uo946 = (struct UserObject*)obj573;
  uo946->data[16] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946 = addmethod2pos(obj573, "deleteToken()leading()trailing", &meth_errormessages_deleteToken_40__41_leading_40__41_trailing946, 16);
int argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946[] = {1, 1, 1};
meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->type = alloc_MethodType(3, argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946);
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->definitionModule = modulename;
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing946->definitionLine = 152;
  struct UserObject *uo955 = (struct UserObject*)obj573;
  uo955->data[17] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken955 = addmethod2pos(obj573, "deleteToken", &meth_errormessages_deleteToken955, 17);
int argcv_meth_errormessages_deleteToken955[] = {1};
meth_meth_errormessages_deleteToken955->type = alloc_MethodType(1, argcv_meth_errormessages_deleteToken955);
  meth_meth_errormessages_deleteToken955->definitionModule = modulename;
  meth_meth_errormessages_deleteToken955->definitionLine = 158;
  struct UserObject *uo960 = (struct UserObject*)obj573;
  uo960->data[18] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960 = addmethod2pos(obj573, "deleteTokenRange()leading()trailing", &meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960, 18);
int argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960[] = {2, 1, 1};
meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->type = alloc_MethodType(3, argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960);
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing960->definitionLine = 163;
  struct UserObject *uo1021 = (struct UserObject*)obj573;
  uo1021->data[19] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange1021 = addmethod2pos(obj573, "deleteTokenRange", &meth_errormessages_deleteTokenRange1021, 19);
int argcv_meth_errormessages_deleteTokenRange1021[] = {2};
meth_meth_errormessages_deleteTokenRange1021->type = alloc_MethodType(1, argcv_meth_errormessages_deleteTokenRange1021);
  meth_meth_errormessages_deleteTokenRange1021->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange1021->definitionLine = 188;
  struct UserObject *uo1026 = (struct UserObject*)obj573;
  uo1026->data[20] = emptyclosure;
  Method *meth_meth_errormessages_deleteLine1026 = addmethod2pos(obj573, "deleteLine", &meth_errormessages_deleteLine1026, 20);
int argcv_meth_errormessages_deleteLine1026[] = {1};
meth_meth_errormessages_deleteLine1026->type = alloc_MethodType(1, argcv_meth_errormessages_deleteLine1026);
  meth_meth_errormessages_deleteLine1026->definitionModule = modulename;
  meth_meth_errormessages_deleteLine1026->definitionLine = 192;
  struct UserObject *uo1030 = (struct UserObject*)obj573;
  uo1030->data[21] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030 = addmethod2pos(obj573, "insert()afterToken()andTrailingSpace", &meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030, 21);
int argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030);
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1030->definitionLine = 196;
  struct UserObject *uo1041 = (struct UserObject*)obj573;
  uo1041->data[22] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken1041 = addmethod2pos(obj573, "insert()afterToken", &meth_errormessages_insert_40__41_afterToken1041, 22);
int argcv_meth_errormessages_insert_40__41_afterToken1041[] = {1, 1};
meth_meth_errormessages_insert_40__41_afterToken1041->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_afterToken1041);
  meth_meth_errormessages_insert_40__41_afterToken1041->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken1041->definitionLine = 201;
  struct UserObject *uo1045 = (struct UserObject*)obj573;
  uo1045->data[23] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_beforeToken1045 = addmethod2pos(obj573, "insert()beforeToken", &meth_errormessages_insert_40__41_beforeToken1045, 23);
int argcv_meth_errormessages_insert_40__41_beforeToken1045[] = {1, 1};
meth_meth_errormessages_insert_40__41_beforeToken1045->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_beforeToken1045);
  meth_meth_errormessages_insert_40__41_beforeToken1045->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_beforeToken1045->definitionLine = 205;
  struct UserObject *uo1052 = (struct UserObject*)obj573;
  uo1052->data[24] = emptyclosure;
  Method *meth_meth_errormessages_insertNewLine_40__41_after1052 = addmethod2pos(obj573, "insertNewLine()after", &meth_errormessages_insertNewLine_40__41_after1052, 24);
int argcv_meth_errormessages_insertNewLine_40__41_after1052[] = {1, 1};
meth_meth_errormessages_insertNewLine_40__41_after1052->type = alloc_MethodType(2, argcv_meth_errormessages_insertNewLine_40__41_after1052);
  meth_meth_errormessages_insertNewLine_40__41_after1052->definitionModule = modulename;
  meth_meth_errormessages_insertNewLine_40__41_after1052->definitionLine = 210;
  struct UserObject *uo1055 = (struct UserObject*)obj573;
  uo1055->data[25] = emptyclosure;
  Method *meth_meth_errormessages_addLine1055 = addmethod2pos(obj573, "addLine", &meth_errormessages_addLine1055, 25);
int argcv_meth_errormessages_addLine1055[] = {2};
meth_meth_errormessages_addLine1055->type = alloc_MethodType(1, argcv_meth_errormessages_addLine1055);
  meth_meth_errormessages_addLine1055->definitionModule = modulename;
  meth_meth_errormessages_addLine1055->definitionLine = 216;
  struct UserObject *uo1151 = (struct UserObject*)obj573;
  uo1151->data[26] = emptyclosure;
  Method *meth_meth_errormessages_findLine1151 = addmethod2pos(obj573, "findLine", &meth_errormessages_findLine1151, 26);
int argcv_meth_errormessages_findLine1151[] = {1};
meth_meth_errormessages_findLine1151->type = alloc_MethodType(1, argcv_meth_errormessages_findLine1151);
  meth_meth_errormessages_findLine1151->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_findLine1151->definitionModule = modulename;
  meth_meth_errormessages_findLine1151->definitionLine = 240;
  block_savedest(obj573);
  Object closure1169 = createclosure(1, "getLine");
setclosureframe(closure1169, stackframe);
  addtoclosure(closure1169, var_util);
  struct UserObject *uo1169 = (struct UserObject*)obj573;
  uo1169->data[27] = (Object)closure1169;
  Method *meth_meth_errormessages_getLine1169 = addmethod2pos(obj573, "getLine", &meth_errormessages_getLine1169, 27);
int argcv_meth_errormessages_getLine1169[] = {1};
meth_meth_errormessages_getLine1169->type = alloc_MethodType(1, argcv_meth_errormessages_getLine1169);
  meth_meth_errormessages_getLine1169->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_getLine1169->definitionModule = modulename;
  meth_meth_errormessages_getLine1169->definitionLine = 251;
  block_savedest(obj573);
  Object closure1183 = createclosure(1, "print");
setclosureframe(closure1183, stackframe);
  addtoclosure(closure1183, var_io);
  struct UserObject *uo1183 = (struct UserObject*)obj573;
  uo1183->data[28] = (Object)closure1183;
  Method *meth_meth_errormessages_print1183 = addmethod2pos(obj573, "print", &meth_errormessages_print1183, 28);
int argcv_meth_errormessages_print1183[] = {0};
meth_meth_errormessages_print1183->type = alloc_MethodType(1, argcv_meth_errormessages_print1183);
  meth_meth_errormessages_print1183->definitionModule = modulename;
  meth_meth_errormessages_print1183->definitionLine = 260;
  sourceObject = obj573;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1326 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1326
  adddatum2(obj573, array1326, 1);
  sourceObject = obj573;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1327 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1327
  adddatum2(obj573, array1327, 2);
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
  sourceObject = obj573;
objclass573 = obj573->class;
  objclass573->definitionModule = modulename;
  objclass573->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter573;
  self = oldself573;
  selfslot = oldselfslot573;
  stackframe = oldstackframe573;
  gc_frame_end(frame);
  return obj573;
}
Object module_errormessages_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(19, 19);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<errormessages>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(19, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_sys = alloc_var();
Object *var_util = alloc_var();
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = emptyclosure;
  Method *meth_meth_errormessages_dameraulevenshtein0 = addmethod2pos(self, "dameraulevenshtein", &meth_errormessages_dameraulevenshtein0, 1);
int argcv_meth_errormessages_dameraulevenshtein0[] = {2};
meth_meth_errormessages_dameraulevenshtein0->type = alloc_MethodType(1, argcv_meth_errormessages_dameraulevenshtein0);
  meth_meth_errormessages_dameraulevenshtein0->definitionModule = modulename;
  meth_meth_errormessages_dameraulevenshtein0->definitionLine = 279;
// compilenode returning 
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo217 = (struct UserObject*)self;
  uo217->data[2] = emptyclosure;
  Method *meth_meth_errormessages_min217 = addmethod2pos(self, "min", &meth_errormessages_min217, 2);
int argcv_meth_errormessages_min217[] = {0};
meth_meth_errormessages_min217->type = alloc_MethodType(1, argcv_meth_errormessages_min217);
  meth_meth_errormessages_min217->definitionModule = modulename;
  meth_meth_errormessages_min217->definitionLine = 338;
// compilenode returning 
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo237 = (struct UserObject*)self;
  uo237->data[3] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange237 = addmethod2pos(self, "syntaxError()atRange", &meth_errormessages_syntaxError_40__41_atRange237, 3);
int argcv_meth_errormessages_syntaxError_40__41_atRange237[] = {1, 3};
meth_meth_errormessages_syntaxError_40__41_atRange237->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atRange237);
  meth_meth_errormessages_syntaxError_40__41_atRange237->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange237->definitionLine = 349;
// compilenode returning 
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo241 = (struct UserObject*)self;
  uo241->data[4] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241 = addmethod2pos(self, "syntaxError()atRange()withSuggestion", &meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241, 4);
int argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241[] = {1, 3, 1};
meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241);
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion241->definitionLine = 353;
// compilenode returning 
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure245 = createclosure(1, "syntaxError()atRange()withSuggestions");
setclosureframe(closure245, stackframe);
  addtoclosure(closure245, var_util);
  struct UserObject *uo245 = (struct UserObject*)self;
  uo245->data[5] = (Object)closure245;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245 = addmethod2pos(self, "syntaxError()atRange()withSuggestions", &meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245, 5);
int argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245[] = {1, 3, 1};
meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245);
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions245->definitionLine = 357;
// compilenode returning 
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure313 = createclosure(1, "error()atRange()withSuggestions");
setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_util);
  struct UserObject *uo313 = (struct UserObject*)self;
  uo313->data[6] = (Object)closure313;
  Method *meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313 = addmethod2pos(self, "error()atRange()withSuggestions", &meth_errormessages_error_40__41_atRange_40__41_withSuggestions313, 6);
int argcv_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313[] = {1, 3, 1};
meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313);
  meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions313->definitionLine = 369;
// compilenode returning 
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo381 = (struct UserObject*)self;
  uo381->data[7] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition381 = addmethod2pos(self, "syntaxError()atPosition", &meth_errormessages_syntaxError_40__41_atPosition381, 7);
int argcv_meth_errormessages_syntaxError_40__41_atPosition381[] = {1, 2};
meth_meth_errormessages_syntaxError_40__41_atPosition381->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atPosition381);
  meth_meth_errormessages_syntaxError_40__41_atPosition381->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition381->definitionLine = 381;
// compilenode returning 
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo385 = (struct UserObject*)self;
  uo385->data[8] = emptyclosure;
  Method *meth_meth_errormessages_error_40__41_atPosition385 = addmethod2pos(self, "error()atPosition", &meth_errormessages_error_40__41_atPosition385, 8);
int argcv_meth_errormessages_error_40__41_atPosition385[] = {1, 2};
meth_meth_errormessages_error_40__41_atPosition385->type = alloc_MethodType(2, argcv_meth_errormessages_error_40__41_atPosition385);
  meth_meth_errormessages_error_40__41_atPosition385->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atPosition385->definitionLine = 385;
// compilenode returning 
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo389 = (struct UserObject*)self;
  uo389->data[9] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389 = addmethod2pos(self, "syntaxError()atPosition()withSuggestion", &meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389, 9);
int argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389[] = {1, 2, 1};
meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389);
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion389->definitionLine = 389;
// compilenode returning 
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure393 = createclosure(1, "syntaxError()atPosition()withSuggestions");
setclosureframe(closure393, stackframe);
  addtoclosure(closure393, var_util);
  struct UserObject *uo393 = (struct UserObject*)self;
  uo393->data[10] = (Object)closure393;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393 = addmethod2pos(self, "syntaxError()atPosition()withSuggestions", &meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393, 10);
int argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393[] = {1, 2, 1};
meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393);
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions393->definitionLine = 393;
// compilenode returning 
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure431 = createclosure(1, "error()atPosition()withSuggestions");
setclosureframe(closure431, stackframe);
  addtoclosure(closure431, var_util);
  struct UserObject *uo431 = (struct UserObject*)self;
  uo431->data[11] = (Object)closure431;
  Method *meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431 = addmethod2pos(self, "error()atPosition()withSuggestions", &meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431, 11);
int argcv_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431[] = {1, 2, 1};
meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431);
  meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions431->definitionLine = 402;
// compilenode returning 
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure469 = createclosure(1, "error()atLine()withSuggestions");
setclosureframe(closure469, stackframe);
  addtoclosure(closure469, var_util);
  struct UserObject *uo469 = (struct UserObject*)self;
  uo469->data[12] = (Object)closure469;
  Method *meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469 = addmethod2pos(self, "error()atLine()withSuggestions", &meth_errormessages_error_40__41_atLine_40__41_withSuggestions469, 12);
int argcv_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469[] = {1, 1, 1};
meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469);
  meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions469->definitionLine = 412;
// compilenode returning 
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo513 = (struct UserObject*)self;
  uo513->data[13] = emptyclosure;
  Method *meth_meth_errormessages_error_40__41_atLine513 = addmethod2pos(self, "error()atLine", &meth_errormessages_error_40__41_atLine513, 13);
int argcv_meth_errormessages_error_40__41_atLine513[] = {1, 1};
meth_meth_errormessages_error_40__41_atLine513->type = alloc_MethodType(2, argcv_meth_errormessages_error_40__41_atLine513);
  meth_meth_errormessages_error_40__41_atLine513->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atLine513->definitionLine = 423;
// compilenode returning 
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo517 = (struct UserObject*)self;
  uo517->data[14] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine517 = addmethod2pos(self, "syntaxError()atLine", &meth_errormessages_syntaxError_40__41_atLine517, 14);
int argcv_meth_errormessages_syntaxError_40__41_atLine517[] = {1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine517->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atLine517);
  meth_meth_errormessages_syntaxError_40__41_atLine517->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine517->definitionLine = 427;
// compilenode returning 
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo521 = (struct UserObject*)self;
  uo521->data[15] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521 = addmethod2pos(self, "syntaxError()atLine()withSuggestion", &meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521, 15);
int argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521[] = {1, 1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521);
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion521->definitionLine = 431;
// compilenode returning 
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure525 = createclosure(1, "syntaxError()atLine()withSuggestions");
setclosureframe(closure525, stackframe);
  addtoclosure(closure525, var_util);
  struct UserObject *uo525 = (struct UserObject*)self;
  uo525->data[16] = (Object)closure525;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525 = addmethod2pos(self, "syntaxError()atLine()withSuggestions", &meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525, 16);
int argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525[] = {1, 1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525);
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions525->definitionLine = 435;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// compilenode returning 
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure569 = createclosure(1, "suggestion");
setclosureframe(closure569, stackframe);
  addtoclosure(closure569, var_suggestion);
  struct UserObject *uo569 = (struct UserObject*)self;
  uo569->data[17] = (Object)closure569;
  Method *meth_meth_errormessages_suggestion569 = addmethod2pos(self, "suggestion", &meth_errormessages_suggestion569, 17);
int argcv_meth_errormessages_suggestion569[] = {0};
meth_meth_errormessages_suggestion569->type = alloc_MethodType(1, argcv_meth_errormessages_suggestion569);
  meth_meth_errormessages_suggestion569->definitionModule = modulename;
  meth_meth_errormessages_suggestion569->definitionLine = 440;
// compilenode returning 
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject570 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj570 = alloc_userobj2(2,4, objclass570);
  gc_frame_newslot(obj570);
// OBJECT OUTER DEC outer
  adddatum2(obj570, self, 0);
  addmethodreal(obj570,"outer", &reader_errormessages_outer_571);
  Object oldself570 = self;
  struct StackFrameObject *oldstackframe570 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe570);
  gc_frame_newslot((Object)stackframe);
  self = obj570;
  Object *oldselfslot570 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter570 = (*(struct UserObject *)self).data[0], lowerouter570 = thisouter570;
  if (inheritingObject570) {
    struct UserObject *inho570 = (struct UserObject *)inheritingObject570;
    while (inho570->super != GraceDefaultObject) inho570 = (struct UserObject *)inho570->super;
    inho570->super = obj570;
    self = inheritingObject570;
    *selfslot = self;
    lowerouter570 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter570;
  }
  block_savedest(obj570);
  Object closure572 = createclosure(2, "new");
setclosureframe(closure572, stackframe);
  addtoclosure(closure572, var_util);
  addtoclosure(closure572, var_io);
  struct UserObject *uo572 = (struct UserObject*)obj570;
  uo572->data[1] = (Object)closure572;
  Method *meth_meth_errormessages_new572 = addmethod2pos(obj570, "new", &meth_errormessages_new572, 1);
int argcv_meth_errormessages_new572[] = {0};
meth_meth_errormessages_new572->type = alloc_MethodType(1, argcv_meth_errormessages_new572);
  meth_meth_errormessages_new572->definitionModule = modulename;
  meth_meth_errormessages_new572->definitionLine = 440;
  block_savedest(obj570);
  Object closure1328 = createclosure(2, "new()object");
setclosureframe(closure1328, stackframe);
  addtoclosure(closure1328, var_util);
  addtoclosure(closure1328, var_io);
  Method *meth_meth_errormessages_new572_object = addmethod2pos(obj570, "new()object", &meth_errormessages_new572_object, 1);
  meth_meth_errormessages_new572_object->definitionModule = modulename;
  meth_meth_errormessages_new572_object->definitionLine = 440;
  sourceObject = obj570;
objclass570 = obj570->class;
  objclass570->definitionModule = modulename;
  objclass570->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter570;
  self = oldself570;
  selfslot = oldselfslot570;
  stackframe = oldstackframe570;
// compilenode returning obj570
  *var_suggestion = obj570;
  if (obj570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
